var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
var __accessCheck = (obj, member, msg) => {
  if (!member.has(obj))
    throw TypeError("Cannot " + msg);
};
var __privateGet = (obj, member, getter) => {
  __accessCheck(obj, member, "read from private field");
  return getter ? getter.call(obj) : member.get(obj);
};
var __privateAdd = (obj, member, value) => {
  if (member.has(obj))
    throw TypeError("Cannot add the same private member more than once");
  member instanceof WeakSet ? member.add(obj) : member.set(obj, value);
};
var __privateSet = (obj, member, value, setter) => {
  __accessCheck(obj, member, "write to private field");
  setter ? setter.call(obj, value) : member.set(obj, value);
  return value;
};
var __privateMethod = (obj, member, method) => {
  __accessCheck(obj, member, "access private method");
  return method;
};
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};

// src/layout/NotFountLayout/index.tsx
import { usePageData, withBase } from "@rspress/runtime";
import { Fragment, jsx, jsxs } from "react/jsx-runtime";
function NotFoundLayout() {
  const { siteData: siteData2, page } = usePageData();
  const defaultLang = siteData2.lang;
  const defaultVersion = siteData2.multiVersion.default;
  if (defaultLang && typeof window !== "undefined" && location.pathname.includes(`/${defaultLang}/`)) {
    const redirectUrl = location.pathname.replace(`/${defaultLang}/`, "/");
    window.location.replace(redirectUrl);
    return /* @__PURE__ */ jsx(Fragment, {});
  }
  let root = "/";
  if (defaultVersion && page.version !== defaultVersion) {
    root += `${page.version}/`;
  }
  if (defaultLang && page.lang !== defaultLang) {
    root += `${page.lang}/`;
  }
  return /* @__PURE__ */ jsxs("div", { className: "m-auto mt-50 p-16 sm:p-8 sm:pt-24 sm:pb-40 text-center flex-center flex-col", children: [
    /* @__PURE__ */ jsx("p", { className: "text-6xl font-semibold", children: "404" }),
    /* @__PURE__ */ jsx("h1", { className: "leading-5 pt-3 text-xl font-bold", children: "PAGE NOT FOUND" }),
    /* @__PURE__ */ jsx(
      "div",
      {
        style: { height: "1px" },
        className: "mt-6 mx-auto mb-4.5 w-16 bg-gray-light-1"
      }
    ),
    /* @__PURE__ */ jsx("div", { className: "pt-5", children: /* @__PURE__ */ jsx(
      "a",
      {
        className: "py-2 px-4 rounded-2xl inline-block border-solid border-brand text-brand font-medium hover:border-brand-dark hover:text-brand-dark transition-colors duration-300",
        href: withBase(root),
        "aria-label": "go to home",
        children: "Take me home"
      }
    ) })
  ] });
}

// src/layout/Layout/index.tsx
import "nprogress/nprogress.css";
import { Helmet } from "react-helmet-async";
import Theme, { Nav } from "@theme";
import { usePageData as usePageData11, Content as Content2 } from "@rspress/runtime";

// src/layout/DocLayout/index.tsx
import { useState as useState8 } from "react";
import { MDXProvider } from "@mdx-js/react";
import { getCustomMDXComponent, ScrollToTop, Overview } from "@theme";
import { Content, usePageData as usePageData9, NoSSR } from "@rspress/runtime";

// src/components/Aside/index.tsx
import { useEffect as useEffect8 } from "react";

// src/logic/usePrevNextPage.ts
import { useLocation as useLocation2, withBase as withBase3, isEqualPath as isEqualPath2 } from "@rspress/runtime";

// src/logic/useSidebarData.ts
import {
  addTrailingSlash
} from "@rspress/shared";
import { useEffect, useState } from "react";
import { useLocation, withBase as withBase2, isEqualPath } from "@rspress/runtime";

// src/logic/useLocaleSiteData.ts
import { usePageData as usePageData2 } from "@rspress/runtime";
function useLocaleSiteData() {
  var _a, _b, _c;
  const pageData = usePageData2();
  const {
    page: { lang }
  } = pageData;
  const themeConfig = (_b = (_a = pageData == null ? void 0 : pageData.siteData) == null ? void 0 : _a.themeConfig) != null ? _b : {};
  const defaultLang = (_c = pageData.siteData.lang) != null ? _c : "";
  const locales = themeConfig == null ? void 0 : themeConfig.locales;
  if (!locales || locales.length === 0) {
    return {
      nav: themeConfig.nav,
      sidebar: themeConfig.sidebar,
      prevPageText: themeConfig.prevPageText,
      nextPageText: themeConfig.nextPageText,
      sourceCodeText: themeConfig.sourceCodeText,
      searchPlaceholderText: themeConfig.searchPlaceholderText
    };
  }
  const localeInfo = locales.find((locale) => locale.lang === lang);
  return __spreadProps(__spreadValues({}, localeInfo), {
    langRoutePrefix: lang === defaultLang ? "/" : lang
  });
}

// src/logic/useSidebarData.ts
var getSidebarGroupData = (sidebar, currentPathname) => {
  let detectedGroupName;
  for (const name of Object.keys(sidebar)) {
    if (detectedGroupName && detectedGroupName !== name) {
      continue;
    }
    if (isEqualPath(withBase2(name), currentPathname)) {
      return {
        group: "Documentation",
        items: sidebar[name]
      };
    }
    const result = sidebar[name].find((group) => {
      const match = (item) => {
        if (!currentPathname.startsWith(withBase2(name))) {
          for (const otherGroupName of Object.keys(sidebar)) {
            if (otherGroupName !== name && currentPathname.startsWith(
              // https://github.com/web-infra-dev/rspress/issues/360
              // Ensure the other group name ends with `/` to avoid some unexpected results, for example, `/react-native` will match `/react`, that's not what we want
              addTrailingSlash(withBase2(otherGroupName))
            )) {
              detectedGroupName = otherGroupName;
              return false;
            }
          }
        }
        const equalFunc = () => "link" in item && isEqualPath(withBase2(item.link), currentPathname);
        if ("items" in item) {
          if (equalFunc()) {
            return true;
          }
          return item.items.some((i) => match(i));
        }
        return equalFunc();
      };
      return match(group);
    });
    if (result) {
      const sidebarGroup = sidebar[name];
      return {
        group: "text" in result && result.text || "",
        items: sidebarGroup
      };
    }
  }
  return {
    group: "Documentation",
    items: []
  };
};
function useSidebarData() {
  var _a;
  const localeData = useLocaleSiteData();
  const sidebar = (_a = localeData.sidebar) != null ? _a : {};
  const { pathname: rawPathname } = useLocation();
  const pathname = decodeURIComponent(rawPathname);
  const [sidebarData, setSidebarData] = useState(
    getSidebarGroupData(sidebar, pathname)
  );
  useEffect(() => {
    const newSidebarData = getSidebarGroupData(sidebar, pathname);
    setSidebarData(newSidebarData);
  }, [pathname, localeData.lang]);
  return sidebarData;
}

// src/logic/usePrevNextPage.ts
function usePrevNextPage() {
  const { pathname } = useLocation2();
  const { items } = useSidebarData();
  const flattenTitles = [];
  const walk = (sidebarItem) => {
    if ("items" in sidebarItem) {
      if (sidebarItem.link) {
        flattenTitles.push({
          text: sidebarItem.text,
          link: sidebarItem.link
        });
      }
      sidebarItem.items.forEach((item) => {
        !("dividerType" in item) && walk(item);
      });
    } else {
      flattenTitles.push(sidebarItem);
    }
  };
  items.forEach((item) => !("dividerType" in item) && walk(item));
  const pageIndex = flattenTitles.findIndex(
    (item) => isEqualPath2(withBase3(item.link), pathname)
  );
  const prevPage = flattenTitles[pageIndex - 1] || null;
  const nextPage = flattenTitles[pageIndex + 1] || null;
  return {
    prevPage,
    nextPage
  };
}

// src/logic/useEditLink.ts
import { usePageData as usePageData3 } from "@rspress/runtime";
function useEditLink() {
  var _a, _b, _c;
  const { siteData: siteData2, page } = usePageData3();
  const locales = useLocaleSiteData();
  const editLink = (_c = (_b = locales.editLink) != null ? _b : (_a = siteData2.themeConfig) == null ? void 0 : _a.editLink) != null ? _c : {};
  if (!editLink.docRepoBaseUrl || !editLink.text) {
    return null;
  }
  let { docRepoBaseUrl } = editLink;
  if (!docRepoBaseUrl.endsWith("/")) {
    docRepoBaseUrl += "/";
  }
  const relativePagePath = page._relativePath.replace(/\\/g, "/");
  const link = `${docRepoBaseUrl}${relativePagePath}`;
  return {
    text: editLink.text,
    link
  };
}

// src/logic/useHiddenNav.ts
import { throttle } from "lodash-es";
import { useEffect as useEffect2, useRef, useState as useState2 } from "react";
import { useLocation as useLocation3, usePageData as usePageData4 } from "@rspress/runtime";
function useEnableNav() {
  var _a;
  const {
    siteData: { themeConfig },
    page: { frontmatter = {} }
  } = usePageData4();
  const initialState = ((_a = frontmatter == null ? void 0 : frontmatter.navbar) != null ? _a : true) && (themeConfig == null ? void 0 : themeConfig.hideNavbar) !== "always";
  const [enableNav, setEnableNav] = useState2(initialState);
  return [enableNav, setEnableNav];
}
function useHiddenNav() {
  var _a;
  const {
    siteData: { themeConfig }
  } = usePageData4();
  const hiddenBehavior = (_a = themeConfig.hideNavbar) != null ? _a : "never";
  const [hiddenNav, setHiddenNav] = useState2(false);
  const { pathname } = useLocation3();
  const lastScrollTop = useRef(0);
  if (hiddenBehavior === "never") {
    return false;
  }
  if (hiddenBehavior === "always") {
    return true;
  }
  useEffect2(() => {
    setHiddenNav(false);
    const onScrollListen = throttle(() => {
      const { scrollTop } = document.documentElement;
      if (scrollTop === lastScrollTop.current) {
        return;
      }
      const shouldHidden = lastScrollTop.current > 0 && scrollTop - lastScrollTop.current > 0;
      setHiddenNav(shouldHidden);
      lastScrollTop.current = scrollTop <= 0 ? 0 : scrollTop;
    }, 200);
    window.addEventListener("mousewheel", onScrollListen);
    window.addEventListener("touchmove", onScrollListen);
    return () => {
      window.removeEventListener("mousewheel", onScrollListen);
      window.removeEventListener("touchmove", onScrollListen);
    };
  }, [pathname]);
  return hiddenNav;
}

// src/logic/sideEffects.ts
import { throttle as throttle2 } from "lodash-es";
import { inBrowser } from "@rspress/shared";
var DEFAULT_NAV_HEIGHT = 72;
function getTargetTop(element, fallbackHeight = DEFAULT_NAV_HEIGHT) {
  const targetPadding = parseInt(
    window.getComputedStyle(element).paddingTop,
    10
  );
  const targetTop = window.scrollY + element.getBoundingClientRect().top - fallbackHeight - targetPadding;
  return Math.round(targetTop);
}
function scrollToTarget(target, isSmooth, fallbackHeight = DEFAULT_NAV_HEIGHT) {
  window.scrollTo(__spreadValues({
    left: 0,
    top: getTargetTop(target, fallbackHeight)
  }, isSmooth ? { behavior: "smooth" } : {}));
}
function bindingWindowScroll() {
  function scrollTo(el, hash, isSmooth = false) {
    let target = null;
    try {
      target = el.classList.contains("header-anchor") ? el : document.getElementById(decodeURIComponent(hash.slice(1)));
    } catch (e) {
      console.warn(e);
    }
    if (target) {
      scrollToTarget(target, isSmooth);
    }
  }
  window.addEventListener(
    "click",
    (e) => {
      const link = e.target.closest("a");
      if (link) {
        const { origin, hash, target, pathname, search } = link;
        const currentUrl = window.location;
        if (hash && target !== "_blank" && origin === currentUrl.origin) {
          if (pathname === currentUrl.pathname && search === currentUrl.search && hash && link.classList.contains("header-anchor")) {
            e.preventDefault();
            history.pushState(null, "", hash);
            scrollTo(link, hash, true);
            window.dispatchEvent(new Event("hashchange"));
          } else {
            window.addEventListener("RspressReloadContent", () => {
              if (location.hash.length > 1) {
                const ele = document.getElementById(location.hash.slice(1));
                scrollToTarget(ele, false);
              }
            });
          }
        }
      }
    },
    { capture: true }
  );
  window.addEventListener("hashchange", (e) => {
    e.preventDefault();
  });
}
function bindingAsideScroll() {
  function isBottom() {
    return document.documentElement.scrollTop + window.innerHeight >= document.documentElement.scrollHeight;
  }
  const aside = document.getElementById("aside-container");
  const links = Array.from(
    document.querySelectorAll(".rspress-doc .header-anchor")
  ).filter((item) => {
    var _a;
    return ((_a = item.parentElement) == null ? void 0 : _a.tagName) !== "H1";
  });
  if (!aside || !links.length) {
    return;
  }
  let prevActiveLink = null;
  const headers = Array.from((aside == null ? void 0 : aside.getElementsByTagName("a")) || []).map(
    (item) => decodeURIComponent(item.hash)
  );
  if (!headers.length) {
    return;
  }
  const activate = (links2, index) => {
    if (links2[index]) {
      const id = links2[index].getAttribute("href");
      const currentLink = aside == null ? void 0 : aside.querySelector(
        `a[href="#${id == null ? void 0 : id.slice(1)}"] > span`
      );
      if (currentLink) {
        if (prevActiveLink) {
          prevActiveLink.classList.remove("aside-active");
        }
        prevActiveLink = currentLink;
        prevActiveLink.classList.add("aside-active");
      }
    }
  };
  const setActiveLink = () => {
    if (isBottom()) {
      activate(links, links.length - 1);
    } else {
      for (let i = 0; i < links.length; i++) {
        const currentAnchor = links[i];
        const nextAnchor = links[i + 1];
        const scrollTop = Math.ceil(window.scrollY);
        const currentAnchorTop = getTargetTop(currentAnchor.parentElement);
        if (i === 0 && scrollTop < currentAnchorTop || scrollTop === 0) {
          activate(links, 0);
          break;
        }
        if (!nextAnchor) {
          activate(links, i);
          break;
        }
        const nextAnchorTop = getTargetTop(nextAnchor.parentElement);
        if (scrollTop >= currentAnchorTop && scrollTop < nextAnchorTop) {
          activate(links, i);
          break;
        }
      }
    }
  };
  const throttledSetLink = throttle2(setActiveLink, 200);
  window.addEventListener("scroll", throttledSetLink);
  setActiveLink();
  return () => {
    if (prevActiveLink) {
      prevActiveLink.classList.remove("aside-active");
    }
    window.removeEventListener("scroll", throttledSetLink);
  };
}
function setup() {
  if (!inBrowser()) {
    return;
  }
  bindingWindowScroll();
}

// src/logic/usePathUtils.ts
import { isExternalUrl } from "@rspress/shared";
import {
  removeBase,
  useLang,
  usePageData as usePageData5,
  normalizeHrefInRuntime as normalizeHref,
  useVersion,
  withBase as withBase4
} from "@rspress/runtime";
function usePathUtils() {
  const currentLang = useLang();
  const currentVersion = useVersion();
  const pageData = usePageData5();
  const defaultLang = pageData.siteData.lang;
  const defaultVersion = pageData.siteData.multiVersion.default;
  const normalizeLinkHref = (rawHref) => {
    let href = rawHref;
    if ((defaultLang || defaultVersion) && !isExternalUrl(href) && !href.startsWith("#")) {
      href = removeBase(href);
      const linkParts = href.split("/").filter(Boolean);
      let versionPart = "";
      let langPart = "";
      let purePathPart = "";
      if (defaultVersion) {
        if (currentVersion !== defaultVersion) {
          versionPart = currentVersion;
          if (linkParts[0] === currentVersion) {
            linkParts.shift();
          }
        } else if (linkParts[0] === defaultVersion) {
          linkParts.shift();
        }
      }
      if (defaultLang) {
        if (currentLang !== defaultLang) {
          langPart = currentLang;
          if (linkParts[0] === currentLang) {
            linkParts.shift();
          }
        } else if (linkParts[0] === defaultLang) {
          linkParts.shift();
        }
      }
      purePathPart = linkParts.join("/");
      return normalizeHref(
        withBase4(
          [versionPart, langPart, purePathPart].filter(Boolean).join("/")
        )
      );
    }
    return href;
  };
  return {
    normalizeLinkHref
  };
}

// src/logic/useFullTextSearch.ts
import { usePageData as usePageData6 } from "@rspress/runtime";
import { useEffect as useEffect3, useRef as useRef2, useState as useState3 } from "react";

// src/components/Search/logic/search.ts
import { normalizeHrefInRuntime as normalizeHref2 } from "@rspress/runtime";

// src/components/Search/logic/Provider.ts
var LOCAL_INDEX = "default";

// src/components/Search/logic/util.ts
var kRegex = /[\u3131-\u314e|\u314f-\u3163|\uac00-\ud7a3]/u;
var cyrillicRegex = /[\u0400-\u04FF]/u;
function backTrackHeaders(rawHeaders, index) {
  let current = rawHeaders[index];
  let currentIndex = index;
  const res = [current];
  while (current && current.depth > 2) {
    let matchedParent = false;
    for (let i = currentIndex - 1; i >= 0; i--) {
      const header = rawHeaders[i];
      if (header.depth > 1 && header.depth === current.depth - 1) {
        current = header;
        currentIndex = i;
        res.unshift(current);
        matchedParent = true;
        break;
      }
    }
    if (!matchedParent) {
      break;
    }
  }
  return res;
}
function normalizeTextCase(text) {
  const textNormalized = text.toString().toLowerCase().normalize("NFD");
  const resultWithAccents = textNormalized;
  const resultWithoutAccents = textNormalized.replace(/[\u0300-\u036f]/g, "");
  if (cyrillicRegex.test(String(text))) {
    return resultWithAccents.normalize("NFC");
  }
  if (kRegex.test(String(text))) {
    return resultWithoutAccents.normalize("NFC");
  }
  return resultWithoutAccents;
}
function removeDomain(url) {
  return url.replace(/https?:\/\/[^/]+/, "");
}
function getCharByteCount(char) {
  const charCode = char.charCodeAt(0);
  if (charCode > 255) {
    return 3;
  }
  return 1;
}
var normalizeSearchIndexes = (items) => {
  return items.map(
    (item) => typeof item === "string" ? {
      value: item,
      label: item
    } : item
  );
};
function substrByBytes(str, start, len) {
  let resultStr = "";
  let bytesCount = 0;
  const strLength = str.length;
  for (let i = 0; i < strLength; i++) {
    bytesCount += getCharByteCount(str.charAt(i));
    if (bytesCount > start + len) {
      break;
    }
    if (bytesCount > start) {
      resultStr += str.charAt(i);
    }
  }
  return resultStr;
}
function byteToCharIndex(str, byteIndex) {
  let charIndex = 0;
  let byteCount = 0;
  for (let i = 0; i < str.length; i++) {
    if (byteCount >= byteIndex) {
      break;
    }
    byteCount += getCharByteCount(str.charAt(i));
    charIndex++;
  }
  return charIndex;
}
function getSlicedStrByByteLength(str, start, length) {
  const slicedStr = str.slice(start);
  return substrByBytes(slicedStr, 0, length);
}
function getStrByteLength(str) {
  let byteLength = 0;
  for (let i = 0; i < str.length; i++) {
    byteLength += getCharByteCount(str.charAt(i));
  }
  return byteLength;
}

// src/components/Search/logic/providers/LocalProvider.ts
import FlexSearch from "flexsearch";
import searchIndexHash from "virtual-search-index-hash";
import { SEARCH_INDEX_NAME } from "@rspress/shared";
var cjkRegex = /[\u3131-\u314e|\u314f-\u3163|\uac00-\ud7a3]|[\u4E00-\u9FCC\u3400-\u4DB5\uFA0E\uFA0F\uFA11\uFA13\uFA14\uFA1F\uFA21\uFA23\uFA24\uFA27-\uFA29]|[\ud840-\ud868][\udc00-\udfff]|\ud869[\udc00-\uded6\udf00-\udfff]|[\ud86a-\ud86c][\udc00-\udfff]|\ud86d[\udc00-\udf34\udf40-\udfff]|\ud86e[\udc00-\udc1d]|[\u3041-\u3096]|[\u30A1-\u30FA]/giu;
var cyrillicRegex2 = /[\u0400-\u04FF]/g;
function tokenize(str, regex) {
  const words = [];
  let m = null;
  do {
    m = regex.exec(str);
    if (m) {
      words.push(m[0]);
    }
  } while (m);
  return words;
}
var _index, _cjkIndex, _cyrilicIndex, _getPages, getPages_fn;
var LocalProvider = class {
  constructor() {
    __privateAdd(this, _getPages);
    __privateAdd(this, _index, void 0);
    __privateAdd(this, _cjkIndex, void 0);
    __privateAdd(this, _cyrilicIndex, void 0);
  }
  init(options) {
    return __async(this, null, function* () {
      const { currentLang, currentVersion } = options;
      const versioned = options.mode !== "remote" && options.versioned;
      const pagesForSearch = (yield __privateMethod(this, _getPages, getPages_fn).call(this, currentLang, versioned ? currentVersion : "")).map((page) => __spreadProps(__spreadValues({}, page), {
        normalizedContent: normalizeTextCase(page.content),
        headers: page.toc.map((header) => normalizeTextCase(header.text)).join(" "),
        normalizedTitle: normalizeTextCase(page.title)
      }));
      const createOptions = {
        tokenize: "full",
        async: true,
        doc: {
          id: "routePath",
          field: ["normalizedTitle", "headers", "normalizedContent"]
        },
        cache: 100,
        split: /\W+/
      };
      __privateSet(this, _index, FlexSearch.create(createOptions));
      __privateSet(this, _cjkIndex, FlexSearch.create(__spreadProps(__spreadValues({}, createOptions), {
        tokenize: (str) => tokenize(str, cjkRegex)
      })));
      __privateSet(this, _cyrilicIndex, FlexSearch.create(__spreadProps(__spreadValues({}, createOptions), {
        tokenize: (str) => tokenize(str, cyrillicRegex2)
      })));
      __privateGet(this, _index).add(pagesForSearch);
      __privateGet(this, _cjkIndex).add(pagesForSearch);
      __privateGet(this, _cyrilicIndex).add(pagesForSearch);
    });
  }
  search(query) {
    return __async(this, null, function* () {
      var _a, _b;
      const { keyword, limit } = query;
      const searchParams = {
        query: keyword,
        limit,
        field: ["normalizedTitle", "headers", "normalizedContent"]
      };
      const searchResult = yield Promise.all([
        (_a = __privateGet(this, _index)) == null ? void 0 : _a.search(searchParams),
        (_b = __privateGet(this, _cjkIndex)) == null ? void 0 : _b.search(searchParams),
        __privateGet(this, _cyrilicIndex).search(searchParams)
      ]);
      const flattenSearchResult = searchResult.flat(2).filter(Boolean);
      return [
        {
          index: LOCAL_INDEX,
          hits: flattenSearchResult
        }
      ];
    });
  }
};
_index = new WeakMap();
_cjkIndex = new WeakMap();
_cyrilicIndex = new WeakMap();
_getPages = new WeakSet();
getPages_fn = function(lang, version) {
  return __async(this, null, function* () {
    const searchIndexGroupID = `${version}###${lang}`;
    const searchIndexVersion = version ? `.${version.replace(".", "_")}` : "";
    const searchIndexLang = lang ? `.${lang}` : "";
    const result = yield fetch(
      `${process.env.__ASSET_PREFIX__}/static/${SEARCH_INDEX_NAME}${searchIndexVersion}${searchIndexLang}.${searchIndexHash[searchIndexGroupID]}.json`
    );
    return result.json();
  });
};

// src/components/Search/logic/providers/RemoteProvider.ts
function buildQueryString(params) {
  return Object.entries(params).map((pair) => pair.map(encodeURIComponent).join("=")).join("&");
}
var _options;
var RemoteProvider = class {
  constructor() {
    __privateAdd(this, _options, void 0);
  }
  init(options) {
    return __async(this, null, function* () {
      __privateSet(this, _options, options);
    });
  }
  search(query) {
    return __async(this, null, function* () {
      const { apiUrl, searchIndexes } = __privateGet(this, _options);
      const { keyword, limit } = query;
      const urlParams = buildQueryString({
        keyword,
        limit: limit.toString(),
        searchIndexes: (searchIndexes == null ? void 0 : searchIndexes.map(
          (indexInfo) => typeof indexInfo === "string" ? indexInfo : indexInfo.value
        ).join(",")) || "",
        lang: __privateGet(this, _options).currentLang
      });
      try {
        const result = yield fetch(`${apiUrl}?${urlParams}`);
        return result.json();
      } catch (e) {
        console.error(e);
        return [];
      }
    });
  }
};
_options = new WeakMap();

// src/components/Search/logic/types.ts
var RenderType = /* @__PURE__ */ ((RenderType2) => {
  RenderType2["Default"] = "default";
  RenderType2["Custom"] = "custom";
  return RenderType2;
})(RenderType || {});

// src/components/Search/logic/search.ts
var THRESHOLD_CONTENT_LENGTH = 100;
var _options2, _indexName, _provider, _matchResultItem, matchResultItem_fn, _matchTitle, matchTitle_fn, _matchHeader, matchHeader_fn, _matchContent, matchContent_fn, _normalizeStatement, normalizeStatement_fn, _isCurrentIndex, isCurrentIndex_fn;
var PageSearcher = class {
  constructor(options) {
    __privateAdd(this, _matchResultItem);
    __privateAdd(this, _matchTitle);
    __privateAdd(this, _matchHeader);
    __privateAdd(this, _matchContent);
    __privateAdd(this, _normalizeStatement);
    __privateAdd(this, _isCurrentIndex);
    __privateAdd(this, _options2, void 0);
    __privateAdd(this, _indexName, LOCAL_INDEX);
    __privateAdd(this, _provider, void 0);
    __privateSet(this, _options2, options);
    __privateSet(this, _indexName, options.indexName);
    switch (options.mode) {
      case "remote":
        __privateSet(this, _provider, new RemoteProvider());
        break;
      default:
        __privateSet(this, _provider, new LocalProvider());
        break;
    }
  }
  init() {
    return __async(this, null, function* () {
      var _a;
      yield (_a = __privateGet(this, _provider)) == null ? void 0 : _a.init(__privateGet(this, _options2));
    });
  }
  match(keyword, limit = 7) {
    return __async(this, null, function* () {
      var _a;
      const searchResult = yield (_a = __privateGet(this, _provider)) == null ? void 0 : _a.search({ keyword, limit });
      const normaizedKeyWord = normalizeTextCase(keyword);
      const currentIndexInfo = (searchResult == null ? void 0 : searchResult.find(
        (res) => __privateMethod(this, _isCurrentIndex, isCurrentIndex_fn).call(this, res.index)
      )) || {
        index: LOCAL_INDEX,
        renderType: "default" /* Default */,
        hits: []
      };
      const matchResult = [
        {
          group: __privateGet(this, _indexName),
          renderType: "default" /* Default */,
          result: __privateMethod(this, _matchResultItem, matchResultItem_fn).call(this, normaizedKeyWord, currentIndexInfo)
        },
        ...((searchResult == null ? void 0 : searchResult.filter((res) => !__privateMethod(this, _isCurrentIndex, isCurrentIndex_fn).call(this, res.index))) || []).map((res) => ({
          group: res.index,
          renderType: "default" /* Default */,
          result: __privateMethod(this, _matchResultItem, matchResultItem_fn).call(this, normaizedKeyWord, res)
        }))
      ];
      return matchResult;
    });
  }
};
_options2 = new WeakMap();
_indexName = new WeakMap();
_provider = new WeakMap();
_matchResultItem = new WeakSet();
matchResultItem_fn = function(normaizedKeyWord, resultItem) {
  const matchedResult = [];
  resultItem == null ? void 0 : resultItem.hits.forEach((item) => {
    __privateMethod(this, _matchTitle, matchTitle_fn).call(this, item, normaizedKeyWord, matchedResult);
    const matchedHeader = __privateMethod(this, _matchHeader, matchHeader_fn).call(this, item, normaizedKeyWord, matchedResult);
    if (matchedHeader) {
      return;
    }
    __privateMethod(this, _matchContent, matchContent_fn).call(this, item, normaizedKeyWord, matchedResult);
  });
  return matchedResult;
};
_matchTitle = new WeakSet();
matchTitle_fn = function(item, query, matchedResult) {
  const { title = "" } = item;
  const normalizedTitle = normalizeTextCase(title);
  if (normalizedTitle.includes(query)) {
    matchedResult.push({
      type: "title",
      title,
      header: title,
      link: `${item.domain}${normalizeHref2(item.routePath)}`,
      query,
      highlightInfoList: [
        {
          start: normalizedTitle.indexOf(query),
          length: getStrByteLength(query)
        }
      ],
      group: __privateGet(this, _options2).extractGroupName(item.routePath)
    });
    return true;
  }
  return false;
};
_matchHeader = new WeakSet();
matchHeader_fn = function(item, query, matchedResult) {
  const { toc = [], domain = "", title = "" } = item;
  for (const [index, header] of toc.entries()) {
    const normalizedHeader = normalizeTextCase(header.text);
    if (normalizedHeader.includes(query)) {
      const headerGroup = backTrackHeaders(toc, index);
      const headerStr = headerGroup.map((item2) => item2.text).join(" > ");
      const headerMatchIndex = normalizeTextCase(headerStr).indexOf(query);
      const titlePrefix = `${title} > `;
      matchedResult.push({
        type: "header",
        title: item.title,
        header: `${titlePrefix}${headerStr}`,
        highlightInfoList: [
          {
            start: headerMatchIndex + titlePrefix.length,
            length: getStrByteLength(query)
          }
        ],
        link: `${domain}${normalizeHref2(item.routePath)}#${header.id}`,
        query,
        group: __privateGet(this, _options2).extractGroupName(item.routePath)
      });
      return true;
    }
  }
  return false;
};
_matchContent = new WeakSet();
matchContent_fn = function(item, query, matchedResult) {
  var _a, _b, _c;
  const { content, toc, domain } = item;
  if (!content.length) {
    return;
  }
  const normalizedContent = normalizeTextCase(content);
  let queryIndex = normalizedContent.indexOf(query);
  const headersIndex = toc.map((h) => h.charIndex);
  const getCurrentHeader = (currentIndex) => {
    const currentHeaderIndex = headersIndex.findIndex((hIndex, position) => {
      if (position < toc.length - 1) {
        const next = headersIndex[position + 1];
        if (hIndex <= currentIndex && next >= currentIndex) {
          return true;
        }
      } else {
        return hIndex < currentIndex;
      }
      return false;
    });
    return toc[currentHeaderIndex];
  };
  if (queryIndex === -1) {
    const hightlightItems = (_a = item._matchesPosition) == null ? void 0 : _a.content;
    if (!(hightlightItems == null ? void 0 : hightlightItems.length)) {
      return;
    }
    const highlightStartIndex = item._matchesPosition.content[0].start;
    const currentHeader = getCurrentHeader(highlightStartIndex);
    const statementStartIndex = byteToCharIndex(content, highlightStartIndex);
    const statementEndIndex = byteToCharIndex(
      content,
      highlightStartIndex + THRESHOLD_CONTENT_LENGTH
    );
    const statement = content.slice(statementStartIndex, statementEndIndex);
    const highlightInfoList = item._matchesPosition.content.filter(
      (match) => match.start >= highlightStartIndex && match.start + match.length <= highlightStartIndex + THRESHOLD_CONTENT_LENGTH
    ).map((match) => {
      const startCharIndex = byteToCharIndex(content, match.start) - statementStartIndex + 3;
      return {
        // prefix `...` length is 3
        start: startCharIndex,
        length: match.length
      };
    });
    matchedResult.push({
      type: "content",
      title: item.title,
      header: (_b = currentHeader == null ? void 0 : currentHeader.text) != null ? _b : item.title,
      link: `${domain}${normalizeHref2(item.routePath)}${currentHeader ? `#${currentHeader.id}` : ""}`,
      query,
      highlightInfoList,
      group: __privateGet(this, _options2).extractGroupName(item.routePath),
      statement: `...${statement}...`
    });
    return;
  }
  while (queryIndex !== -1) {
    const currentHeader = getCurrentHeader(queryIndex);
    let statementStartIndex = content.slice(0, queryIndex).lastIndexOf("\n");
    statementStartIndex = statementStartIndex === -1 ? 0 : statementStartIndex;
    const statementEndIndex = content.indexOf(
      "\n\n",
      queryIndex + query.length
    );
    let statement = content.slice(statementStartIndex, statementEndIndex);
    if (statement.length > THRESHOLD_CONTENT_LENGTH) {
      statement = __privateMethod(this, _normalizeStatement, normalizeStatement_fn).call(this, statement, query);
    }
    const highlightIndex = normalizeTextCase(statement).indexOf(query);
    const highlightInfoList = [
      {
        start: highlightIndex,
        length: getStrByteLength(query)
      }
    ];
    matchedResult.push({
      type: "content",
      title: item.title,
      header: (_c = currentHeader == null ? void 0 : currentHeader.text) != null ? _c : item.title,
      statement,
      highlightInfoList,
      link: `${domain}${normalizeHref2(item.routePath)}${currentHeader ? `#${currentHeader.id}` : ""}`,
      query,
      group: __privateGet(this, _options2).extractGroupName(item.routePath)
    });
    queryIndex = normalizedContent.indexOf(
      query,
      queryIndex + statement.length - highlightIndex
    );
  }
};
_normalizeStatement = new WeakSet();
normalizeStatement_fn = function(statement, query) {
  const queryIndex = normalizeTextCase(statement).indexOf(
    normalizeTextCase(query)
  );
  const maxPrefixOrSuffix = Math.floor(
    (THRESHOLD_CONTENT_LENGTH - query.length) / 2
  );
  let prefix = statement.slice(0, queryIndex);
  if (prefix.length > maxPrefixOrSuffix) {
    prefix = `...${statement.slice(
      queryIndex - maxPrefixOrSuffix + 3,
      queryIndex
    )}`;
  }
  let suffix = statement.slice(queryIndex + query.length);
  if (suffix.length > maxPrefixOrSuffix) {
    suffix = `${statement.slice(
      queryIndex + query.length,
      queryIndex + maxPrefixOrSuffix - 3
    )}...`;
  }
  return prefix + query + suffix;
};
_isCurrentIndex = new WeakSet();
isCurrentIndex_fn = function(index) {
  return index === __privateGet(this, _indexName) || index === LOCAL_INDEX;
};

// src/logic/useFullTextSearch.ts
function useFullTextSearch() {
  var _a;
  const { siteData: siteData2, page } = usePageData6();
  const [initialized, setInitialized] = useState3(false);
  const { sidebar } = useLocaleSiteData();
  const extractGroupName = (link) => getSidebarGroupData(sidebar, link).group;
  const searchRef = useRef2(null);
  useEffect3(() => {
    function init() {
      return __async(this, null, function* () {
        if (!initialized) {
          const searcher = new PageSearcher(__spreadProps(__spreadValues({}, siteData2.search), {
            mode: "local",
            currentLang: page.lang,
            currentVersion: page.version,
            extractGroupName
          }));
          searchRef.current = searcher;
          yield searcher.init();
          setInitialized(true);
        }
      });
    }
    init();
  }, []);
  return {
    initialized,
    search: (_a = searchRef.current) == null ? void 0 : _a.match.bind(searchRef.current)
  };
}

// src/logic/useRedirect4FirstVisit.ts
import { removeBase as removeBase2, usePageData as usePageData7, withBase as withBase5 } from "@rspress/runtime";
import { useEffect as useEffect4 } from "react";
function useRedirect4FirstVisit() {
  const { siteData: siteData2, page } = usePageData7();
  const defaultLang = siteData2.lang || "";
  const localeLanguages = Object.values(siteData2.themeConfig.locales || {});
  const langs = localeLanguages.map((item) => item.lang) || [];
  const currentLang = page.lang;
  useEffect4(() => {
    var _a;
    const localeRedirect = (_a = siteData2.themeConfig.localeRedirect) != null ? _a : "auto";
    if (localeRedirect !== "auto") {
      return;
    }
    if (!defaultLang || process.env.TEST === "1") {
      return;
    }
    const { pathname, search } = window.location;
    const cleanPathname = removeBase2(pathname);
    const FIRST_VISIT_KEY = "rspress-visited";
    const visited = localStorage.getItem(FIRST_VISIT_KEY);
    if (visited) {
      return;
    }
    localStorage.setItem(FIRST_VISIT_KEY, "1");
    const targetLang = window.navigator.language.split("-")[0];
    if (!langs.includes(targetLang)) {
      return;
    }
    if (targetLang === currentLang) {
      return;
    }
    let newPath;
    if (targetLang === defaultLang) {
      newPath = pathname.replace(`/${currentLang}`, "");
    } else if (currentLang === defaultLang) {
      newPath = withBase5(`/${targetLang}${cleanPathname}`);
    } else {
      newPath = pathname.replace(`/${currentLang}`, `/${targetLang}`);
    }
    if (newPath) {
      window.location.replace(newPath + search);
    }
  }, []);
}

// src/logic/useAppearance.ts
import siteData from "virtual-site-data";
import { APPEARANCE_KEY } from "@rspress/shared";
import { useCallback as useCallback2, useEffect as useEffect7, useState as useState6 } from "react";

// src/logic/useHandler.ts
import { useRef as useRef3 } from "react";
var useHandler = (handler) => {
  const handlerRef = useRef3(handler);
  handlerRef.current = handler;
  return useRef3((...args) => handlerRef.current(...args)).current;
};

// src/logic/useMediaQuery.ts
import { useEffect as useEffect5, useState as useState4 } from "react";
var useMediaQuery = (query) => {
  const [matches, setMatches] = useState4(() => {
    return typeof window !== "undefined" ? window.matchMedia(query).matches : false;
  });
  useEffect5(() => {
    const mediaQueryList = window.matchMedia(query);
    const listener = (e) => setMatches(e.matches);
    mediaQueryList.addEventListener("change", listener);
    return () => mediaQueryList.removeEventListener("change", listener);
  }, [query]);
  return matches;
};

// src/logic/useStorageValue.ts
import { useCallback, useEffect as useEffect6, useState as useState5 } from "react";
var useStorageValue = (key, defaultValue = null) => {
  const [value, setValueInternal] = useState5(() => {
    var _a;
    if (typeof window === "undefined") {
      return defaultValue;
    }
    return (_a = localStorage.getItem(key)) != null ? _a : defaultValue;
  });
  const setValue = useCallback(
    (value2) => {
      setValueInternal((prev) => {
        const next = typeof value2 === "function" ? value2(prev) : value2;
        if (next == null) {
          localStorage.removeItem(key);
        } else {
          localStorage.setItem(key, next);
        }
        return next;
      });
    },
    [key]
  );
  useEffect6(() => {
    const listener = (e) => {
      var _a;
      if (e.key === key) {
        setValueInternal((_a = localStorage.getItem(key)) != null ? _a : defaultValue);
      }
    };
    window.addEventListener("storage", listener);
    return () => {
      window.removeEventListener("storage", listener);
    };
  }, [key, defaultValue]);
  return [value, setValue];
};

// src/logic/useAppearance.ts
var sanitize = (value) => {
  return ["light", "dark", "auto"].includes(value) ? value : "auto";
};
var disableDarkMode = siteData.themeConfig.darkMode === false;
var useThemeState = () => {
  const matchesDark = useMediaQuery("(prefers-color-scheme: dark)");
  const [storedTheme, setStoredTheme] = useStorageValue(APPEARANCE_KEY);
  const getPreferredTheme = useHandler(() => {
    if (disableDarkMode) {
      return "light";
    }
    const sanitized = sanitize(storedTheme);
    return sanitized === "auto" ? matchesDark ? "dark" : "light" : sanitized;
  });
  const [theme, setThemeInternal] = useState6(() => {
    var _a;
    if (typeof window === "undefined") {
      return "light";
    }
    const defaultTheme = (_a = window.RSPRESS_THEME) != null ? _a : window.MODERN_THEME;
    if (defaultTheme) {
      return defaultTheme === "dark" ? "dark" : "light";
    }
    return getPreferredTheme();
  });
  const setTheme = useCallback2(
    (value, storeValue = value) => {
      if (disableDarkMode) {
        return;
      }
      setThemeInternal(value);
      setStoredTheme(storeValue);
      setSkipEffect(true);
    },
    []
  );
  useEffect7(() => {
    document.documentElement.classList.toggle("dark", theme === "dark");
    document.documentElement.style.colorScheme = theme;
  }, [theme]);
  const [skipEffect, setSkipEffect] = useState6(true);
  useEffect7(() => {
    setSkipEffect(false);
  }, [skipEffect]);
  useEffect7(() => {
    if (skipEffect) {
      return;
    }
    setTheme(getPreferredTheme(), sanitize(storedTheme));
  }, [storedTheme]);
  useEffect7(() => {
    if (skipEffect) {
      return;
    }
    setTheme(matchesDark ? "dark" : "light", "auto");
  }, [matchesDark]);
  return [theme, setTheme];
};

// src/logic/utils.ts
import htmr from "htmr";
import isHtml from "is-html";
import { isEqualPath as isEqualPath3 } from "@rspress/runtime";
import { isNumber } from "lodash-es";
function isActive(currentPath, targetLink, strict = false) {
  if (!targetLink) {
    return false;
  }
  if (strict) {
    return isEqualPath3(currentPath, targetLink);
  }
  return isEqualPath3(currentPath, targetLink) || currentPath.startsWith(targetLink);
}
function isMobileDevice() {
  return window.innerWidth <= 1024;
}
function renderHtmlOrText(str) {
  if (!str) {
    return "";
  }
  if (isNumber(str)) {
    return str;
  }
  return isHtml(str) ? htmr(str) : str;
}
var CODE_TEXT_PATTERN = /`(.*?)`/g;
var STRONG_TEXT_PATTERN = new RegExp("\\*{2}(?!\\*)(.*?)(?<!\\*)\\*{2}", "g");
var EMPHASIS_TEXT_PATTERN = new RegExp("\\*(?!\\*)(.*?)(?<!\\*)\\*", "g");
function renderInlineMarkdown(text) {
  const htmlText = text.replace(/</g, "&lt;").replace(STRONG_TEXT_PATTERN, "<strong>$1</strong>").replace(EMPHASIS_TEXT_PATTERN, "<em>$1</em>").replace(CODE_TEXT_PATTERN, "<code>$1</code>");
  return renderHtmlOrText(htmlText);
}
function parseInlineMarkdownText(mdx) {
  return mdx.replace(STRONG_TEXT_PATTERN, "$1").replace(EMPHASIS_TEXT_PATTERN, "$1").replace(CODE_TEXT_PATTERN, "$1");
}

// src/components/Aside/index.tsx
import { jsx as jsx2, jsxs as jsxs2 } from "react/jsx-runtime";
function Aside(props) {
  var _a;
  const { headers } = props;
  const hasOutline = headers.length > 0;
  const baseHeaderLevel = ((_a = headers[0]) == null ? void 0 : _a.depth) || 2;
  const hiddenNav = useHiddenNav();
  useEffect8(() => {
    let unbinding;
    setTimeout(() => {
      unbinding = bindingAsideScroll();
    }, 100);
    const hash = decodeURIComponent(window.location.hash);
    if (!hash) {
      window.scrollTo(0, 0);
    } else {
      const target = document.getElementById(hash.slice(1));
      if (target) {
        scrollToTarget(target, false, hiddenNav ? 0 : DEFAULT_NAV_HEIGHT);
      }
    }
    return () => {
      if (unbinding) {
        unbinding();
      }
    };
  }, [headers]);
  const renderHeader = (header) => {
    return /* @__PURE__ */ jsx2("li", { children: /* @__PURE__ */ jsx2(
      "a",
      {
        href: `#${header.id}`,
        title: parseInlineMarkdownText(header.text),
        className: "aside-link transition-all duration-300 hover:text-text-1 text-text-2 block",
        style: {
          paddingLeft: (header.depth - baseHeaderLevel) * 12,
          fontWeight: "semibold"
        },
        onClick: (e) => {
          e.preventDefault();
          window.location.hash = header.id;
          const target = document.getElementById(header.id);
          if (target) {
            scrollToTarget(target, false, hiddenNav ? 0 : DEFAULT_NAV_HEIGHT);
          }
        },
        children: /* @__PURE__ */ jsx2("span", { className: "aside-link-text block", children: renderInlineMarkdown(header.text) })
      }
    ) }, header.id);
  };
  return /* @__PURE__ */ jsx2("div", { className: "flex flex-col", children: /* @__PURE__ */ jsx2("div", { className: hasOutline ? "<lg:hidden" : "hidden", children: /* @__PURE__ */ jsxs2("div", { id: "aside-container", className: "relative text-sm font-medium", children: [
    /* @__PURE__ */ jsx2("div", { className: "leading-7 block text-sm font-semibold pl-3", children: props.outlineTitle }),
    /* @__PURE__ */ jsx2("nav", { className: "mt-1", children: /* @__PURE__ */ jsx2("ul", { className: "relative", children: headers.map(renderHeader) }) })
  ] }) }) });
}

// src/components/DocFooter/index.tsx
import {
  normalizeHrefInRuntime as normalizeHref3,
  usePageData as usePageData8
} from "@rspress/runtime";
import { LastUpdated, PrevNextPage, EditLink } from "@theme";

// src/components/DocFooter/index.module.scss
var index_module_default = { "pager": "pager_e7091", "has-next": "has-next_e7091", "hasNext": "has-next_e7091", "prev": "prev_e7091", "next": "next_e7091" };

// src/components/DocFooter/index.tsx
import { jsx as jsx3, jsxs as jsxs3 } from "react/jsx-runtime";
function DocFooter() {
  const { prevPage, nextPage } = usePrevNextPage();
  const { lastUpdated: localesLastUpdated = false } = useLocaleSiteData();
  const { siteData: siteData2 } = usePageData8();
  const { themeConfig } = siteData2;
  const showLastUpdated = themeConfig.lastUpdated || localesLastUpdated;
  return /* @__PURE__ */ jsxs3("footer", { className: "mt-8", children: [
    /* @__PURE__ */ jsx3("div", { className: "xs:flex pb-5 px-2 justify-end items-center", children: showLastUpdated && /* @__PURE__ */ jsx3(LastUpdated, {}) }),
    /* @__PURE__ */ jsx3("div", { className: "flex flex-col", children: /* @__PURE__ */ jsx3(EditLink, {}) }),
    /* @__PURE__ */ jsxs3("div", { className: "flex flex-col sm:flex-row sm:justify-around gap-4 pt-6", children: [
      /* @__PURE__ */ jsx3("div", { className: `${index_module_default.prev} flex flex-col`, children: prevPage ? /* @__PURE__ */ jsx3(
        PrevNextPage,
        {
          type: "prev",
          text: prevPage.text,
          href: normalizeHref3(prevPage.link)
        }
      ) : null }),
      /* @__PURE__ */ jsx3("div", { className: `${index_module_default.next} flex flex-col`, children: nextPage ? /* @__PURE__ */ jsx3(
        PrevNextPage,
        {
          type: "next",
          text: nextPage.text,
          href: normalizeHref3(nextPage.link)
        }
      ) : null })
    ] })
  ] });
}

// src/components/LocalSideBar/index.tsx
import { Fragment as Fragment2, useEffect as useEffect9, useRef as useRef4, useState as useState7 } from "react";
import { useLocation as useLocation4 } from "@rspress/runtime";
import MenuIcon from "@theme-assets/menu";
import ArrowRight from "@theme-assets/arrow-right";
import { Sidebar, Toc } from "@theme";

// src/components/SvgWrapper/index.tsx
import { jsx as jsx4 } from "react/jsx-runtime";
function SvgWrapper(_a) {
  var _b = _a, {
    icon: Icon
  } = _b, rest = __objRest(_b, [
    "icon"
  ]);
  if (!Icon) {
    return null;
  }
  if (typeof Icon === "string") {
    return /* @__PURE__ */ jsx4("img", __spreadValues({ src: Icon, alt: "" }, rest));
  }
  return /* @__PURE__ */ jsx4(Icon, __spreadValues({}, rest));
}

// src/components/LocalSideBar/index.tsx
import { CSSTransition } from "react-transition-group";
import { jsx as jsx5, jsxs as jsxs4 } from "react/jsx-runtime";
function SideMenu({
  outlineTitle,
  beforeSidebar,
  afterSidebar,
  uiSwitch
}) {
  const [isSidebarOpen, setSidebarIsOpen] = useState7(false);
  const [isTocOpen, setIsTocOpen] = useState7(false);
  const tocContainerRef = useRef4();
  const outlineButtonRef = useRef4();
  const { pathname } = useLocation4();
  function openSidebar() {
    setSidebarIsOpen(true);
  }
  function closeSidebar() {
    setSidebarIsOpen(false);
  }
  useEffect9(() => {
    setSidebarIsOpen(false);
  }, [pathname]);
  useEffect9(() => {
    document.addEventListener("mouseup", handleClickOutsideForToc);
    document.addEventListener("touchend", handleClickOutsideForToc);
    return () => {
      document.addEventListener("mouseup", handleClickOutsideForToc);
      document.removeEventListener("touchend", handleClickOutsideForToc);
    };
  }, []);
  const handleClickOutsideForToc = (e) => {
    const { current: outlineButton } = outlineButtonRef;
    if (outlineButton == null ? void 0 : outlineButton.contains(e.target)) {
      return;
    }
    const { current: tocContainer } = tocContainerRef;
    if (tocContainer && !tocContainer.contains(e.target)) {
      setIsTocOpen(false);
    }
  };
  return /* @__PURE__ */ jsxs4(Fragment2, { children: [
    /* @__PURE__ */ jsxs4("div", { className: "rspress-sidebar-menu", children: [
      uiSwitch.showSidebar ? /* @__PURE__ */ jsxs4("button", { onClick: openSidebar, className: "flex-center mr-auto", children: [
        /* @__PURE__ */ jsx5("div", { className: "text-md mr-2", children: /* @__PURE__ */ jsx5(SvgWrapper, { icon: MenuIcon }) }),
        /* @__PURE__ */ jsx5("span", { className: "text-sm", children: "Menu" })
      ] }) : null,
      uiSwitch.showAside ? /* @__PURE__ */ jsxs4(Fragment2, { children: [
        /* @__PURE__ */ jsxs4(
          "button",
          {
            onClick: () => setIsTocOpen((tocOpened) => !tocOpened),
            className: "flex-center ml-auto",
            ref: outlineButtonRef,
            children: [
              /* @__PURE__ */ jsx5("span", { className: "text-sm", children: outlineTitle }),
              /* @__PURE__ */ jsx5(
                "div",
                {
                  className: "text-md mr-2",
                  style: {
                    transform: isTocOpen ? "rotate(90deg)" : "rotate(0deg)",
                    transition: "transform 0.2s ease-out",
                    marginTop: "2px"
                  },
                  children: /* @__PURE__ */ jsx5(SvgWrapper, { icon: ArrowRight })
                }
              )
            ]
          }
        ),
        /* @__PURE__ */ jsx5(
          CSSTransition,
          {
            in: isTocOpen,
            timeout: 300,
            unmountOnExit: true,
            classNames: "fly-in",
            nodeRef: tocContainerRef,
            children: /* @__PURE__ */ jsx5(
              "div",
              {
                className: "rspress-local-toc-container",
                ref: tocContainerRef,
                children: /* @__PURE__ */ jsx5(
                  Toc,
                  {
                    onItemClick: () => {
                      setIsTocOpen(false);
                    }
                  }
                )
              }
            )
          }
        )
      ] }) : null
    ] }),
    uiSwitch.showSidebar ? /* @__PURE__ */ jsxs4(Fragment2, { children: [
      /* @__PURE__ */ jsx5(
        Sidebar,
        {
          isSidebarOpen,
          beforeSidebar,
          afterSidebar,
          uiSwitch
        }
      ),
      isSidebarOpen ? /* @__PURE__ */ jsx5(
        "div",
        {
          onClick: closeSidebar,
          className: "rspress-sidebar-back-drop",
          style: {
            background: "rgba(0, 0, 0, 0.6)"
          }
        }
      ) : null
    ] }) : null
  ] });
}

// src/logic/TabDataContext.ts
import { createContext } from "react";
var TabDataContext = createContext({
  tabData: {},
  setTabData: () => {
  }
});

// src/layout/DocLayout/index.module.scss
var index_module_default2 = { "aside-container": "aside-container_edeb4", "asideContainer": "aside-container_edeb4", "fade-out": "fade-out_edeb4", "fadeOut": "fade-out_edeb4", "fade-in": "fade-in_edeb4", "fadeIn": "fade-in_edeb4", "docLayout": "docLayout_edeb4", "content": "content_edeb4" };

// src/layout/DocLayout/index.tsx
import { Fragment as Fragment3, jsx as jsx6, jsxs as jsxs5 } from "react/jsx-runtime";
function DocLayout(props) {
  var _a, _b;
  const {
    beforeDocFooter,
    afterDocFooter,
    beforeDoc,
    afterDoc,
    beforeDocContent,
    afterDocContent,
    beforeOutline,
    afterOutline,
    beforeSidebar,
    afterSidebar,
    uiSwitch
  } = props;
  const { siteData: siteData2, page } = usePageData9();
  const { toc = [], frontmatter } = page;
  const [tabData, setTabData] = useState8({});
  const headers = toc;
  const { themeConfig } = siteData2;
  const enableScrollToTop = (_a = themeConfig.enableScrollToTop) != null ? _a : false;
  const localesData = useLocaleSiteData();
  const outlineTitle = (localesData == null ? void 0 : localesData.outlineTitle) || (themeConfig == null ? void 0 : themeConfig.outlineTitle) || "ON THIS PAGE";
  const isOverviewPage = (_b = frontmatter == null ? void 0 : frontmatter.overview) != null ? _b : false;
  const docContent = /* @__PURE__ */ jsx6(TabDataContext.Provider, { value: { tabData, setTabData }, children: /* @__PURE__ */ jsx6(MDXProvider, { components: getCustomMDXComponent(), children: /* @__PURE__ */ jsx6(Content, {}) }) });
  return /* @__PURE__ */ jsxs5(
    "div",
    {
      className: `${index_module_default2.docLayout} pt-0`,
      style: __spreadValues({}, uiSwitch.showNavbar ? {} : { marginTop: 0 }),
      children: [
        beforeDoc,
        /* @__PURE__ */ jsx6(
          SideMenu,
          {
            outlineTitle,
            beforeSidebar,
            afterSidebar,
            uiSwitch
          }
        ),
        /* @__PURE__ */ jsxs5(
          "div",
          {
            className: `${index_module_default2.content} rspress-doc-container flex flex-shrink-0 mx-auto`,
            children: [
              /* @__PURE__ */ jsx6("div", { className: "w-full flex-1", children: isOverviewPage ? /* @__PURE__ */ jsxs5(Fragment3, { children: [
                beforeDocContent,
                /* @__PURE__ */ jsx6(Overview, { content: docContent }),
                afterDocContent
              ] }) : /* @__PURE__ */ jsxs5("div", { children: [
                /* @__PURE__ */ jsxs5("div", { className: "rspress-doc", children: [
                  beforeDocContent,
                  docContent,
                  afterDocContent
                ] }),
                /* @__PURE__ */ jsxs5("div", { className: "rspress-doc-footer", children: [
                  beforeDocFooter,
                  uiSwitch.showDocFooter && /* @__PURE__ */ jsx6(DocFooter, {}),
                  afterDocFooter
                ] })
              ] }) }),
              enableScrollToTop && /* @__PURE__ */ jsx6(NoSSR, { children: /* @__PURE__ */ jsx6(ScrollToTop, {}) }),
              uiSwitch.showAside ? /* @__PURE__ */ jsx6(
                "div",
                {
                  className: index_module_default2.asideContainer,
                  style: __spreadValues({}, uiSwitch.showNavbar ? {} : {
                    marginTop: 0,
                    paddingTop: "32px"
                  }),
                  children: /* @__PURE__ */ jsxs5("div", { children: [
                    beforeOutline,
                    /* @__PURE__ */ jsx6(Aside, { headers, outlineTitle }),
                    afterOutline
                  ] })
                }
              ) : null
            ]
          }
        ),
        afterDoc
      ]
    }
  );
}

// src/logic/useUISwitch.ts
import { useEffect as useEffect10, useState as useState9 } from "react";
import { useLocation as useLocation5, usePageData as usePageData10 } from "@rspress/runtime";
function useUISwitch() {
  var _a, _b;
  const { page, siteData: siteData2 } = usePageData10();
  const { frontmatter } = page;
  const { themeConfig } = siteData2;
  const localesData = useLocaleSiteData();
  const location2 = useLocation5();
  const isOverviewPage = (_a = frontmatter == null ? void 0 : frontmatter.overview) != null ? _a : false;
  const getShowAside = () => {
    var _a2, _b2;
    const defaultHasAside = typeof window === "undefined" ? true : window.top === window.self;
    return ((_b2 = (_a2 = frontmatter == null ? void 0 : frontmatter.outline) != null ? _a2 : themeConfig == null ? void 0 : themeConfig.outline) != null ? _b2 : defaultHasAside) && !isOverviewPage;
  };
  const [showNavbar, setShowNavbar] = useEnableNav();
  const [showAside, setShowAside] = useState9(getShowAside());
  const [showDocFooter, setShowDocFooter] = useState9(
    (_b = frontmatter == null ? void 0 : frontmatter.footer) != null ? _b : true
  );
  const sidebar = localesData.sidebar || {};
  const showSidebar = (frontmatter == null ? void 0 : frontmatter.sidebar) !== false && Object.keys(sidebar).length > 0;
  useEffect10(() => {
    setShowAside(getShowAside());
  }, [page, siteData2]);
  useEffect10(() => {
    const query = new URLSearchParams(location2.search);
    const documentStyle = document.documentElement.style;
    const originalSidebarWidth = documentStyle.getPropertyValue("--rp-sidebar-width");
    const originalAsideWidth = documentStyle.getPropertyValue("--rp-aside-width");
    const originNavbar = showNavbar;
    const originDocFooter = showDocFooter;
    const navbar = query.get("navbar");
    const sidebar2 = query.get("sidebar");
    const aside = query.get("outline");
    const footer = query.get("footer");
    if (navbar === "0" /* Hide */) {
      setShowNavbar(false);
    }
    if (sidebar2 === "0" /* Hide */) {
      document.documentElement.style.setProperty("--rp-sidebar-width", "0px");
    }
    if (aside === "0" /* Hide */) {
      document.documentElement.style.setProperty("--rp-aside-width", "0px");
    }
    if (footer === "0" /* Hide */) {
      setShowDocFooter(false);
    }
    return () => {
      document.documentElement.style.setProperty(
        "--rp-sidebar-width",
        originalSidebarWidth
      );
      document.documentElement.style.setProperty(
        "--rp-aside-width",
        originalAsideWidth
      );
      setShowNavbar(originNavbar);
      setShowDocFooter(originDocFooter);
    };
  }, [location2.search]);
  return {
    showAside,
    showNavbar,
    showSidebar,
    showDocFooter
  };
}

// src/layout/Layout/index.tsx
import { jsx as jsx7, jsxs as jsxs6 } from "react/jsx-runtime";
var concatTitle = (title, suffix) => {
  if (!suffix) {
    return title;
  }
  title = title.trim();
  suffix = suffix.trim();
  if (!suffix.startsWith("-") && !suffix.startsWith("|")) {
    return `${title} - ${suffix}`;
  }
  return `${title} ${suffix}`;
};
var Layout = (props) => {
  var _a;
  const {
    top,
    bottom,
    beforeDocFooter,
    afterDocFooter,
    beforeDoc,
    afterDoc,
    beforeDocContent,
    afterDocContent,
    beforeSidebar,
    afterSidebar,
    beforeOutline,
    afterOutline,
    beforeNavTitle,
    afterNavTitle,
    beforeNav,
    beforeHero,
    afterHero,
    beforeFeatures,
    afterFeatures,
    afterNavMenu
  } = props;
  const docProps = {
    beforeDocFooter,
    afterDocFooter,
    beforeDocContent,
    afterDocContent,
    beforeDoc,
    afterDoc,
    beforeSidebar,
    afterSidebar,
    beforeOutline,
    afterOutline
  };
  const homeProps = {
    beforeHero,
    afterHero,
    beforeFeatures,
    afterFeatures
  };
  const { siteData: siteData2, page } = usePageData11();
  const {
    pageType,
    lang: currentLang,
    // Inject by remark-plugin-toc
    title: articleTitle,
    frontmatter = {}
  } = page;
  const localesData = useLocaleSiteData();
  useRedirect4FirstVisit();
  let title = (_a = frontmatter.title) != null ? _a : articleTitle;
  const mainTitle = siteData2.title || localesData.title;
  if (title && pageType === "doc") {
    title = concatTitle(
      title,
      frontmatter.titleSuffix || mainTitle
    );
  } else if (pageType === "home") {
    title = concatTitle(mainTitle, frontmatter.titleSuffix);
  } else {
    title = mainTitle;
  }
  const description = (frontmatter == null ? void 0 : frontmatter.description) || siteData2.description || localesData.description;
  const uiSwitch = useUISwitch();
  const getContentLayout = () => {
    switch (pageType) {
      case "home":
        return /* @__PURE__ */ jsx7(Theme.HomeLayout, __spreadValues({}, homeProps));
      case "doc":
        return /* @__PURE__ */ jsx7(DocLayout, __spreadProps(__spreadValues({}, docProps), { uiSwitch }));
      case "404":
        return /* @__PURE__ */ jsx7(Theme.NotFoundLayout, {});
      case "custom":
      case "blank":
        return /* @__PURE__ */ jsx7(Content2, {});
      default:
        return /* @__PURE__ */ jsx7(DocLayout, __spreadValues({}, docProps));
    }
  };
  return /* @__PURE__ */ jsxs6("div", { children: [
    /* @__PURE__ */ jsxs6(
      Helmet,
      {
        htmlAttributes: {
          lang: currentLang || "en"
        },
        children: [
          title ? /* @__PURE__ */ jsx7("title", { children: title }) : null,
          description ? /* @__PURE__ */ jsx7("meta", { name: "description", content: description }) : null
        ]
      }
    ),
    top,
    pageType !== "blank" && uiSwitch.showNavbar && /* @__PURE__ */ jsx7(
      Nav,
      {
        beforeNavTitle,
        afterNavTitle,
        beforeNav,
        afterNavMenu
      }
    ),
    /* @__PURE__ */ jsx7("section", { children: getContentLayout() }),
    bottom
  ] });
};

// src/layout/HomeLayout/index.tsx
import { usePageData as usePageData12 } from "@rspress/runtime";
import { HomeHero, HomeFeature, HomeFooter } from "@theme";
import { jsx as jsx8, jsxs as jsxs7 } from "react/jsx-runtime";
function HomeLayout(props) {
  const { beforeHero, afterHero, beforeFeatures, afterFeatures } = props;
  const {
    page: { frontmatter }
  } = usePageData12();
  return /* @__PURE__ */ jsxs7(
    "div",
    {
      className: "relative",
      style: {
        minHeight: "calc(100vh - var(--rp-nav-height))",
        paddingBottom: "80px"
      },
      children: [
        /* @__PURE__ */ jsxs7("div", { className: "pb-12", children: [
          beforeHero,
          /* @__PURE__ */ jsx8(HomeHero, { frontmatter }),
          afterHero,
          beforeFeatures,
          /* @__PURE__ */ jsx8(HomeFeature, { frontmatter }),
          afterFeatures
        ] }),
        /* @__PURE__ */ jsx8(HomeFooter, {})
      ]
    }
  );
}

// src/layout/DocLayout/docComponents/index.module.scss
var index_module_default3 = { "title": "title_3b154", "blockquote": "blockquote_3b154", "link": "link_3b154", "inline-link": "inline-link_3b154", "inlineLink": "inline-link_3b154" };

// src/layout/DocLayout/docComponents/title.tsx
import { jsx as jsx9 } from "react/jsx-runtime";
var H1 = (props) => {
  return /* @__PURE__ */ jsx9(
    "h1",
    __spreadProps(__spreadValues({}, props), {
      className: `text-3xl mb-10 leading-10 tracking-tight ${index_module_default3.title}`
    })
  );
};
var H2 = (props) => {
  return /* @__PURE__ */ jsx9(
    "h2",
    __spreadProps(__spreadValues({}, props), {
      className: `mt-12 mb-6 pt-8 text-2xl tracking-tight border-t-[1px] border-divider-light ${index_module_default3.title}`
    })
  );
};
var H3 = (props) => {
  return /* @__PURE__ */ jsx9("h3", __spreadProps(__spreadValues({}, props), { className: `mt-10 mb-2 leading-7 text-xl ${index_module_default3.title}` }));
};
var H4 = (props) => {
  return /* @__PURE__ */ jsx9("h4", __spreadProps(__spreadValues({}, props), { className: `mt-8 leading-6 text-base ${index_module_default3.title}` }));
};
var H5 = (props) => {
  return /* @__PURE__ */ jsx9("h5", __spreadProps(__spreadValues({}, props), { className: index_module_default3.title }));
};
var H6 = (props) => {
  return /* @__PURE__ */ jsx9("h6", __spreadProps(__spreadValues({}, props), { className: index_module_default3.title }));
};

// src/layout/DocLayout/docComponents/list.tsx
import { jsx as jsx10 } from "react/jsx-runtime";
var Ol = (props) => {
  return /* @__PURE__ */ jsx10("ol", __spreadProps(__spreadValues({}, props), { className: "list-decimal pl-5 my-4 leading-7" }));
};
var Ul = (props) => {
  return /* @__PURE__ */ jsx10("ul", __spreadProps(__spreadValues({}, props), { className: "list-disc pl-5 my-4 leading-7" }));
};
var Li = (props) => {
  return /* @__PURE__ */ jsx10("li", __spreadProps(__spreadValues({}, props), { className: "[&:not(:first-child)]:mt-2" }));
};

// src/layout/DocLayout/docComponents/table.tsx
import { jsx as jsx11 } from "react/jsx-runtime";
var Table = (props) => {
  return /* @__PURE__ */ jsx11(
    "table",
    __spreadProps(__spreadValues({}, props), {
      className: "block border-collapse text-base my-5 overflow-x-auto leading-7 border-gray-light-3 dark:border-divider"
    })
  );
};
var Tr = (props) => {
  return /* @__PURE__ */ jsx11(
    "tr",
    __spreadProps(__spreadValues({}, props), {
      className: "border border-solid transition-colors duration-500 even:bg-soft border-gray-light-3 dark:border-divider"
    })
  );
};
var Td = (props) => {
  return /* @__PURE__ */ jsx11(
    "td",
    __spreadProps(__spreadValues({}, props), {
      className: "border border-solid px-4 py-2 border-gray-light-3 dark:border-divider"
    })
  );
};
var Th = (props) => {
  return /* @__PURE__ */ jsx11(
    "th",
    __spreadProps(__spreadValues({}, props), {
      className: "border border-solid px-4 py-2 text-text-1 text-base font-semibold border-gray-light-3 dark:border-divider"
    })
  );
};

// src/layout/DocLayout/docComponents/hr.tsx
import { jsx as jsx12 } from "react/jsx-runtime";
var Hr = (props) => {
  return /* @__PURE__ */ jsx12(
    "hr",
    __spreadProps(__spreadValues({}, props), {
      className: "my-12 border-t border-solid border-divider-light"
    })
  );
};

// src/layout/DocLayout/docComponents/link.tsx
import { Link } from "@theme";
import { jsx as jsx13 } from "react/jsx-runtime";
var A = (props) => {
  const { href = "", className = "" } = props;
  const { normalizeLinkHref } = usePathUtils();
  const hasHeaderAnchor = className.includes("header-anchor");
  if (hasHeaderAnchor || href.startsWith("#")) {
    return /* @__PURE__ */ jsx13("a", __spreadProps(__spreadValues({}, props), { className: `${index_module_default3.link} ${className}` }));
  }
  return /* @__PURE__ */ jsx13(
    Link,
    __spreadProps(__spreadValues({}, props), {
      className: `${className} ${index_module_default3.link} ${index_module_default3["inline-link"]}`,
      href: normalizeLinkHref(href)
    })
  );
};

// src/layout/DocLayout/docComponents/paragraph.tsx
import { jsx as jsx14 } from "react/jsx-runtime";
var P = (props) => {
  return /* @__PURE__ */ jsx14("p", __spreadProps(__spreadValues({}, props), { className: "my-4 leading-7" }));
};
var Blockquote = (props) => {
  return /* @__PURE__ */ jsx14(
    "blockquote",
    __spreadProps(__spreadValues({}, props), {
      className: `border-l-2 border-solid border-divider pl-4 my-6 transition-colors duration-500 ${index_module_default3.blockquote}`
    })
  );
};
var Strong = (props) => {
  return /* @__PURE__ */ jsx14("strong", __spreadProps(__spreadValues({}, props), { className: "font-semibold" }));
};

// src/layout/DocLayout/docComponents/code/index.tsx
import { useRef as useRef6, useState as useState10 } from "react";
import { usePageData as usePageData14 } from "@rspress/runtime";
import IconWrap from "@theme-assets/wrap";
import IconWrapped from "@theme-assets/wrapped";

// src/layout/DocLayout/docComponents/code/index.module.scss
var index_module_default4 = { "code-button-group": "code-button-group_15153", "codeButtonGroup": "code-button-group_15153", "code-copy-button": "code-copy-button_15153", "codeCopyButton": "code-copy-button_15153", "icon-success": "icon-success_15153", "iconSuccess": "icon-success_15153", "code-copied": "code-copied_15153", "codeCopied": "code-copied_15153", "icon-copy": "icon-copy_15153", "iconCopy": "icon-copy_15153", "icon-wrapped": "icon-wrapped_15153", "iconWrapped": "icon-wrapped_15153", "wrapped-btn": "wrapped-btn_15153", "wrappedBtn": "wrapped-btn_15153", "icon-wrap": "icon-wrap_15153", "iconWrap": "icon-wrap_15153" };

// src/layout/DocLayout/docComponents/code/PrismSytaxHighlighter.tsx
import { aliases, languages } from "virtual-prism-languages";
import { PrismLight as SyntaxHighlighter } from "react-syntax-highlighter";
import { usePageData as usePageData13 } from "@rspress/runtime";

// src/layout/DocLayout/docComponents/prisim-theme.ts
var prisim_theme_default = {
  doctype: {
    color: "var(--code-token-text)",
    fontStyle: "italic"
  },
  token: {
    color: "var(--code-token-text)"
  },
  comment: {
    color: "var(--code-token-comment)"
  },
  punctuation: {
    color: "var(--code-token-punctuation)"
  },
  property: {
    color: "var(--code-token-parameter)"
  },
  constant: {
    color: "var(--code-token-constant)"
  },
  string: {
    color: "var(--code-token-string)"
  },
  symbol: {
    color: "var(--code-token-symbol)"
  },
  variable: {
    color: "var(--code-token-variable)"
  },
  "attr-name": {
    color: "var(--code-token-symbol)"
  },
  "attr-value": {
    color: "var(--code-token-string-expression)"
  },
  builtin: {
    color: "var(--code-token-symbol)"
  },
  function: {
    color: "var(--code-token-function)"
  },
  keyword: {
    color: "var(--code-token-keyword)"
  },
  tag: {
    color: "var(--code-token-function)"
  },
  inserted: {
    color: "#22863a"
  },
  deleted: {
    color: "#b31d28"
  },
  regex: {
    color: "var(--code-token-keyword)"
  },
  key: {
    color: "var(--code-token-variable)"
  },
  title: {
    color: "var(--code-token-keyword)"
  },
  important: {
    color: "#EBCB8B",
    fontWeight: "bold"
  },
  bold: {
    fontWeight: "bold"
  },
  italic: {
    fontStyle: "italic"
  },
  table: {
    display: "content"
  }
};

// src/layout/DocLayout/docComponents/code/PrismSytaxHighlighter.tsx
import { jsx as jsx15 } from "react/jsx-runtime";
var registered = false;
function registerLanguages() {
  Object.keys(languages).forEach((name) => {
    SyntaxHighlighter.registerLanguage(name, languages[name]);
  });
  SyntaxHighlighter.alias(aliases);
  registered = true;
}
function PrismSyntaxHighlighter(props) {
  var _a;
  const { siteData: siteData2 } = usePageData13();
  const { meta, language, codeWrap } = props;
  const { showLineNumbers } = siteData2.markdown;
  let highlightMeta = "";
  let highlightLines = [];
  if (meta) {
    const highlightReg = /{[\d,-]*}/i;
    highlightMeta = ((_a = highlightReg.exec(meta)) == null ? void 0 : _a[0]) || "";
    if (highlightMeta) {
      highlightLines = highlightMeta.replace(/[{}]/g, "").split(",").map((item) => {
        const [start, end] = item.split("-");
        if (end) {
          return Array.from(
            { length: Number(end) - Number(start) + 1 },
            (_, i) => i + Number(start)
          );
        }
        return Number(start);
      }).flat();
    }
  }
  if (!registered) {
    registerLanguages();
  }
  return /* @__PURE__ */ jsx15(
    SyntaxHighlighter,
    {
      language,
      style: prisim_theme_default,
      wrapLines: true,
      className: "code",
      wrapLongLines: codeWrap,
      customStyle: { backgroundColor: "inherit" },
      showLineNumbers: showLineNumbers || highlightLines.length > 0,
      lineProps: (lineNumber) => {
        const isHighlighted = highlightLines.includes(lineNumber);
        return {
          style: __spreadProps(__spreadValues({}, isHighlighted ? { backgroundColor: "var(--rp-code-line-highlight-color)" } : {}), {
            display: "block",
            padding: "0 1.25rem"
          })
        };
      },
      children: String(props.children).trim()
    }
  );
}

// src/layout/DocLayout/docComponents/code/CopyCodeButton.tsx
import { useRef as useRef5 } from "react";
import copy from "copy-to-clipboard";
import IconCopy from "@theme-assets/copy";
import IconSuccess from "@theme-assets/success";
import { jsx as jsx16, jsxs as jsxs8 } from "react/jsx-runtime";
var timeoutIdMap = /* @__PURE__ */ new Map();
function copyCode(codeBlockElement, copyButtonElement) {
  let text = "";
  const walk = document.createTreeWalker(
    codeBlockElement,
    NodeFilter.SHOW_TEXT,
    null
  );
  let node = walk.nextNode();
  while (node) {
    if (!node.parentElement.classList.contains("linenumber")) {
      text += node.nodeValue;
    }
    node = walk.nextNode();
  }
  const isCopied = copy(text);
  if (isCopied && copyButtonElement) {
    copyButtonElement.classList.add(index_module_default4.codeCopied);
    clearTimeout(timeoutIdMap.get(copyButtonElement));
    const timeoutId = setTimeout(() => {
      copyButtonElement.classList.remove(index_module_default4.codeCopied);
      copyButtonElement.blur();
      timeoutIdMap.delete(copyButtonElement);
    }, 2e3);
    timeoutIdMap.set(copyButtonElement, timeoutId);
  }
}
function CopyCodeButton({
  codeBlockRef
}) {
  const copyButtonRef = useRef5(null);
  return /* @__PURE__ */ jsxs8(
    "button",
    {
      className: index_module_default4.codeCopyButton,
      onClick: () => copyCode(codeBlockRef.current, copyButtonRef.current),
      ref: copyButtonRef,
      children: [
        /* @__PURE__ */ jsx16(SvgWrapper, { icon: IconCopy, className: index_module_default4.iconCopy }),
        /* @__PURE__ */ jsx16(SvgWrapper, { icon: IconSuccess, className: index_module_default4.iconSuccess })
      ]
    }
  );
}

// src/layout/DocLayout/docComponents/code/index.tsx
import { Fragment as Fragment4, jsx as jsx17, jsxs as jsxs9 } from "react/jsx-runtime";
function Code(props) {
  var _a;
  const { siteData: siteData2 } = usePageData14();
  const codeHighlighter = (_a = props.codeHighlighter) != null ? _a : siteData2.markdown.codeHighlighter;
  const { defaultWrapCode } = siteData2.markdown;
  const [codeWrap, setCodeWrap] = useState10(defaultWrapCode);
  const wrapButtonRef = useRef6(null);
  const codeBlockRef = useRef6();
  const { className } = props;
  const language = className == null ? void 0 : className.replace(/language-/, "");
  if (!language) {
    return /* @__PURE__ */ jsx17("code", __spreadValues({}, props));
  }
  const toggleCodeWrap = (wrapButtonElement) => {
    if (codeWrap) {
      wrapButtonElement == null ? void 0 : wrapButtonElement.classList.remove(index_module_default4.wrappedBtn);
    } else {
      wrapButtonElement == null ? void 0 : wrapButtonElement.classList.add(index_module_default4.wrappedBtn);
    }
    setCodeWrap(!codeWrap);
  };
  const getHighlighter = () => {
    switch (codeHighlighter) {
      case "prism":
        return /* @__PURE__ */ jsx17(
          PrismSyntaxHighlighter,
          __spreadProps(__spreadValues({}, props), {
            language,
            codeWrap
          })
        );
      case "shiki":
      default:
        return /* @__PURE__ */ jsx17("code", __spreadValues({}, props));
    }
  };
  return /* @__PURE__ */ jsxs9(Fragment4, { children: [
    /* @__PURE__ */ jsx17("div", { ref: codeBlockRef, children: getHighlighter() }),
    /* @__PURE__ */ jsxs9("div", { className: index_module_default4.codeButtonGroup, children: [
      /* @__PURE__ */ jsxs9(
        "button",
        {
          ref: wrapButtonRef,
          className: index_module_default4.codeWrapButton,
          onClick: () => toggleCodeWrap(wrapButtonRef.current),
          children: [
            /* @__PURE__ */ jsx17(SvgWrapper, { icon: IconWrapped, className: index_module_default4.iconWrapped }),
            /* @__PURE__ */ jsx17(SvgWrapper, { icon: IconWrap, className: index_module_default4.iconWrap })
          ]
        }
      ),
      /* @__PURE__ */ jsx17(CopyCodeButton, { codeBlockRef })
    ] })
  ] });
}

// src/layout/DocLayout/docComponents/pre.tsx
import { jsx as jsx18, jsxs as jsxs10 } from "react/jsx-runtime";
var DEFAULT_LANGUAGE_CLASS = "language-bash";
function parseTitleFromMeta(meta) {
  var _a, _b;
  if (!meta) {
    return "";
  }
  let result = meta;
  const highlightReg = /{[\d,-]*}/i;
  const highlightMeta = (_a = highlightReg.exec(meta)) == null ? void 0 : _a[0];
  if (highlightMeta) {
    result = meta.replace(highlightReg, "").trim();
  }
  result = (_b = result.split("=")[1]) != null ? _b : "";
  return result == null ? void 0 : result.replace(/["'`]/g, "");
}
function Pre({
  children
}) {
  const renderChildren = (children2) => {
    const { className, meta } = children2.props;
    const codeTitle = parseTitleFromMeta(meta);
    return /* @__PURE__ */ jsxs10("div", { className: className || DEFAULT_LANGUAGE_CLASS, children: [
      codeTitle && /* @__PURE__ */ jsx18("div", { className: "rspress-code-title", children: codeTitle }),
      /* @__PURE__ */ jsx18("div", { className: "rspress-code-content rspress-scrollbar", children: children2 })
    ] });
  };
  if (Array.isArray(children)) {
    return /* @__PURE__ */ jsx18("div", { children: children.map((child) => renderChildren(child)) });
  }
  return renderChildren(children);
}

// src/layout/DocLayout/docComponents/img.tsx
import { normalizeImagePath } from "@rspress/runtime";
import { jsx as jsx19 } from "react/jsx-runtime";
var Img = (props) => {
  return /* @__PURE__ */ jsx19("img", __spreadProps(__spreadValues({}, props), { src: normalizeImagePath(props.src || "") }));
};

// src/layout/DocLayout/docComponents/index.tsx
function getCustomMDXComponent2() {
  return {
    h1: H1,
    h2: H2,
    h3: H3,
    h4: H4,
    h5: H5,
    h6: H6,
    ul: Ul,
    ol: Ol,
    li: Li,
    table: Table,
    td: Td,
    th: Th,
    tr: Tr,
    hr: Hr,
    p: P,
    blockquote: Blockquote,
    strong: Strong,
    a: A,
    code: Code,
    pre: Pre,
    img: Img
  };
}

// src/components/Badge/index.module.scss
var index_module_default5 = { "badge": "badge_99dcf", "info": "info_99dcf", "warning": "warning_99dcf", "danger": "danger_99dcf" };

// src/components/Badge/index.tsx
import { jsx as jsx20 } from "react/jsx-runtime";
function Badge(props) {
  const { text, type = "info" } = props;
  return /* @__PURE__ */ jsx20(
    "span",
    {
      className: `inline-block rounded-full border border-solid border-transparent font-medium ${index_module_default5.badge} ${index_module_default5[type]}`,
      children: text
    }
  );
}

// src/components/Button/index.tsx
import React3 from "react";
import { Link as Link2 } from "@theme";

// src/components/Button/index.module.scss
var index_module_default6 = { "button": "button_72e53", "medium": "medium_72e53", "big": "big_72e53", "brand": "brand_72e53", "alt": "alt_72e53" };

// src/components/Button/index.tsx
function Button(props) {
  const {
    theme = "brand",
    size = "big",
    href = "/",
    external = false,
    className = ""
  } = props;
  let type = null;
  if (props.type === "button") {
    type = "button";
  } else if (props.type === "a") {
    type = external ? "a" : Link2;
  }
  return React3.createElement(
    type != null ? type : "a",
    {
      className: `${index_module_default6.button} ${index_module_default6[theme]} ${index_module_default6[size]} ${className}`,
      href
    },
    props.text
  );
}

// src/components/EditLink/index.module.scss
var index_module_default7 = { "editLink": "editLink_2a169" };

// src/components/EditLink/index.tsx
import { jsx as jsx21 } from "react/jsx-runtime";
function EditLink2() {
  const editLinkObj = useEditLink();
  if (!editLinkObj) {
    return null;
  }
  const { text, link } = editLinkObj;
  return /* @__PURE__ */ jsx21("a", { href: link, target: "_blank", className: index_module_default7.editLink, children: text });
}

// src/components/HomeFeature/index.module.scss
var index_module_default8 = { "grid-2": "grid-2_d48e3", "grid2": "grid-2_d48e3", "grid-4": "grid-4_d48e3", "grid4": "grid-4_d48e3", "grid-6": "grid-6_d48e3", "grid6": "grid-6_d48e3", "grid-3": "grid-3_d48e3", "grid3": "grid-3_d48e3", "featureCard": "featureCard_d48e3" };

// src/components/HomeFeature/index.tsx
import { jsx as jsx22, jsxs as jsxs11 } from "react/jsx-runtime";
var GRID_PREFIX = "grid-";
var getGridClass = (feature) => {
  const { span } = feature;
  return `${GRID_PREFIX}${span || 4}`;
};
function HomeFeature2({ frontmatter }) {
  const features = frontmatter == null ? void 0 : frontmatter.features;
  return /* @__PURE__ */ jsx22("div", { className: "overflow-hidden m-auto flex flex-wrap max-w-6xl", children: features == null ? void 0 : features.map((feature) => {
    const { icon, title, details, link } = feature;
    return /* @__PURE__ */ jsx22(
      "div",
      {
        className: `${index_module_default8[getGridClass(feature)]} rounded hover:var(--rp-c-brand)`,
        children: /* @__PURE__ */ jsx22("div", { className: "h-full p-2", children: /* @__PURE__ */ jsxs11(
          "article",
          {
            className: `rspress-home-feature-card ${index_module_default8.featureCard} h-full p-8 rounded-4xl border-transparent`,
            style: {
              cursor: link ? "pointer" : "auto"
            },
            onClick: () => {
              if (link) {
                window.location.href = link;
              }
            },
            children: [
              icon ? /* @__PURE__ */ jsx22("div", { className: "flex-center", children: /* @__PURE__ */ jsx22("div", { className: "rspress-home-feature-icon w-12 h-12 text-3xl text-center", children: icon }) }) : null,
              /* @__PURE__ */ jsx22("h2", { className: "rspress-home-feature-title font-bold text-center", children: title }),
              /* @__PURE__ */ jsx22("p", { className: "rspress-home-feature-detail leading-6 pt-2 text-sm text-text-2 font-medium", children: renderHtmlOrText(details) })
            ]
          },
          title
        ) })
      },
      title
    );
  }) });
}

// src/components/HomeFooter/index.tsx
import { usePageData as usePageData15 } from "@rspress/runtime";
import { jsx as jsx23 } from "react/jsx-runtime";
function HomeFooter2() {
  const { siteData: siteData2 } = usePageData15();
  const { message } = siteData2.themeConfig.footer || {};
  return /* @__PURE__ */ jsx23("footer", { className: "absolute bottom-0 mt-12 py-8 px-6 sm:p-8 w-full border-t border-solid border-divider-light", children: /* @__PURE__ */ jsx23("div", { className: "m-auto w-full text-center", children: message && /* @__PURE__ */ jsx23("div", { className: "font-meduim text-sm text-text-2", children: message }) }) });
}

// src/components/HomeHero/index.tsx
import {
  normalizeHrefInRuntime as normalizeHref4,
  normalizeImagePath as normalizeImagePath2
} from "@rspress/runtime";
import { Button as Button2 } from "@theme";

// src/components/HomeHero/index.module.scss
var index_module_default9 = { "clip": "clip_c867a", "mask": "mask_c867a" };

// src/components/HomeHero/index.tsx
import { jsx as jsx24, jsxs as jsxs12 } from "react/jsx-runtime";
var DEFAULT_HERO = {
  name: "modern",
  text: "modern ssg",
  tagline: "modern ssg",
  actions: [],
  image: void 0
};
function HomeHero2({ frontmatter }) {
  var _a, _b, _c, _d, _e, _f, _g, _h, _i;
  const hero = (frontmatter == null ? void 0 : frontmatter.hero) || DEFAULT_HERO;
  const hasImage = hero.image !== void 0;
  const textMaxWidth = hasImage ? "sm:max-w-xl" : "sm:max-w-4xl";
  const multiHeroText = hero.text ? hero.text.toString().split(/\n/g).filter((text) => text !== "") : [];
  const imageSrc = typeof ((_a = hero.image) == null ? void 0 : _a.src) === "string" ? { light: hero.image.src, dark: hero.image.src } : ((_b = hero.image) == null ? void 0 : _b.src) || { light: "", dark: "" };
  return /* @__PURE__ */ jsxs12("div", { className: "m-auto pt-0 px-6 pb-12 sm:pt-10 sm:px-16 md:pt-16 md:px-16 md:pb-16 relative", children: [
    /* @__PURE__ */ jsx24(
      "div",
      {
        className: index_module_default9.mask,
        style: {
          left: hasImage ? "75%" : "50%"
        }
      }
    ),
    /* @__PURE__ */ jsxs12("div", { className: "m-auto flex flex-col md:flex-row max-w-6xl min-h-[50vh] mt-12 sm:mt-0", children: [
      /* @__PURE__ */ jsxs12("div", { className: "flex flex-col justify-center items-center text-center max-w-xl sm:max-w-4xl m-auto order-2 md:order-1", children: [
        /* @__PURE__ */ jsx24("h1", { className: "font-bold text-3xl pb-2 sm:text-6xl md:text-7xl m-auto sm:m-4 md:m-0 md:pb-3 lg:pb-2 leading-tight z-10", children: /* @__PURE__ */ jsx24("span", { className: index_module_default9.clip, style: { lineHeight: "1.3" }, children: renderHtmlOrText(hero.name) }) }),
        multiHeroText.length !== 0 && multiHeroText.map((heroText) => /* @__PURE__ */ jsx24(
          "p",
          {
            className: `rspress-home-hero-text mx-auto md:m-0 text-3xl sm:text-5xl md:text-6xl sm:pb-2 font-bold z-10 ${textMaxWidth}`,
            style: { lineHeight: "1.2" },
            children: renderHtmlOrText(heroText)
          },
          heroText
        )),
        /* @__PURE__ */ jsx24(
          "p",
          {
            className: `rspress-home-hero-tagline whitespace-pre-wrap pt-4 m-auto md:m-0 text-sm sm:tex-xl md:text-2xl text-text-2 font-medium z-10 ${textMaxWidth}`,
            children: renderHtmlOrText(hero.tagline)
          }
        ),
        ((_c = hero.actions) == null ? void 0 : _c.length) && /* @__PURE__ */ jsx24("div", { className: "grid md:flex md:flex-wrap md:justify-center gap-3 m--1.5 pt-6 sm:pt-8 z-10", children: hero.actions.map((action) => /* @__PURE__ */ jsx24("div", { className: "flex flex-shrink-0 p-1", children: /* @__PURE__ */ jsx24(
          Button2,
          {
            type: "a",
            text: renderHtmlOrText(action.text),
            href: normalizeHref4(action.link),
            theme: action.theme,
            className: "w-full"
          }
        ) }, action.link)) })
      ] }),
      hasImage ? /* @__PURE__ */ jsxs12("div", { className: "rspress-home-hero-image md:flex-center m-auto order-1 md:order-2 sm:flex md:none lg:flex", children: [
        /* @__PURE__ */ jsx24(
          "img",
          {
            src: normalizeImagePath2(imageSrc.light),
            alt: (_d = hero.image) == null ? void 0 : _d.alt,
            srcSet: normalizeSrcsetAndSizes((_e = hero.image) == null ? void 0 : _e.srcset),
            sizes: normalizeSrcsetAndSizes((_f = hero.image) == null ? void 0 : _f.sizes),
            width: 375,
            height: 375,
            className: "dark:hidden"
          }
        ),
        /* @__PURE__ */ jsx24(
          "img",
          {
            src: normalizeImagePath2(imageSrc.dark),
            alt: (_g = hero.image) == null ? void 0 : _g.alt,
            srcSet: normalizeSrcsetAndSizes((_h = hero.image) == null ? void 0 : _h.srcset),
            sizes: normalizeSrcsetAndSizes((_i = hero.image) == null ? void 0 : _i.sizes),
            width: 375,
            height: 375,
            className: "hidden dark:block"
          }
        )
      ] }) : null
    ] })
  ] });
}
function normalizeSrcsetAndSizes(field) {
  const r = (Array.isArray(field) ? field : [field]).filter(Boolean).join(", ");
  return r || void 0;
}

// src/components/LastUpdated/index.tsx
import { usePageData as usePageData16 } from "@rspress/runtime";
import { jsx as jsx25, jsxs as jsxs13 } from "react/jsx-runtime";
function LastUpdated2() {
  const { lastUpdatedText: localesLastUpdatedText = "Last Updated" } = useLocaleSiteData();
  const {
    page: { lastUpdatedTime },
    siteData: siteData2
  } = usePageData16();
  const { themeConfig } = siteData2;
  const lastUpdatedText = (themeConfig == null ? void 0 : themeConfig.lastUpdatedText) || localesLastUpdatedText;
  return /* @__PURE__ */ jsx25("div", { className: "flex text-sm text-text-2 leading-6 sm:leading-8 font-medium", children: /* @__PURE__ */ jsxs13("p", { children: [
    lastUpdatedText,
    ": ",
    /* @__PURE__ */ jsx25("span", { children: lastUpdatedTime })
  ] }) });
}

// src/components/Link/index.tsx
import {
  matchRoutes,
  useLocation as useLocation6,
  useNavigate,
  normalizeHrefInRuntime as normalizeHref5,
  normalizeRoutePath,
  withBase as withBase6,
  isEqualPath as isEqualPath4
} from "@rspress/runtime";
import nprogress from "nprogress";
import { routes } from "virtual-routes";
import { isExternalUrl as isExternalUrl2 } from "@rspress/shared";

// src/components/Link/index.module.scss
var index_module_default10 = { "link": "link_03735" };

// src/components/Link/index.tsx
import { jsx as jsx26 } from "react/jsx-runtime";
nprogress.configure({ showSpinner: false });
function Link3(props) {
  const _a = props, {
    href = "/",
    children,
    className = "",
    onNavigate,
    keepCurrentParams = false
  } = _a, rest = __objRest(_a, [
    "href",
    "children",
    "className",
    "onNavigate",
    "keepCurrentParams"
  ]);
  const isExternal = isExternalUrl2(href);
  const target = isExternal ? "_blank" : "";
  const rel = isExternal ? "noopener noreferrer" : void 0;
  const withBaseUrl = isExternal ? href : withBase6(normalizeHref5(href));
  const navigate = useNavigate();
  const { pathname, search } = useLocation6();
  const withQueryUrl = keepCurrentParams ? withBaseUrl + search : withBaseUrl;
  const inCurrentPage = isEqualPath4(pathname, withBaseUrl);
  const handleNavigate = (e) => __async(this, null, function* () {
    if (
      // left click only
      e.button !== 0 || // `target` are usually used for open link in new window/tab
      e.currentTarget.target && e.currentTarget.target !== "_self" || // modifier keys are usually used for open link in new window/tab
      e.metaKey || e.shiftKey || e.altKey || e.ctrlKey
    ) {
      return;
    }
    e.preventDefault();
    const hash = withBaseUrl.split("#")[1];
    if (!isExternal && inCurrentPage && hash) {
      const el = document.getElementById(hash);
      if (el) {
        scrollToTarget(el, true);
      }
      return;
    }
    if (!process.env.__SSR__ && !inCurrentPage) {
      const matchedRoutes = matchRoutes(
        routes,
        normalizeRoutePath(withBaseUrl)
      );
      if (matchedRoutes == null ? void 0 : matchedRoutes.length) {
        const timer = setTimeout(() => {
          nprogress.start();
        }, 200);
        yield matchedRoutes[0].route.preload();
        clearTimeout(timer);
        nprogress.done();
      }
      onNavigate == null ? void 0 : onNavigate();
      navigate(withQueryUrl, { replace: false });
    }
  });
  if (!isExternal) {
    return /* @__PURE__ */ jsx26(
      "a",
      __spreadProps(__spreadValues({}, rest), {
        className: `${index_module_default10.link} ${className} cursor-pointer`,
        rel,
        target,
        onClick: handleNavigate,
        href: withBaseUrl,
        children
      })
    );
  }
  return /* @__PURE__ */ jsx26(
    "a",
    __spreadProps(__spreadValues({}, rest), {
      href: withBaseUrl,
      target,
      rel,
      className: `${index_module_default10.link} ${className}`,
      children
    })
  );
}

// src/components/Nav/index.tsx
import { useLocation as useLocation9, usePageData as usePageData19 } from "@rspress/runtime";
import { Search } from "@theme";
import { useEffect as useEffect13, useState as useState16 } from "react";

// src/components/NavHambmger/index.tsx
import { Fragment as Fragment6 } from "react";
import SmallMenu from "@theme-assets/small-menu";

// src/components/NavScreen/index.tsx
import { useEffect as useEffect12, useRef as useRef7 } from "react";
import { disableBodyScroll, clearAllBodyScrollLocks } from "body-scroll-lock";
import { NoSSR as NoSSR2 } from "@rspress/runtime";

// src/components/Nav/NavMenuSingleItem.tsx
import {
  withoutBase
} from "@rspress/shared";
import { normalizeHrefInRuntime as normalizeHref6 } from "@rspress/runtime";
import { Link as Link4, Tag } from "@theme";

// src/components/Nav/index.module.scss
var index_module_default11 = { "hidden": "hidden_f6cde", "container": "container_f6cde", "navContainer": "navContainer_f6cde", "leftNav": "leftNav_f6cde", "rightNav": "rightNav_f6cde", "singleItem": "singleItem_f6cde", "activeItem": "activeItem_f6cde", "navBarTitle": "navBarTitle_f6cde", "social-links-icon": "social-links-icon_f6cde", "socialLinksIcon": "social-links-icon_f6cde", "menu-item": "menu-item_f6cde", "menuItem": "menu-item_f6cde", "mobileNavMenu": "mobileNavMenu_f6cde", "mask": "mask_f6cde", "docPage": "docPage_f6cde" };

// src/components/Nav/NavMenuSingleItem.tsx
import { jsx as jsx27, jsxs as jsxs14 } from "react/jsx-runtime";
function NavMenuSingleItem(item) {
  const { pathname, base } = item;
  const isActive2 = new RegExp(item.activeMatch || item.link).test(
    withoutBase(pathname, base)
  );
  return /* @__PURE__ */ jsx27(Link4, { href: normalizeHref6(item.link), children: /* @__PURE__ */ jsxs14(
    "div",
    {
      className: `rspress-nav-menu-item ${index_module_default11.singleItem} ${isActive2 ? index_module_default11.activeItem : ""} text-sm font-medium mx-1.5 px-3 py-2 flex items-center`,
      children: [
        /* @__PURE__ */ jsx27(Tag, { tag: item.tag }),
        item.text,
        item.rightIcon
      ]
    },
    item.text
  ) });
}

// src/components/SwitchAppearance/index.tsx
import { useContext } from "react";
import { ThemeContext } from "@rspress/runtime";
import SunSvg from "@theme-assets/sun";
import MoonSvg from "@theme-assets/moon";
import { jsx as jsx28, jsxs as jsxs15 } from "react/jsx-runtime";
function SwitchAppearance({ onClick }) {
  const { theme, setTheme } = useContext(ThemeContext);
  return /* @__PURE__ */ jsx28(
    "div",
    {
      onClick: () => {
        setTheme(theme === "dark" ? "light" : "dark");
        onClick == null ? void 0 : onClick();
      },
      className: "md:mr-2 rspress-nav-appearance",
      children: /* @__PURE__ */ jsxs15("div", { className: "p-1 border border-solid border-gray-300 text-gray-400  cursor-pointer rounded-md hover:border-gray-600 hover:text-gray-600 dark:hover:border-gray-200 dark:hover:text-gray-200 transition-all duration-300 w-7 h-7", children: [
        /* @__PURE__ */ jsx28(
          SvgWrapper,
          {
            className: "dark:hidden",
            icon: SunSvg,
            width: "18",
            height: "18",
            fill: "currentColor"
          }
        ),
        /* @__PURE__ */ jsx28(
          SvgWrapper,
          {
            className: "hidden dark:block",
            icon: MoonSvg,
            width: "18",
            height: "18",
            fill: "currentColor"
          }
        )
      ] })
    }
  );
}

// src/components/SocialLinks/index.tsx
import { useState as useState12 } from "react";

// src/components/SocialLinks/ShownLinks.tsx
import ArrowDown from "@theme-assets/arrow-down";

// src/components/SocialLinks/LinkContent.tsx
import { useState as useState11 } from "react";

// src/components/SocialLinks/index.module.scss
var index_module_default12 = { "social-links-icon": "social-links-icon_93d67", "socialLinksIcon": "social-links-icon_93d67", "menu-item": "menu-item_93d67", "menuItem": "menu-item_93d67" };

// src/components/SocialLinks/presetIcons.tsx
import { jsx as jsx29, jsxs as jsxs16 } from "react/jsx-runtime";
var presetIcons_default = {
  discord: /* @__PURE__ */ jsxs16(
    "svg",
    {
      role: "img",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      xmlns: "http://www.w3.org/2000/svg",
      children: [
        /* @__PURE__ */ jsx29("title", { children: "Discord" }),
        /* @__PURE__ */ jsx29("path", { d: "M20.317 4.3698a19.7913 19.7913 0 00-4.8851-1.5152.0741.0741 0 00-.0785.0371c-.211.3753-.4447.8648-.6083 1.2495-1.8447-.2762-3.68-.2762-5.4868 0-.1636-.3933-.4058-.8742-.6177-1.2495a.077.077 0 00-.0785-.037 19.7363 19.7363 0 00-4.8852 1.515.0699.0699 0 00-.0321.0277C.5334 9.0458-.319 13.5799.0992 18.0578a.0824.0824 0 00.0312.0561c2.0528 1.5076 4.0413 2.4228 5.9929 3.0294a.0777.0777 0 00.0842-.0276c.4616-.6304.8731-1.2952 1.226-1.9942a.076.076 0 00-.0416-.1057c-.6528-.2476-1.2743-.5495-1.8722-.8923a.077.077 0 01-.0076-.1277c.1258-.0943.2517-.1923.3718-.2914a.0743.0743 0 01.0776-.0105c3.9278 1.7933 8.18 1.7933 12.0614 0a.0739.0739 0 01.0785.0095c.1202.099.246.1981.3728.2924a.077.077 0 01-.0066.1276 12.2986 12.2986 0 01-1.873.8914.0766.0766 0 00-.0407.1067c.3604.698.7719 1.3628 1.225 1.9932a.076.076 0 00.0842.0286c1.961-.6067 3.9495-1.5219 6.0023-3.0294a.077.077 0 00.0313-.0552c.5004-5.177-.8382-9.6739-3.5485-13.6604a.061.061 0 00-.0312-.0286zM8.02 15.3312c-1.1825 0-2.1569-1.0857-2.1569-2.419 0-1.3332.9555-2.4189 2.157-2.4189 1.2108 0 2.1757 1.0952 2.1568 2.419 0 1.3332-.9555 2.4189-2.1569 2.4189zm7.9748 0c-1.1825 0-2.1569-1.0857-2.1569-2.419 0-1.3332.9554-2.4189 2.1569-2.4189 1.2108 0 2.1757 1.0952 2.1568 2.419 0 1.3332-.946 2.4189-2.1568 2.4189Z" })
      ]
    }
  ),
  facebook: /* @__PURE__ */ jsxs16(
    "svg",
    {
      role: "img",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      xmlns: "http://www.w3.org/2000/svg",
      children: [
        /* @__PURE__ */ jsx29("title", { children: "Facebook" }),
        /* @__PURE__ */ jsx29("path", { d: "M24 12.073c0-6.627-5.373-12-12-12s-12 5.373-12 12c0 5.99 4.388 10.954 10.125 11.854v-8.385H7.078v-3.47h3.047V9.43c0-3.007 1.792-4.669 4.533-4.669 1.312 0 2.686.235 2.686.235v2.953H15.83c-1.491 0-1.956.925-1.956 1.874v2.25h3.328l-.532 3.47h-2.796v8.385C19.612 23.027 24 18.062 24 12.073z" })
      ]
    }
  ),
  github: /* @__PURE__ */ jsxs16(
    "svg",
    {
      role: "img",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      xmlns: "http://www.w3.org/2000/svg",
      children: [
        /* @__PURE__ */ jsx29("title", { children: "GitHub" }),
        /* @__PURE__ */ jsx29("path", { d: "M12 .297c-6.63 0-12 5.373-12 12 0 5.303 3.438 9.8 8.205 11.385.6.113.82-.258.82-.577 0-.285-.01-1.04-.015-2.04-3.338.724-4.042-1.61-4.042-1.61C4.422 18.07 3.633 17.7 3.633 17.7c-1.087-.744.084-.729.084-.729 1.205.084 1.838 1.236 1.838 1.236 1.07 1.835 2.809 1.305 3.495.998.108-.776.417-1.305.76-1.605-2.665-.3-5.466-1.332-5.466-5.93 0-1.31.465-2.38 1.235-3.22-.135-.303-.54-1.523.105-3.176 0 0 1.005-.322 3.3 1.23.96-.267 1.98-.399 3-.405 1.02.006 2.04.138 3 .405 2.28-1.552 3.285-1.23 3.285-1.23.645 1.653.24 2.873.12 3.176.765.84 1.23 1.91 1.23 3.22 0 4.61-2.805 5.625-5.475 5.92.42.36.81 1.096.81 2.22 0 1.606-.015 2.896-.015 3.286 0 .315.21.69.825.57C20.565 22.092 24 17.592 24 12.297c0-6.627-5.373-12-12-12" })
      ]
    }
  ),
  gitlab: /* @__PURE__ */ jsxs16(
    "svg",
    {
      role: "img",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      xmlns: "http://www.w3.org/2000/svg",
      children: [
        /* @__PURE__ */ jsx29("title", { children: "GitLab" }),
        /* @__PURE__ */ jsx29(
          "path",
          {
            fill: "currentColor",
            d: "m21.94 13.11l-1.05-3.22c0-.03-.01-.06-.02-.09l-2.11-6.48a.859.859 0 0 0-.8-.57c-.36 0-.68.25-.79.58l-2 6.17H8.84L6.83 3.33a.851.851 0 0 0-.79-.58c-.37 0-.69.25-.8.58L3.13 9.82v.01l-1.07 3.28c-.16.5.01 1.04.44 1.34l9.22 6.71c.17.12.39.12.56-.01l9.22-6.7c.43-.3.6-.84.44-1.34M8.15 10.45l2.57 7.91l-6.17-7.91m8.73 7.92l2.47-7.59l.1-.33h3.61l-5.59 7.16m4.1-13.67l1.81 5.56h-3.62m-1.3.95l-1.79 5.51L12 19.24l-2.86-8.79M6.03 3.94L7.84 9.5H4.23m-1.18 4.19c-.09-.07-.13-.19-.09-.29l.79-2.43l5.82 7.45m11.38-4.73l-6.51 4.73l.02-.03l5.79-7.42l.79 2.43c.04.1 0 .22-.09.29"
          }
        )
      ]
    }
  ),
  instagram: /* @__PURE__ */ jsxs16(
    "svg",
    {
      role: "img",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      xmlns: "http://www.w3.org/2000/svg",
      children: [
        /* @__PURE__ */ jsx29("title", { children: "Instagram" }),
        /* @__PURE__ */ jsx29("path", { d: "M12 0C8.74 0 8.333.015 7.053.072 5.775.132 4.905.333 4.14.63c-.789.306-1.459.717-2.126 1.384S.935 3.35.63 4.14C.333 4.905.131 5.775.072 7.053.012 8.333 0 8.74 0 12s.015 3.667.072 4.947c.06 1.277.261 2.148.558 2.913.306.788.717 1.459 1.384 2.126.667.666 1.336 1.079 2.126 1.384.766.296 1.636.499 2.913.558C8.333 23.988 8.74 24 12 24s3.667-.015 4.947-.072c1.277-.06 2.148-.262 2.913-.558.788-.306 1.459-.718 2.126-1.384.666-.667 1.079-1.335 1.384-2.126.296-.765.499-1.636.558-2.913.06-1.28.072-1.687.072-4.947s-.015-3.667-.072-4.947c-.06-1.277-.262-2.149-.558-2.913-.306-.789-.718-1.459-1.384-2.126C21.319 1.347 20.651.935 19.86.63c-.765-.297-1.636-.499-2.913-.558C15.667.012 15.26 0 12 0zm0 2.16c3.203 0 3.585.016 4.85.071 1.17.055 1.805.249 2.227.415.562.217.96.477 1.382.896.419.42.679.819.896 1.381.164.422.36 1.057.413 2.227.057 1.266.07 1.646.07 4.85s-.015 3.585-.074 4.85c-.061 1.17-.256 1.805-.421 2.227-.224.562-.479.96-.899 1.382-.419.419-.824.679-1.38.896-.42.164-1.065.36-2.235.413-1.274.057-1.649.07-4.859.07-3.211 0-3.586-.015-4.859-.074-1.171-.061-1.816-.256-2.236-.421-.569-.224-.96-.479-1.379-.899-.421-.419-.69-.824-.9-1.38-.165-.42-.359-1.065-.42-2.235-.045-1.26-.061-1.649-.061-4.844 0-3.196.016-3.586.061-4.861.061-1.17.255-1.814.42-2.234.21-.57.479-.96.9-1.381.419-.419.81-.689 1.379-.898.42-.166 1.051-.361 2.221-.421 1.275-.045 1.65-.06 4.859-.06l.045.03zm0 3.678c-3.405 0-6.162 2.76-6.162 6.162 0 3.405 2.76 6.162 6.162 6.162 3.405 0 6.162-2.76 6.162-6.162 0-3.405-2.76-6.162-6.162-6.162zM12 16c-2.21 0-4-1.79-4-4s1.79-4 4-4 4 1.79 4 4-1.79 4-4 4zm7.846-10.405c0 .795-.646 1.44-1.44 1.44-.795 0-1.44-.646-1.44-1.44 0-.794.646-1.439 1.44-1.439.793-.001 1.44.645 1.44 1.439z" })
      ]
    }
  ),
  linkedin: /* @__PURE__ */ jsxs16(
    "svg",
    {
      role: "img",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      xmlns: "http://www.w3.org/2000/svg",
      children: [
        /* @__PURE__ */ jsx29("title", { children: "LinkedIn" }),
        /* @__PURE__ */ jsx29("path", { d: "M20.447 20.452h-3.554v-5.569c0-1.328-.027-3.037-1.852-3.037-1.853 0-2.136 1.445-2.136 2.939v5.667H9.351V9h3.414v1.561h.046c.477-.9 1.637-1.85 3.37-1.85 3.601 0 4.267 2.37 4.267 5.455v6.286zM5.337 7.433c-1.144 0-2.063-.926-2.063-2.065 0-1.138.92-2.063 2.063-2.063 1.14 0 2.064.925 2.064 2.063 0 1.139-.925 2.065-2.064 2.065zm1.782 13.019H3.555V9h3.564v11.452zM22.225 0H1.771C.792 0 0 .774 0 1.729v20.542C0 23.227.792 24 1.771 24h20.451C23.2 24 24 23.227 24 22.271V1.729C24 .774 23.2 0 22.222 0h.003z" })
      ]
    }
  ),
  slack: /* @__PURE__ */ jsxs16(
    "svg",
    {
      role: "img",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      xmlns: "http://www.w3.org/2000/svg",
      children: [
        /* @__PURE__ */ jsx29("title", { children: "Slack" }),
        /* @__PURE__ */ jsx29("path", { d: "M5.042 15.165a2.528 2.528 0 0 1-2.52 2.523A2.528 2.528 0 0 1 0 15.165a2.527 2.527 0 0 1 2.522-2.52h2.52v2.52zM6.313 15.165a2.527 2.527 0 0 1 2.521-2.52 2.527 2.527 0 0 1 2.521 2.52v6.313A2.528 2.528 0 0 1 8.834 24a2.528 2.528 0 0 1-2.521-2.522v-6.313zM8.834 5.042a2.528 2.528 0 0 1-2.521-2.52A2.528 2.528 0 0 1 8.834 0a2.528 2.528 0 0 1 2.521 2.522v2.52H8.834zM8.834 6.313a2.528 2.528 0 0 1 2.521 2.521 2.528 2.528 0 0 1-2.521 2.521H2.522A2.528 2.528 0 0 1 0 8.834a2.528 2.528 0 0 1 2.522-2.521h6.312zM18.956 8.834a2.528 2.528 0 0 1 2.522-2.521A2.528 2.528 0 0 1 24 8.834a2.528 2.528 0 0 1-2.522 2.521h-2.522V8.834zM17.688 8.834a2.528 2.528 0 0 1-2.523 2.521 2.527 2.527 0 0 1-2.52-2.521V2.522A2.527 2.527 0 0 1 15.165 0a2.528 2.528 0 0 1 2.523 2.522v6.312zM15.165 18.956a2.528 2.528 0 0 1 2.523 2.522A2.528 2.528 0 0 1 15.165 24a2.527 2.527 0 0 1-2.52-2.522v-2.522h2.52zM15.165 17.688a2.527 2.527 0 0 1-2.52-2.523 2.526 2.526 0 0 1 2.52-2.52h6.313A2.527 2.527 0 0 1 24 15.165a2.528 2.528 0 0 1-2.522 2.523h-6.313z" })
      ]
    }
  ),
  twitter: /* @__PURE__ */ jsxs16(
    "svg",
    {
      role: "img",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      xmlns: "http://www.w3.org/2000/svg",
      children: [
        /* @__PURE__ */ jsx29("title", { children: "Twitter" }),
        /* @__PURE__ */ jsx29("path", { d: "M23.953 4.57a10 10 0 01-2.825.775 4.958 4.958 0 002.163-2.723c-.951.555-2.005.959-3.127 1.184a4.92 4.92 0 00-8.384 4.482C7.69 8.095 4.067 6.13 1.64 3.162a4.822 4.822 0 00-.666 2.475c0 1.71.87 3.213 2.188 4.096a4.904 4.904 0 01-2.228-.616v.06a4.923 4.923 0 003.946 4.827 4.996 4.996 0 01-2.212.085 4.936 4.936 0 004.604 3.417 9.867 9.867 0 01-6.102 2.105c-.39 0-.779-.023-1.17-.067a13.995 13.995 0 007.557 2.209c9.053 0 13.998-7.496 13.998-13.985 0-.21 0-.42-.015-.63A9.935 9.935 0 0024 4.59z" })
      ]
    }
  ),
  youtube: /* @__PURE__ */ jsxs16(
    "svg",
    {
      role: "img",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      xmlns: "http://www.w3.org/2000/svg",
      children: [
        /* @__PURE__ */ jsx29("title", { children: "YouTube" }),
        /* @__PURE__ */ jsx29("path", { d: "M23.498 6.186a3.016 3.016 0 0 0-2.122-2.136C19.505 3.545 12 3.545 12 3.545s-7.505 0-9.377.505A3.017 3.017 0 0 0 .502 6.186C0 8.07 0 12 0 12s0 3.93.502 5.814a3.016 3.016 0 0 0 2.122 2.136c1.871.505 9.376.505 9.376.505s7.505 0 9.377-.505a3.015 3.015 0 0 0 2.122-2.136C24 15.93 24 12 24 12s0-3.93-.502-5.814zM9.545 15.568V8.432L15.818 12l-6.273 3.568z" })
      ]
    }
  ),
  juejin: /* @__PURE__ */ jsxs16(
    "svg",
    {
      className: "icon",
      viewBox: "0 0 1024 1024",
      version: "1.1",
      width: "24",
      height: "24",
      xmlns: "http://www.w3.org/2000/svg",
      "data-spm-anchor-id": "a313x.7781069.0.i5",
      children: [
        /* @__PURE__ */ jsx29(
          "path",
          {
            d: "M465.189 161.792c-22.967 18.14-44.325 35.109-47.397 37.742l-5.851 4.68 10.971 8.632c5.998 4.827 11.85 9.508 13.02 10.532 1.17 1.024 17.993 14.336 37.156 29.696l34.962 27.795 5.267-3.95c2.925-2.194 23.259-18.432 45.348-35.986 21.943-17.555 41.253-32.768 42.716-33.646 1.609-1.024 2.779-2.194 2.779-2.78 0-0.438-9.655-8.63-21.504-17.846-11.995-9.363-22.674-17.847-23.845-18.871-15.945-13.02-49.737-39.059-50.76-39.059-0.586 0.147-19.896 14.922-42.862 33.061z m233.325 180.37C507.465 493.275 508.928 492.105 505.417 489.911c-3.072-1.902-11.556-8.485-64.073-50.03-9.07-7.168-18.578-14.775-21.358-16.823-2.78-2.194-8.777-6.875-13.312-10.532-4.68-3.657-10.679-8.339-13.312-10.533-13.165-10.24-71.095-56.027-102.107-80.457-5.852-4.681-11.41-8.485-12.142-8.485-0.731 0-10.971 7.754-22.674 17.116-11.703 9.508-22.674 18.286-24.284 19.456-1.755 1.17-5.12 3.95-7.46 6.144-2.34 2.34-4.828 4.096-5.413 4.096-3.072 0-0.731 3.072 6.437 8.777 4.096 3.218 8.777 6.875 10.094 8.046 1.316 1.024 10.24 8.045 19.748 15.506s23.26 18.286 30.428 23.99c19.31 15.215 31.89 25.308 127.853 101.084 47.836 37.742 88.796 69.779 90.844 71.095 3.657 2.487 3.95 2.487 7.46-0.292a1041.42 1041.42 0 0 0 16.092-12.727c6.875-5.413 14.775-11.703 17.554-13.897 30.135-23.699 80.018-63.05 81.774-64.512 1.17-1.024 12.434-9.802 24.868-19.603s37.888-29.696 56.32-44.324c18.579-14.629 46.227-36.425 61.733-48.567 15.506-12.142 27.794-22.528 27.502-23.26-0.878-1.17-57.637-47.104-59.978-48.274-0.731-0.439-18.578 12.727-39.497 29.257z",
            "data-spm-anchor-id": "a313x.7781069.0.i2"
          }
        ),
        /* @__PURE__ */ jsx29(
          "path",
          {
            d: "M57.93 489.326c-15.215 12.288-28.527 23.405-29.697 24.576-2.34 2.194-5.412-0.44 80.018 66.852 33.207 26.185 32.622 25.747 57.637 45.495 10.386 8.192 36.279 28.672 57.783 45.495 38.18 30.135 44.91 35.401 52.663 41.545 2.048 1.756 22.967 18.14 46.372 36.572 23.26 18.432 74.167 58.514 112.933 89.088 38.912 30.573 71.095 55.734 71.826 56.027 0.732 0.293 7.46-4.389 14.921-10.386 21.797-16.97 90.259-70.949 101.523-79.872 5.705-4.535 12.873-10.24 15.945-12.58 3.072-2.488 6.436-5.12 7.314-5.852 0.878-0.878 11.85-9.509 24.283-19.31 20.773-16.091 59.1-46.226 64.366-50.615 1.17-1.024 5.12-4.096 8.777-6.875 3.657-2.78 7.9-6.29 9.509-7.607 1.609-1.317 14.775-11.703 29.257-23.113 29.11-22.82 42.277-33.207 88.503-69.632 17.262-13.605 32.475-25.454 33.646-26.478 2.486-2.048 31.451-24.869 44.617-35.255 4.827-3.657 9.07-7.168 9.508-7.607 0.44-0.585 5.998-4.827 12.435-9.8 6.436-4.828 13.165-10.24 15.067-11.85l3.365-2.926-9.948-7.753c-5.412-4.388-10.24-8.192-10.679-8.63-1.17-1.317-22.381-18.433-30.135-24.284-3.95-3.072-7.314-5.998-7.606-6.73-1.317-3.071-6.73 0.147-29.258 17.994-13.458 10.532-25.746 20.187-27.355 21.504-1.61 1.463-10.533 8.338-19.749 15.652-9.216 7.168-17.115 13.459-17.554 13.898-0.439 0.438-6.583 5.412-13.897 10.971-7.168 5.559-15.214 11.703-17.7 13.75-4.974 4.097-5.413 4.39-20.334 16.239-5.56 4.388-11.264 8.777-12.435 9.8-1.17 1.025-20.333 16.092-42.422 33.354-22.09 17.408-41.546 32.768-43.155 34.084-1.609 1.463-14.482 11.557-28.525 22.528s-40.814 32.037-59.539 46.812c-18.578 14.775-42.276 33.353-52.516 41.399s-23.26 18.285-28.965 22.82l-10.386 8.339-4.389-3.072c-2.34-1.756-4.68-3.511-5.12-3.95-0.439-0.439-4.973-4.096-10.24-8.046-11.849-9.216-14.482-11.264-16.676-13.166-0.878-0.877-4.243-3.51-7.46-5.851-3.22-2.487-6.145-4.681-6.584-5.12-0.439-0.439-6.875-5.705-14.482-11.703-7.607-5.851-14.921-11.556-16.091-12.58-1.317-1.17-17.116-13.605-35.255-27.795-17.993-14.19-35.109-27.648-38.035-29.842-5.705-4.681-33.499-26.624-125.074-98.743-34.523-27.209-72.704-57.344-84.846-66.852-49.737-39.498-55.15-43.594-56.905-43.447-0.877 0-14.043 10.24-29.257 22.528z",
            "data-spm-anchor-id": "a313x.7781069.0.i3"
          }
        )
      ]
    }
  ),
  qq: /* @__PURE__ */ jsx29(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      "aria-hidden": "true",
      role: "img",
      className: "iconify iconify--ri",
      preserveAspectRatio: "xMidYMid meet",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      children: /* @__PURE__ */ jsx29(
        "path",
        {
          fill: "currentColor",
          d: "M19.913 14.529a31.977 31.977 0 0 0-.675-1.886l-.91-2.246c0-.026.012-.468.012-.696C18.34 5.86 16.507 2 12 2S5.66 5.86 5.66 9.7c0 .229.011.671.012.697l-.91 2.246a32.777 32.777 0 0 0-.675 1.886c-.86 2.737-.581 3.87-.369 3.895c.455.054 1.771-2.06 1.771-2.06c0 1.224.637 2.822 2.016 3.976c-.515.157-1.147.399-1.554.695c-.365.267-.319.54-.253.65c.289.481 4.955.307 6.303.157c1.347.15 6.014.324 6.302-.158c.066-.11.112-.382-.253-.649c-.407-.296-1.039-.538-1.555-.696c1.379-1.153 2.016-2.751 2.016-3.976c0 0 1.316 2.115 1.771 2.06c.212-.025.49-1.157-.37-3.894"
        }
      )
    }
  ),
  wechat: /* @__PURE__ */ jsx29(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      "aria-hidden": "true",
      role: "img",
      className: "iconify iconify--ri",
      preserveAspectRatio: "xMidYMid meet",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      children: /* @__PURE__ */ jsx29(
        "path",
        {
          fill: "currentColor",
          d: "M18.574 13.711a.91.91 0 0 0 .898-.898c0-.498-.399-.898-.898-.898s-.898.4-.898.898c0 .5.4.898.898.898zm-4.425 0a.91.91 0 0 0 .898-.898c0-.498-.4-.898-.898-.898c-.5 0-.898.4-.898.898c0 .5.399.898.898.898zm6.567 5.04a.347.347 0 0 0-.172.37c0 .048 0 .097.025.147c.098.417.294 1.081.294 1.106c0 .073.025.122.025.172a.22.22 0 0 1-.221.22c-.05 0-.074-.024-.123-.048l-1.449-.836a.799.799 0 0 0-.344-.098c-.073 0-.147 0-.196.024c-.688.197-1.4.295-2.161.295c-3.66 0-6.607-2.457-6.607-5.505c0-3.047 2.947-5.505 6.607-5.505c3.659 0 6.606 2.458 6.606 5.505c0 1.647-.884 3.146-2.284 4.154zM16.673 8.099a9.105 9.105 0 0 0-.28-.005c-4.174 0-7.606 2.86-7.606 6.505c0 .554.08 1.09.228 1.6h-.089a9.963 9.963 0 0 1-2.584-.368c-.074-.025-.148-.025-.222-.025a.832.832 0 0 0-.418.123l-1.748 1.005c-.05.025-.099.05-.148.05a.273.273 0 0 1-.27-.27c0-.074.024-.123.049-.197c.024-.024.246-.834.369-1.324c0-.05.024-.123.024-.172a.556.556 0 0 0-.221-.442C2.058 13.376 1 11.586 1 9.598C1 5.945 4.57 3 8.95 3c3.765 0 6.93 2.169 7.723 5.098zm-5.154.418c.573 0 1.026-.477 1.026-1.026c0-.573-.453-1.026-1.026-1.026s-1.026.453-1.026 1.026s.453 1.026 1.026 1.026zm-5.26 0c.573 0 1.027-.477 1.027-1.026c0-.573-.454-1.026-1.027-1.026c-.572 0-1.026.453-1.026 1.026s.454 1.026 1.026 1.026z"
        }
      )
    }
  ),
  weibo: /* @__PURE__ */ jsx29(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      "aria-hidden": "true",
      role: "img",
      className: "iconify iconify--ri",
      preserveAspectRatio: "xMidYMid meet",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      children: /* @__PURE__ */ jsx29(
        "path",
        {
          fill: "currentColor",
          d: "M17.525 11.378c1.263.392 2.669 1.336 2.669 3.004c0 2.763-3.98 6.239-9.964 6.239c-4.565 0-9.23-2.213-9.23-5.852c0-1.902 1.204-4.102 3.277-6.177c2.773-2.77 6.004-4.033 7.219-2.816c.537.537.588 1.464.244 2.572c-.178.557.525.25.525.25c2.24-.938 4.196-.994 4.909.027c.38.543.343 1.306-.008 2.19c-.163.407.048.471.36.563zm-7.282 7.939c3.641-.362 6.401-2.592 6.167-4.983c-.237-2.391-3.382-4.038-7.023-3.677c-3.64.36-6.403 2.59-6.167 4.98c.237 2.394 3.382 4.039 7.023 3.68zM6.16 14.438c.754-1.527 2.712-2.39 4.446-1.94c1.793.463 2.707 2.154 1.976 3.8c-.744 1.682-2.882 2.578-4.695 1.993c-1.752-.566-2.493-2.294-1.727-3.853zm1.446 2.587c.568.257 1.325.013 1.676-.55c.346-.568.163-1.217-.407-1.459c-.563-.237-1.291.008-1.64.553c-.354.547-.189 1.202.371 1.456zm2.206-1.808c.219.092.501-.012.628-.231c.123-.22.044-.466-.178-.548c-.216-.084-.486.018-.613.232c-.123.214-.054.458.163.547zM19.873 9.5a.725.725 0 1 1-1.378-.451a1.38 1.38 0 0 0-.288-1.357a1.395 1.395 0 0 0-1.321-.425a.723.723 0 1 1-.303-1.416a2.836 2.836 0 0 1 3.29 3.649zm-3.916-6.575A5.831 5.831 0 0 1 21.5 4.72a5.836 5.836 0 0 1 1.22 5.704a.838.838 0 0 1-1.06.54a.844.844 0 0 1-.542-1.062a4.143 4.143 0 0 0-4.807-5.327a.845.845 0 0 1-.354-1.65z"
        }
      )
    }
  ),
  zhihu: /* @__PURE__ */ jsx29(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      "aria-hidden": "true",
      role: "img",
      className: "iconify iconify--ri",
      preserveAspectRatio: "xMidYMid meet",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      children: /* @__PURE__ */ jsx29(
        "path",
        {
          fill: "currentColor",
          d: "m12.344 17.963l-1.688 1.074l-2.131-3.35c-.44 1.402-1.172 2.665-2.139 3.825c-.402.483-.82.918-1.301 1.375c-.155.147-.775.717-.878.82l-1.414-1.414c.139-.139.787-.735.915-.856c.43-.408.795-.79 1.142-1.206c1.266-1.518 2.03-3.21 2.137-5.231H3v-2h4V7h-.868c-.689 1.266-1.558 2.222-2.618 2.857L2.486 8.143c1.395-.838 2.425-2.604 3.038-5.36l1.952.434c-.14.633-.303 1.227-.489 1.783H11.5v2H9v4h2.5v2H9.185l3.159 4.963zm3.838-.07L17.298 17H19V7h-4v10h.736l.446.893zM13 5h8v14h-3l-2.5 2l-1-2H13V5z"
        }
      )
    }
  ),
  bilibili: /* @__PURE__ */ jsx29(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      "aria-hidden": "true",
      role: "img",
      className: "iconify iconify--ri",
      preserveAspectRatio: "xMidYMid meet",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      children: /* @__PURE__ */ jsx29(
        "path",
        {
          fill: "currentColor",
          d: "M18.223 3.086a1.25 1.25 0 0 1 0 1.768L17.08 5.996h1.17A3.75 3.75 0 0 1 22 9.747v7.5a3.75 3.75 0 0 1-3.75 3.75H5.75A3.75 3.75 0 0 1 2 17.247v-7.5a3.75 3.75 0 0 1 3.75-3.75h1.166L5.775 4.855a1.25 1.25 0 1 1 1.767-1.768l2.652 2.652c.079.079.145.165.198.257h3.213c.053-.092.12-.18.199-.258l2.651-2.652a1.25 1.25 0 0 1 1.768 0zm.027 5.42H5.75a1.25 1.25 0 0 0-1.247 1.157l-.003.094v7.5c0 .659.51 1.199 1.157 1.246l.093.004h12.5a1.25 1.25 0 0 0 1.247-1.157l.003-.093v-7.5c0-.69-.56-1.25-1.25-1.25zm-10 2.5c.69 0 1.25.56 1.25 1.25v1.25a1.25 1.25 0 1 1-2.5 0v-1.25c0-.69.56-1.25 1.25-1.25zm7.5 0c.69 0 1.25.56 1.25 1.25v1.25a1.25 1.25 0 1 1-2.5 0v-1.25c0-.69.56-1.25 1.25-1.25z"
        }
      )
    }
  ),
  lark: /* @__PURE__ */ jsxs16(
    "svg",
    {
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      xmlns: "http://www.w3.org/2000/svg",
      children: [
        /* @__PURE__ */ jsx29("title", { children: "Lark" }),
        /* @__PURE__ */ jsx29(
          "path",
          {
            d: "M8.813 5.477c1.038.836 2.286 2.045 3.3 3.495.171.23.377.576.457.71l.034.056a8.803 8.803 0 0 0-.922 1.3l-.271-.494C9.655 7.53 6.3 5.477 6.137 5.377a.447.447 0 0 1-.006-.004l-.666-.393-.107-.086a.499.499 0 0 1 .306-.885L6.084 4h7.997c.159.006.318.037.47.092.174.064.317.174.458.308.134.143.272.296.403.448.622.675 1.324 1.688 1.324 1.688-.573.193-1.349.736-1.349.736a5.095 5.095 0 0 0-.348-.54 20.665 20.665 0 0 0-1.037-1.255H8.813Z",
            fill: "currentColor"
          }
        ),
        /* @__PURE__ */ jsx29(
          "path",
          {
            d: "M18.482 7.507a5.42 5.42 0 0 1 4.04.717c.248.168.788.635.242 1.233-1.7 1.67-2.194 3.225-2.63 4.599-.278.873-.541 1.697-1.066 2.424-1.813 2.508-4.114 4-6.837 4.434-.561.089-1.132.131-1.7.131-3.958 0-7.498-2.035-8.75-2.844h.003l-.161-.107c-.534-.378-.61-.723-.623-.989V7.055a.486.486 0 0 1 .827-.317l.482.589c5.082 6.201 9.126 8.063 11.626 8.53 2.246.424 3.631-.165 4.022-.37.333-.51.534-1.143.764-1.865l.006-.021c.406-1.276.898-2.821 2.322-4.477a3.93 3.93 0 0 0-2.28-.168c-1.761.394-3.403 1.96-4.89 4.643a8.27 8.27 0 0 0-.341.671c-.724-.107-1.334-.65-1.334-.65.128-.269.22-.455.345-.672 1.718-3.125 3.714-4.962 5.933-5.441ZM2.477 16.889c1.145.744 5.341 3.232 9.532 2.563 1.56-.247 2.963-.915 4.196-1.99-2.771.254-7.557-.753-13.728-7.666v7.093Z",
            fill: "currentColor"
          }
        )
      ]
    }
  ),
  X: /* @__PURE__ */ jsxs16(
    "svg",
    {
      role: "img",
      viewBox: "0 0 24 24",
      width: "24",
      height: "24",
      xmlns: "http://www.w3.org/2000/svg",
      children: [
        /* @__PURE__ */ jsx29("title", { children: "X" }),
        /* @__PURE__ */ jsx29("path", { d: "M18.901 1.153h3.68l-8.04 9.19L24 22.846h-7.406l-5.8-7.584-6.638 7.584H.474l8.6-9.83L0 1.154h7.594l5.243 6.932ZM17.61 20.644h2.039L6.486 3.24H4.298Z" })
      ]
    }
  )
};

// src/components/SocialLinks/LinkContent.tsx
import { jsx as jsx30, jsxs as jsxs17 } from "react/jsx-runtime";
var LinkContent = (props) => {
  const { link, popperStyle = {} } = props;
  const { icon, mode = "link", content } = link;
  const IconComp = typeof icon === "object" ? (
    // eslint-disable-next-line react/no-danger
    /* @__PURE__ */ jsx30("div", { dangerouslySetInnerHTML: { __html: icon.svg } })
  ) : presetIcons_default[icon];
  const [contentVisible, setContentVisible] = useState11(false);
  const mouseEnterIcon = () => {
    setContentVisible(true);
  };
  const mouseLeavePopper = () => {
    setContentVisible(false);
  };
  if (mode === "link") {
    return /* @__PURE__ */ jsx30(
      "a",
      {
        href: content,
        target: "_blank",
        rel: "noopener noreferrer",
        className: "social-links",
        children: /* @__PURE__ */ jsx30("div", { className: `${index_module_default12.socialLinksIcon}`, children: IconComp })
      },
      content
    );
  }
  if (mode === "text") {
    return /* @__PURE__ */ jsxs17(
      "div",
      {
        className: `${index_module_default12.socialLinksIcon} cursor-pointer relative mx-3`,
        onMouseEnter: mouseEnterIcon,
        onMouseLeave: mouseLeavePopper,
        children: [
          IconComp,
          contentVisible ? /* @__PURE__ */ jsx30(
            "div",
            {
              style: __spreadValues({
                boxShadow: "var(--rp-shadow-3)",
                border: "1px solid var(--rp-c-divider-light)"
              }, popperStyle),
              className: "z-[1] p-3 w-50 absolute right-0 bg-white dark:bg-dark",
              children: /* @__PURE__ */ jsx30("div", { className: "text-md", children: content })
            }
          ) : null
        ]
      }
    );
  }
  if (mode === "img") {
    return /* @__PURE__ */ jsxs17(
      "div",
      {
        className: `${index_module_default12.socialLinksIcon} cursor-pointer relative`,
        onMouseEnter: mouseEnterIcon,
        onMouseLeave: mouseLeavePopper,
        children: [
          IconComp,
          contentVisible ? /* @__PURE__ */ jsx30(
            "div",
            {
              className: "break-all z-[1] p-3 w-[50px] h-[50px] absolute right-0 bg-white dark:bg-dark rounded-xl",
              style: __spreadValues({
                boxShadow: "var(--rp-shadow-3)"
              }, popperStyle),
              children: /* @__PURE__ */ jsx30("img", { src: content, alt: "img" })
            }
          ) : null
        ]
      }
    );
  }
  if (mode === "dom") {
    return /* @__PURE__ */ jsxs17(
      "div",
      {
        className: `${index_module_default12.socialLinksIcon} cursor-pointer relative`,
        onMouseEnter: mouseEnterIcon,
        onMouseLeave: mouseLeavePopper,
        children: [
          IconComp,
          contentVisible ? /* @__PURE__ */ jsx30(
            "div",
            {
              className: "break-all z-[1] p-3 absolute right-0 bg-white dark:bg-dark rounded-xl",
              style: __spreadValues({
                boxShadow: "var(--rp-shadow-3)"
              }, popperStyle),
              children: /* @__PURE__ */ jsx30("div", { dangerouslySetInnerHTML: { __html: content } })
            }
          ) : null
        ]
      }
    );
  }
  return /* @__PURE__ */ jsx30("div", {});
};

// src/components/SocialLinks/ShownLinks.tsx
import { Fragment as Fragment5, jsx as jsx31, jsxs as jsxs18 } from "react/jsx-runtime";
var ShownLinks = (props) => {
  const { links, moreIconVisible = false, mouseEnter } = props;
  return /* @__PURE__ */ jsxs18(Fragment5, { children: [
    /* @__PURE__ */ jsx31("div", { className: "flex-center h-full gap-x-4 transition-colors duration-300 md:mr-2", children: links.map((item, index) => /* @__PURE__ */ jsx31(
      LinkContent,
      {
        link: item,
        popperStyle: { top: "2.5rem" }
      },
      index
    )) }),
    moreIconVisible ? /* @__PURE__ */ jsx31("div", { className: "md:ml-1 p-2", onMouseEnter: mouseEnter, children: /* @__PURE__ */ jsx31(SvgWrapper, { icon: ArrowDown }) }) : null
  ] });
};

// src/components/SocialLinks/HiddenLinks.tsx
import { jsx as jsx32 } from "react/jsx-runtime";
var HiddenLinks = (props) => {
  const { links } = props;
  return /* @__PURE__ */ jsx32(
    "div",
    {
      style: {
        boxShadow: "var(--rp-shadow-3)",
        marginRight: "-2px",
        border: "1px solid var(--rp-c-divider-light)",
        background: "var(--rp-c-bg)"
      },
      className: "absolute top-8 right-0 z-1 p-3 w-32 rounded-2xl flex flex-wrap gap-4",
      children: links.map((item) => /* @__PURE__ */ jsx32(
        LinkContent,
        {
          link: item,
          popperStyle: { top: "1.25rem" }
        },
        item.content
      ))
    }
  );
};

// src/components/SocialLinks/index.tsx
import { jsx as jsx33, jsxs as jsxs19 } from "react/jsx-runtime";
var SocialLinks = ({ socialLinks }) => {
  const moreThanThree = socialLinks.length > 3;
  const shownLinks = [];
  const hiddenLinks = [];
  socialLinks.forEach((item, index) => {
    if (index < 3) {
      shownLinks.push(item);
    } else {
      hiddenLinks.push(item);
    }
  });
  const [moreLinksVisible, setMoreLinksVisible] = useState12(false);
  return /* @__PURE__ */ jsxs19(
    "div",
    {
      className: `social-links ${index_module_default12.menuItem} flex-center relative`,
      onMouseLeave: () => setMoreLinksVisible(false),
      children: [
        /* @__PURE__ */ jsx33(
          ShownLinks,
          {
            links: shownLinks,
            moreIconVisible: moreThanThree,
            mouseEnter: () => setMoreLinksVisible(true)
          }
        ),
        moreLinksVisible ? /* @__PURE__ */ jsx33(HiddenLinks, { links: hiddenLinks }) : null
      ]
    }
  );
};

// src/components/Nav/menuDataHooks.tsx
import { replaceLang, replaceVersion } from "@rspress/shared";
import { useLocation as useLocation7, usePageData as usePageData17, useVersion as useVersion2 } from "@rspress/runtime";
import Translator from "@theme-assets/translator";
import { jsx as jsx34 } from "react/jsx-runtime";
function useTranslationMenuData() {
  var _a, _b;
  const { siteData: siteData2, page } = usePageData17();
  const currentVersion = useVersion2();
  const { pathname, search } = useLocation7();
  const defaultLang = siteData2.lang || "";
  const defaultVersion = siteData2.multiVersion.default || "";
  const localeLanguages = Object.values(
    siteData2.locales || siteData2.themeConfig.locales || {}
  );
  const cleanUrls = ((_a = siteData2.route) == null ? void 0 : _a.cleanUrls) || false;
  const hasMultiLanguage = localeLanguages.length > 1;
  const { lang: currentLang, pageType } = page;
  const { base } = siteData2;
  const translationMenuData = hasMultiLanguage ? {
    text: /* @__PURE__ */ jsx34(
      SvgWrapper,
      {
        icon: Translator,
        style: {
          width: "18px",
          height: "18px"
        }
      }
    ),
    items: localeLanguages.map((item) => ({
      text: item == null ? void 0 : item.label,
      link: replaceLang(
        pathname + search,
        {
          current: currentLang,
          target: item.lang,
          default: defaultLang
        },
        {
          current: currentVersion,
          default: defaultVersion
        },
        base,
        cleanUrls,
        pageType === "404"
      )
    })),
    activeValue: (_b = localeLanguages.find((item) => currentLang === item.lang)) == null ? void 0 : _b.label
  } : null;
  return translationMenuData;
}
function useVersionMenuData() {
  var _a;
  const { siteData: siteData2, page } = usePageData17();
  const currentVersion = useVersion2();
  const { pathname } = useLocation7();
  const cleanUrls = ((_a = siteData2.route) == null ? void 0 : _a.cleanUrls) || false;
  const defaultVersion = siteData2.multiVersion.default || "";
  const versions = siteData2.multiVersion.versions || [];
  const { base } = siteData2;
  const versionsMenuData = {
    items: versions.map((version) => ({
      text: version,
      link: replaceVersion(
        pathname,
        {
          current: currentVersion,
          target: version,
          default: defaultVersion
        },
        base,
        cleanUrls,
        page.pageType === "404"
      )
    })),
    text: currentVersion,
    activeValue: currentVersion
  };
  return versionsMenuData;
}

// src/components/NavScreen/NavScreenMenuGroup.tsx
import { useState as useState13 } from "react";
import Down from "@theme-assets/down";
import { Link as Link5 } from "@theme";

// src/components/NavScreen/index.module.scss
var index_module_default13 = { "navScreen": "navScreen_457e8", "active": "active_457e8", "container": "container_457e8", "navMenu": "navMenu_457e8", "navMenuItem": "navMenuItem_457e8", "navAppearance": "navAppearance_457e8", "socialAndAppearance": "socialAndAppearance_457e8", "navScreenMenuGroup": "navScreenMenuGroup_457e8", "open": "open_457e8", "button": "button_457e8", "buttonSpan": "buttonSpan_457e8", "items": "items_457e8", "down": "down_457e8" };

// src/components/NavScreen/NavScreenMenuGroup.tsx
import { jsx as jsx35, jsxs as jsxs20 } from "react/jsx-runtime";
function NavScreenMenuGroup(item) {
  const { activeValue } = item;
  const [isOpen, setIsOpen] = useState13(false);
  function ActiveGroupItem2({ item: item2 }) {
    return /* @__PURE__ */ jsx35("div", { className: "p-1 text-center", children: /* @__PURE__ */ jsx35("span", { className: "text-brand", children: item2.text }) });
  }
  function NormalGroupItem2({ item: item2 }) {
    return /* @__PURE__ */ jsx35("div", { className: "py-1 font-medium", children: /* @__PURE__ */ jsx35(Link5, { href: item2.link, children: /* @__PURE__ */ jsx35("div", { children: /* @__PURE__ */ jsx35("div", { className: "flex justify-center", children: /* @__PURE__ */ jsx35("span", { children: item2.text }) }) }) }) });
  }
  const renderLinkItem = (item2) => {
    if (activeValue === item2.text) {
      return /* @__PURE__ */ jsx35(ActiveGroupItem2, { item: item2 }, item2.link);
    }
    return /* @__PURE__ */ jsx35(NormalGroupItem2, { item: item2 }, item2.link);
  };
  const renderGroup = (item2) => {
    return /* @__PURE__ */ jsxs20("div", { children: [
      "link" in item2 ? renderLinkItem(item2) : /* @__PURE__ */ jsx35("p", { className: "font-bold text-gray-400 my-1 not:first:border", children: item2.text }),
      item2.items.map(renderLinkItem)
    ] });
  };
  return /* @__PURE__ */ jsxs20(
    "div",
    {
      className: `${isOpen ? index_module_default13.open : ""} ${index_module_default13.navScreenMenuGroup} relative`,
      children: [
        /* @__PURE__ */ jsxs20(
          "button",
          {
            className: index_module_default13.button,
            onClick: () => {
              setIsOpen(!isOpen);
            },
            children: [
              /* @__PURE__ */ jsx35("span", { className: index_module_default13.buttonSpan, children: item.text }),
              /* @__PURE__ */ jsx35(Down, { className: `${isOpen ? index_module_default13.open : ""} ${index_module_default13.down} ` })
            ]
          }
        ),
        /* @__PURE__ */ jsx35("div", { children: /* @__PURE__ */ jsx35("div", { className: index_module_default13.items, children: item.items.map((item2) => {
          return /* @__PURE__ */ jsx35("div", { children: "items" in item2 ? renderGroup(item2) : renderLinkItem(item2) }, item2.text);
        }) }) })
      ]
    }
  );
}

// src/logic/useNav.ts
import { useEffect as useEffect11, useState as useState14 } from "react";
import { useLocation as useLocation8, useVersion as useVersion3 } from "@rspress/runtime";
function useNavScreen() {
  const { pathname } = useLocation8();
  const [isScreenOpen, setIsScreenOpen] = useState14(false);
  function openScreen() {
    setIsScreenOpen(true);
    window.addEventListener("resize", closeScreenOnTabletWindow);
  }
  function closeScreen() {
    setIsScreenOpen(false);
    window.removeEventListener("resize", closeScreenOnTabletWindow);
  }
  function toggleScreen() {
    if (isScreenOpen) {
      closeScreen();
    } else {
      openScreen();
    }
  }
  useEffect11(() => {
    closeScreen();
  }, [pathname]);
  function closeScreenOnTabletWindow() {
    window.outerWidth >= 768 && closeScreen();
  }
  return {
    isScreenOpen,
    openScreen,
    closeScreen,
    toggleScreen
  };
}
function useNavData() {
  const { nav } = useLocaleSiteData();
  const version = useVersion3();
  if (Array.isArray(nav)) {
    return nav;
  }
  const navKey = version.length > 0 ? version : "default";
  return [...nav[navKey]];
}

// src/components/NavScreen/index.tsx
import { jsx as jsx36, jsxs as jsxs21 } from "react/jsx-runtime";
var NavScreenTranslations = () => {
  const translationMenuData = useTranslationMenuData();
  return /* @__PURE__ */ jsx36("div", { className: "flex text-sm font-bold justify-center", children: /* @__PURE__ */ jsx36("div", { className: "mx-1.5 my-1", children: /* @__PURE__ */ jsx36(NavScreenMenuGroup, __spreadValues({}, translationMenuData)) }) });
};
var NavScreenVersions = () => {
  const versionMenuData = useVersionMenuData();
  return /* @__PURE__ */ jsx36(
    "div",
    {
      className: `${index_module_default13.navTranslations} flex text-sm font-bold justify-center`,
      children: /* @__PURE__ */ jsx36("div", { className: "mx-1.5 my-1", children: /* @__PURE__ */ jsx36(NavScreenMenuGroup, __spreadValues({}, versionMenuData)) })
    }
  );
};
function NavScreen(props) {
  var _a;
  const { isScreenOpen, siteData: siteData2, pathname } = props;
  const screen = useRef7(null);
  const localesData = siteData2.themeConfig.locales || [];
  const hasMultiLanguage = localesData.length > 1;
  const hasMultiVersion = siteData2.multiVersion.versions.length > 1;
  const menuItems = useNavData();
  const hasAppearanceSwitch = siteData2.themeConfig.darkMode !== false;
  const socialLinks = ((_a = siteData2 == null ? void 0 : siteData2.themeConfig) == null ? void 0 : _a.socialLinks) || [];
  const hasSocialLinks = socialLinks.length > 0;
  const langs = localesData.map((item) => item.lang || "zh") || [];
  const { base } = siteData2;
  const NavScreenAppearance = () => {
    return /* @__PURE__ */ jsx36("div", { className: `mt-2 ${index_module_default13.navAppearance} flex justify-center`, children: /* @__PURE__ */ jsx36(NoSSR2, { children: /* @__PURE__ */ jsx36(SwitchAppearance, {}) }) });
  };
  const NavScreenMenu = ({ menuItems: menuItems2 }) => {
    return /* @__PURE__ */ jsx36("div", { className: index_module_default13.navMenu, children: menuItems2.map((item) => {
      return /* @__PURE__ */ jsx36("div", { className: `${index_module_default13.navMenuItem} w-full`, children: "link" in item ? /* @__PURE__ */ jsx36(
        NavMenuSingleItem,
        __spreadValues({
          pathname,
          base,
          langs
        }, item),
        item.text
      ) : /* @__PURE__ */ jsx36("div", { className: "mx-3 last:mr-0", children: /* @__PURE__ */ jsx36(
        NavScreenMenuGroup,
        __spreadProps(__spreadValues({}, item), {
          items: "items" in item ? item.items : item
        })
      ) }, item.text) }, item.text);
    }) });
  };
  useEffect12(() => {
    screen.current && isScreenOpen && disableBodyScroll(screen.current, { reserveScrollBarGap: true });
    return () => {
      clearAllBodyScrollLocks();
    };
  }, [isScreenOpen]);
  return /* @__PURE__ */ jsx36(
    "div",
    {
      className: `${index_module_default13.navScreen} ${isScreenOpen ? index_module_default13.active : ""}`,
      ref: screen,
      id: "navScreen",
      children: /* @__PURE__ */ jsxs21("div", { className: index_module_default13.container, children: [
        /* @__PURE__ */ jsx36(NavScreenMenu, { menuItems }),
        /* @__PURE__ */ jsxs21("div", { className: "flex-center flex-col gap-2", children: [
          hasAppearanceSwitch && /* @__PURE__ */ jsx36(NavScreenAppearance, {}),
          hasMultiLanguage && /* @__PURE__ */ jsx36(NavScreenTranslations, {}),
          hasMultiVersion && /* @__PURE__ */ jsx36(NavScreenVersions, {}),
          hasSocialLinks && /* @__PURE__ */ jsx36(SocialLinks, { socialLinks })
        ] })
      ] })
    }
  );
}

// src/components/NavHambmger/index.module.scss
var index_module_default14 = { "navHamburger": "navHamburger_e7b06", "container": "container_e7b06", "top": "top_e7b06", "middle": "middle_e7b06", "bottom": "bottom_e7b06", "active": "active_e7b06" };

// src/components/NavHambmger/index.tsx
import { jsx as jsx37, jsxs as jsxs22 } from "react/jsx-runtime";
function NavHamburger(props) {
  const { siteData: siteData2, pathname } = props;
  const { isScreenOpen, toggleScreen } = useNavScreen();
  return /* @__PURE__ */ jsxs22(Fragment6, { children: [
    /* @__PURE__ */ jsx37(
      NavScreen,
      {
        isScreenOpen,
        siteData: siteData2,
        pathname
      }
    ),
    /* @__PURE__ */ jsx37(
      "button",
      {
        onClick: toggleScreen,
        "aria-label": "mobile hamburger",
        className: `${isScreenOpen ? index_module_default14.active : ""} ${index_module_default14.navHamburger} text-gray-500`,
        children: /* @__PURE__ */ jsx37(SvgWrapper, { icon: SmallMenu, fill: "currentColor" })
      }
    )
  ] });
}

// src/components/Nav/NavMenuGroup.tsx
import { useState as useState15 } from "react";
import {
  withoutBase as withoutBase2
} from "@rspress/shared";
import Down2 from "@theme-assets/down";
import { Link as Link6, Tag as Tag2 } from "@theme";
import { Fragment as Fragment7, jsx as jsx38, jsxs as jsxs23 } from "react/jsx-runtime";
function ActiveGroupItem({ item }) {
  return /* @__PURE__ */ jsxs23(
    "div",
    {
      className: "rounded-2xl my-1 flex",
      style: {
        padding: "0.4rem 1.5rem 0.4rem 0.75rem"
      },
      children: [
        item.tag && /* @__PURE__ */ jsx38(Tag2, { tag: item.tag }),
        /* @__PURE__ */ jsx38("span", { className: "text-brand", children: item.text })
      ]
    },
    item.link
  );
}
function NormalGroupItem({ item }) {
  return /* @__PURE__ */ jsx38("div", { className: "font-medium my-1", children: /* @__PURE__ */ jsx38(Link6, { href: item.link, children: /* @__PURE__ */ jsx38(
    "div",
    {
      className: "rounded-2xl hover:bg-mute",
      style: {
        padding: "0.4rem 1.5rem 0.4rem 0.75rem"
      },
      children: /* @__PURE__ */ jsxs23("div", { className: "flex", children: [
        item.tag && /* @__PURE__ */ jsx38(Tag2, { tag: item.tag }),
        /* @__PURE__ */ jsx38("span", { children: item.text })
      ] })
    }
  ) }) }, item.link);
}
function NavMenuGroup(item) {
  const {
    activeValue,
    items: groupItems,
    base = "",
    link = "",
    pathname = ""
  } = item;
  const [isOpen, setIsOpen] = useState15(false);
  const renderLinkItem = (item2) => {
    const isLinkActive = new RegExp(item2.activeMatch || item2.link).test(
      withoutBase2(pathname, base)
    );
    if (activeValue === item2.text || !activeValue && isLinkActive) {
      return /* @__PURE__ */ jsx38(ActiveGroupItem, { item: item2 }, item2.link);
    }
    return /* @__PURE__ */ jsx38(NormalGroupItem, { item: item2 }, item2.link);
  };
  const renderGroup = (item2) => {
    return /* @__PURE__ */ jsxs23("div", { children: [
      "link" in item2 ? renderLinkItem(item2) : /* @__PURE__ */ jsx38("p", { className: "font-bold text-gray-400 my-1 not:first:border", children: item2.text }),
      item2.items.map(renderLinkItem)
    ] });
  };
  return /* @__PURE__ */ jsxs23(
    "div",
    {
      className: "relative flex-center h-14",
      onMouseLeave: () => setIsOpen(false),
      children: [
        /* @__PURE__ */ jsx38(
          "button",
          {
            onMouseEnter: () => setIsOpen(true),
            className: "rspress-nav-menu-group-button flex-center items-center font-medium text-sm text-text-1 hover:text-text-2 transition-colors duration-200",
            children: link ? (
              // @ts-expect-error item.text may be ReactElement
              /* @__PURE__ */ jsx38(NavMenuSingleItem, __spreadProps(__spreadValues({}, item), { rightIcon: /* @__PURE__ */ jsx38(SvgWrapper, { icon: Down2 }) }))
            ) : /* @__PURE__ */ jsxs23(Fragment7, { children: [
              /* @__PURE__ */ jsxs23(
                "span",
                {
                  className: "text-sm font-medium flex",
                  style: {
                    marginRight: "2px"
                  },
                  children: [
                    /* @__PURE__ */ jsx38(Tag2, { tag: item.tag }),
                    item.text
                  ]
                }
              ),
              /* @__PURE__ */ jsx38(SvgWrapper, { icon: Down2 })
            ] })
          }
        ),
        /* @__PURE__ */ jsx38(
          "div",
          {
            className: "rspress-nav-menu-group-content absolute mx-0.8 transition-opacity duration-300",
            style: {
              opacity: isOpen ? 1 : 0,
              visibility: isOpen ? "visible" : "hidden",
              right: 0,
              top: "52px"
            },
            children: /* @__PURE__ */ jsx38(
              "div",
              {
                className: "p-3 pr-2 w-full h-full max-h-100vh whitespace-nowrap",
                style: {
                  boxShadow: "var(--rp-shadow-3)",
                  zIndex: 100,
                  border: "1px solid var(--rp-c-divider-light)",
                  borderRadius: "var(--rp-radius-large)",
                  background: "var(--rp-c-bg)"
                },
                children: groupItems.map((item2) => {
                  return /* @__PURE__ */ jsx38("div", { children: "items" in item2 ? renderGroup(item2) : renderLinkItem(item2) }, item2.text);
                })
              }
            )
          }
        )
      ]
    }
  );
}

// src/components/Nav/NavBarTitle.tsx
import { useMemo } from "react";
import { normalizeImagePath as normalizeImagePath3, usePageData as usePageData18, withBase as withBase7 } from "@rspress/runtime";
import { Fragment as Fragment8, jsx as jsx39, jsxs as jsxs24 } from "react/jsx-runtime";
var NavBarTitle = () => {
  var _a;
  const { siteData: siteData2 } = usePageData18();
  const localeData = useLocaleSiteData();
  const { logo: rawLogo, logoText } = siteData2;
  const title = (_a = localeData.title) != null ? _a : siteData2.title;
  const logo = useMemo(() => {
    if (!rawLogo) {
      return null;
    }
    if (typeof rawLogo === "string") {
      return /* @__PURE__ */ jsx39(
        "img",
        {
          src: normalizeImagePath3(rawLogo),
          alt: "logo",
          id: "logo",
          className: "mr-4 rspress-logo"
        }
      );
    }
    return /* @__PURE__ */ jsxs24(Fragment8, { children: [
      /* @__PURE__ */ jsx39(
        "img",
        {
          src: normalizeImagePath3(rawLogo.light),
          alt: "logo",
          id: "logo",
          className: "mr-4 rspress-logo dark:hidden"
        }
      ),
      /* @__PURE__ */ jsx39(
        "img",
        {
          src: normalizeImagePath3(rawLogo.dark),
          alt: "logo",
          id: "logo",
          className: "mr-4 rspress-logo hidden dark:block"
        }
      )
    ] });
  }, [rawLogo]);
  return /* @__PURE__ */ jsx39("div", { className: `${index_module_default11.navBarTitle}`, children: /* @__PURE__ */ jsxs24(
    "a",
    {
      href: withBase7(localeData.langRoutePrefix || "/"),
      className: "flex items-center w-full h-full text-base font-semibold transition-opacity duration-300 hover:opacity-60",
      children: [
        logo,
        logoText && /* @__PURE__ */ jsx39("span", { children: logoText }),
        !logo && !logoText && /* @__PURE__ */ jsx39("span", { children: title })
      ]
    }
  ) });
};

// src/components/Nav/NavTranslations.tsx
import { jsx as jsx40 } from "react/jsx-runtime";
function NavTranslations() {
  const translationMenuData = useTranslationMenuData();
  return /* @__PURE__ */ jsx40(
    "div",
    {
      className: `translation ${index_module_default11.menuItem} flex text-sm font-bold items-center px-3 py-2`,
      children: /* @__PURE__ */ jsx40("div", { children: /* @__PURE__ */ jsx40(NavMenuGroup, __spreadValues({}, translationMenuData)) })
    }
  );
}

// src/components/Nav/NavVersions.tsx
import { jsx as jsx41 } from "react/jsx-runtime";
function NavVersions() {
  const versionsMenuData = useVersionMenuData();
  return /* @__PURE__ */ jsx41(
    "div",
    {
      className: `translation ${index_module_default11.menuItem} flex text-sm font-bold items-center px-3 py-2`,
      children: /* @__PURE__ */ jsx41("div", { children: /* @__PURE__ */ jsx41(NavMenuGroup, __spreadValues({}, versionsMenuData)) })
    }
  );
}

// src/components/Nav/index.tsx
import { Fragment as Fragment9, jsx as jsx42, jsxs as jsxs25 } from "react/jsx-runtime";
var DEFAULT_NAV_POSTION = "right";
function Nav2(props) {
  var _a;
  const { beforeNavTitle, afterNavTitle, beforeNav, afterNavMenu } = props;
  const { siteData: siteData2 } = usePageData19();
  const { base } = siteData2;
  const { pathname } = useLocation9();
  const [isMobile, setIsMobile] = useState16(false);
  const hiddenNav = useHiddenNav();
  const localeLanguages = Object.values(
    siteData2.locales || siteData2.themeConfig.locales || {}
  );
  const hasMultiLanguage = localeLanguages.length > 1;
  const hasMutilVersion = siteData2.multiVersion.versions.length > 1;
  const socialLinks = siteData2.themeConfig.socialLinks || [];
  const hasSocialLinks = socialLinks.length > 0;
  const langs = localeLanguages.map((item) => item.lang || "") || [];
  const updateIsMobile = () => {
    setIsMobile(isMobileDevice());
  };
  useEffect13(() => {
    window.addEventListener("resize", updateIsMobile);
    setIsMobile(isMobileDevice());
    return () => {
      window.removeEventListener("resize", updateIsMobile);
    };
  }, []);
  const NavMenu = ({ menuItems: menuItems2 }) => {
    return /* @__PURE__ */ jsx42("div", { className: "rspress-nav-menu menu h-14", children: menuItems2.map((item) => {
      return "items" in item || Array.isArray(item) ? /* @__PURE__ */ jsx42("div", { className: "mx-3 last:mr-0", children: /* @__PURE__ */ jsx42(
        NavMenuGroup,
        __spreadProps(__spreadValues({}, item), {
          base,
          pathname,
          langs,
          items: "items" in item ? item.items : item
        })
      ) }, item.text) : /* @__PURE__ */ jsx42(
        NavMenuSingleItem,
        __spreadValues({
          pathname,
          langs,
          base
        }, item),
        item.link
      );
    }) });
  };
  const menuItems = useNavData();
  const getPosition = (menuItem) => {
    var _a2;
    return (_a2 = menuItem.position) != null ? _a2 : DEFAULT_NAV_POSTION;
  };
  const leftMenuItems = menuItems.filter((item) => getPosition(item) === "left");
  const rightMenuItems = menuItems.filter(
    (item) => getPosition(item) === "right"
  );
  const hasSearch = ((_a = siteData2 == null ? void 0 : siteData2.themeConfig) == null ? void 0 : _a.search) !== false;
  const hasAppearanceSwitch = siteData2.themeConfig.darkMode !== false;
  const leftNav = () => {
    return leftMenuItems.length > 0 ? /* @__PURE__ */ jsx42("div", { className: index_module_default11.leftNav, children: /* @__PURE__ */ jsx42(NavMenu, { menuItems: leftMenuItems }) }) : null;
  };
  const rightNav = () => {
    return /* @__PURE__ */ jsxs25("div", { className: index_module_default11.rightNav, children: [
      hasSearch && /* @__PURE__ */ jsx42("div", { className: "flex sm:flex-1 items-center sm:pl-4 sm:pr-2", children: /* @__PURE__ */ jsx42(Search, {}) }),
      /* @__PURE__ */ jsx42(NavMenu, { menuItems: rightMenuItems }),
      /* @__PURE__ */ jsxs25("div", { className: "flex-center flex-row", children: [
        hasMultiLanguage && /* @__PURE__ */ jsx42(NavTranslations, {}),
        hasMutilVersion && /* @__PURE__ */ jsx42(NavVersions, {}),
        hasAppearanceSwitch && /* @__PURE__ */ jsx42("div", { className: "mx-2", children: /* @__PURE__ */ jsx42(SwitchAppearance, {}) }),
        hasSocialLinks && /* @__PURE__ */ jsx42(SocialLinks, { socialLinks })
      ] })
    ] });
  };
  return /* @__PURE__ */ jsxs25(Fragment9, { children: [
    beforeNav,
    /* @__PURE__ */ jsx42(
      "div",
      {
        className: `${index_module_default11.navContainer} rspress-nav px-6 ${// Only hidden when it's not mobile
        hiddenNav && !isMobile ? index_module_default11.hidden : ""}`,
        style: {
          position: isMobile ? "relative" : "sticky"
        },
        children: /* @__PURE__ */ jsxs25(
          "div",
          {
            className: `${index_module_default11.container} flex justify-between items-center h-full`,
            children: [
              beforeNavTitle,
              /* @__PURE__ */ jsx42(NavBarTitle, {}),
              afterNavTitle,
              /* @__PURE__ */ jsxs25("div", { className: "flex flex-1 justify-end items-center", children: [
                leftNav(),
                rightNav(),
                afterNavMenu,
                /* @__PURE__ */ jsxs25("div", { className: index_module_default11.mobileNavMenu, children: [
                  isMobile && hasSearch && /* @__PURE__ */ jsx42(Search, {}),
                  /* @__PURE__ */ jsx42(NavHamburger, { siteData: siteData2, pathname })
                ] })
              ] })
            ]
          }
        )
      }
    )
  ] });
}

// src/components/Overview/index.tsx
import { useMemo as useMemo2 } from "react";
import {
  usePageData as usePageData20,
  normalizeHrefInRuntime as normalizeHref7,
  withBase as withBase8,
  isEqualPath as isEqualPath5
} from "@rspress/runtime";
import { Link as Link7 } from "@theme";

// src/components/Overview/index.module.scss
var index_module_default15 = { "header-anchor": "header-anchor_8f375", "headerAnchor": "header-anchor_8f375", "overview-groups": "overview-groups_8f375", "overviewGroups": "overview-groups_8f375", "overview-group-li": "overview-group-li_8f375", "overviewGroupLi": "overview-group-li_8f375", "level-2": "level-2_8f375", "level2": "level-2_8f375", "level-3": "level-3_8f375", "level3": "level-3_8f375", "level-4": "level-4_8f375", "level4": "level-4_8f375", "overview-group": "overview-group_8f375", "overviewGroup": "overview-group_8f375", "header": "header_8f375" };

// src/components/Overview/index.tsx
import { jsx as jsx43, jsxs as jsxs26 } from "react/jsx-runtime";
function Overview2(props) {
  const {
    siteData: siteData2,
    page: { routePath, title, frontmatter }
  } = usePageData20();
  const { content, groups: customGroups, defaultGroupTitle = "Others" } = props;
  const subFilter = (link) => (
    // sidebar items link without base path
    // pages route path with base path
    withBase8(link).startsWith(routePath.replace(/overview$/, "")) && !isEqualPath5(withBase8(link), routePath)
  );
  const getChildLink = (traverseItem) => {
    if ("link" in traverseItem && traverseItem.link) {
      return traverseItem.link;
    }
    if ("items" in traverseItem) {
      return getChildLink(traverseItem.items[0]);
    }
    return "";
  };
  const findItemByRoutePath = (items, routePath2, originalItems) => {
    for (const item of items) {
      if (withBase8(item.link) === routePath2) {
        return [item];
      }
      if (item.items) {
        const foundItem = findItemByRoutePath(
          item.items,
          routePath2,
          originalItems
        );
        if (foundItem) {
          return foundItem;
        }
      }
    }
    return originalItems;
  };
  const { pages } = siteData2;
  const overviewModules = pages.filter((page) => subFilter(page.routePath));
  let { items: overviewSidebarGroups } = useSidebarData();
  if (overviewSidebarGroups[0].link !== routePath) {
    overviewSidebarGroups = findItemByRoutePath(
      overviewSidebarGroups,
      routePath,
      overviewSidebarGroups
    );
  }
  function normalizeSidebarItem(item, sidebarGroup, frontmatter2) {
    var _a, _b, _c, _d, _e;
    if ("dividerType" in item) {
      return item;
    }
    if (withBase8(item.link) === `${routePath}index` && (frontmatter2 == null ? void 0 : frontmatter2.overview) === true) {
      return false;
    }
    const overviewHeaders = (_d = (_c = (_b = (_a = props == null ? void 0 : props.overviewHeaders) != null ? _a : item.overviewHeaders) != null ? _b : frontmatter2 == null ? void 0 : frontmatter2.overviewHeaders) != null ? _c : sidebarGroup == null ? void 0 : sidebarGroup.overviewHeaders) != null ? _d : [2];
    const pageModule = overviewModules.find(
      (m) => isEqualPath5(m.routePath, withBase8(item.link || ""))
    );
    const link = getChildLink(item);
    return __spreadProps(__spreadValues({}, item), {
      link,
      headers: ((_e = pageModule == null ? void 0 : pageModule.toc) == null ? void 0 : _e.filter(
        (header) => overviewHeaders.some((depth) => header.depth === depth)
      )) || []
    });
  }
  const isSingleFile = (item) => !("items" in item) && "link" in item;
  const groups = customGroups != null ? customGroups : useMemo2(() => {
    const group = overviewSidebarGroups.filter((sidebarGroup) => {
      if ("items" in sidebarGroup && sidebarGroup.items) {
        return sidebarGroup.items.filter((item) => subFilter(getChildLink(item))).length > 0;
      }
      if (isSingleFile(sidebarGroup) && subFilter(getChildLink(sidebarGroup))) {
        return true;
      }
      return false;
    }).map((sidebarGroup) => {
      var _a;
      let items = [];
      if (sidebarGroup == null ? void 0 : sidebarGroup.items) {
        items = (_a = sidebarGroup == null ? void 0 : sidebarGroup.items) == null ? void 0 : _a.map(
          (item) => normalizeSidebarItem(
            item,
            sidebarGroup,
            frontmatter
          )
        ).filter(Boolean);
      } else if (isSingleFile(sidebarGroup)) {
        items = [
          normalizeSidebarItem(
            {
              link: sidebarGroup.link,
              text: sidebarGroup.text || "",
              tag: sidebarGroup.tag,
              _fileKey: sidebarGroup._fileKey,
              overviewHeaders: sidebarGroup.overviewHeaders
            },
            void 0,
            frontmatter
          )
        ];
      }
      return {
        name: sidebarGroup.text || "",
        items
      };
    });
    return group;
  }, [overviewSidebarGroups, routePath, frontmatter]);
  return /* @__PURE__ */ jsxs26("div", { className: "overview-index mx-auto px-8", children: [
    /* @__PURE__ */ jsx43("div", { className: "flex items-center justify-between", children: !title && /* @__PURE__ */ jsx43("h1", { className: "text-3xl leading-10 tracking-tight", children: "Overview" }) }),
    content,
    groups.map((group) => /* @__PURE__ */ jsxs26("div", { className: "mb-16", children: [
      group.name === defaultGroupTitle && groups.length === 1 ? /* @__PURE__ */ jsx43("h2", { style: { paddingTop: 0 } }) : /* @__PURE__ */ jsx43("h2", { children: renderInlineMarkdown(group.name) }),
      /* @__PURE__ */ jsx43("div", { className: index_module_default15.overviewGroups, children: group.items.map((item) => {
        var _a;
        return /* @__PURE__ */ jsxs26("div", { className: index_module_default15.overviewGroup, children: [
          /* @__PURE__ */ jsx43("div", { className: "flex", children: /* @__PURE__ */ jsx43("h3", { style: { marginBottom: 8 }, children: /* @__PURE__ */ jsx43(Link7, { href: normalizeHref7(item.link), children: renderInlineMarkdown(item.text) }) }) }),
          /* @__PURE__ */ jsx43("ul", { className: "list-none", children: (_a = item.headers) == null ? void 0 : _a.map((header) => /* @__PURE__ */ jsx43(
            "li",
            {
              className: `${index_module_default15.overviewGroupLi} ${index_module_default15[`level${header.depth}`]} first:mt-2`,
              children: /* @__PURE__ */ jsx43(Link7, { href: `${normalizeHref7(item.link)}#${header.id}`, children: renderInlineMarkdown(header.text) })
            },
            header.id
          )) })
        ] }, item.link);
      }) })
    ] }, group.name))
  ] });
}

// src/components/PackageManagerTabs/index.tsx
import { Tabs, Tab } from "@theme";

// src/components/PackageManagerTabs/icons/Npm.tsx
import { jsx as jsx44, jsxs as jsxs27 } from "react/jsx-runtime";
function Npm(props) {
  return /* @__PURE__ */ jsxs27(
    "svg",
    __spreadProps(__spreadValues({
      xmlns: "http://www.w3.org/2000/svg",
      width: "1em",
      height: "1em",
      viewBox: "0 0 256 256"
    }, props), {
      children: [
        /* @__PURE__ */ jsx44("path", { fill: "#C12127", d: "M0 256V0h256v256z" }),
        /* @__PURE__ */ jsx44("path", { fill: "#FFF", d: "M48 48h160v160h-32V80h-48v128H48z" })
      ]
    })
  );
}

// src/components/PackageManagerTabs/icons/Yarn.tsx
import { jsx as jsx45, jsxs as jsxs28 } from "react/jsx-runtime";
function Yarn(props) {
  return /* @__PURE__ */ jsx45(
    "svg",
    __spreadProps(__spreadValues({
      xmlns: "http://www.w3.org/2000/svg",
      width: "1em",
      height: "1em",
      viewBox: "0 0 128 128"
    }, props), {
      children: /* @__PURE__ */ jsxs28("g", { fill: "#2c8ebb", children: [
        /* @__PURE__ */ jsx45("path", { d: "M99.24 80.71C94.9 80.76 91.1 83 87.89 85c-6 3.71-9 3.47-9 3.47l-.1-.17c-.41-.67 1.92-6.68-.69-13.84c-2.82-7.83-7.3-9.72-6.94-10.32c1.53-2.59 5.36-6.7 6.89-14.36c.91-4.64.67-12.28-1.39-16.28c-.38-.74-3.78 1.24-3.78 1.24s-3.18-7.09-4.07-7.66c-2.87-1.84-6 7.61-6 7.61a14 14 0 0 0-11.71 4.5a9.64 9.64 0 0 1-3.85 2.27c-.41.14-.91.12-2.15 3.47c-1.9 5.07 3.24 10.81 3.24 10.81s-6.13 4.33-8.4 9.72a24.78 24.78 0 0 0-1.75 11.68s-4.36 3.78-4.64 7.68a12.87 12.87 0 0 0 1.77 7.83a1.94 1.94 0 0 0 2.63.91s-2.9 3.38-.19 4.81c2.47 1.29 6.63 2 8.83-.19c1.6-1.6 1.92-5.17 2.51-6.63c.14-.34.62.57 1.08 1a10 10 0 0 0 1.36 1s-3.9 1.68-2.3 5.51c.53 1.27 2.42 2.08 5.51 2.06c1.15 0 13.76-.72 17.12-1.53a4.33 4.33 0 0 0 2.61-1.46a63 63 0 0 0 15.49-7c4.74-3.09 6.68-3.93 10.51-4.84c3.16-.75 2.95-5.65-1.24-5.58z" }),
        /* @__PURE__ */ jsx45("path", { d: "M64 2a62 62 0 1 0 62 62A62 62 0 0 0 64 2zm37.3 87.83c-3.35.81-4.91 1.44-9.41 4.36a67 67 0 0 1-15.56 7.18a8.71 8.71 0 0 1-3.64 1.77c-3.81.93-16.88 1.63-17.91 1.63h-.24c-4 0-6.27-1.24-7.49-2.54c-3.4 1.7-7.8 1-11-.69a5.55 5.55 0 0 1-3-3.9a6 6 0 0 1 0-2.06a6.66 6.66 0 0 1-.79-1A16.38 16.38 0 0 1 30 84.52c.29-3.73 2.87-7.06 4.55-8.83A28.56 28.56 0 0 1 36.61 64a26.82 26.82 0 0 1 6.82-9c-1.65-2.78-3.33-7.06-1.7-11.42c1.17-3.11 2.13-4.84 4.24-5.58a6.84 6.84 0 0 0 2.51-1.34A17.65 17.65 0 0 1 60.34 31c.19-.48.41-1 .65-1.46c1.6-3.4 3.3-5.31 5.29-6a4.88 4.88 0 0 1 4.4.5c.65.43 1.48 1 3.9 6a4.69 4.69 0 0 1 2.85-.1a3.81 3.81 0 0 1 2.39 1.94c2.47 4.74 2.8 13.19 1.72 18.62a33.8 33.8 0 0 1-5.84 13.31a25.73 25.73 0 0 1 5.77 9.43a25.42 25.42 0 0 1 1.41 10.41A28.7 28.7 0 0 0 86 81.91c3.06-1.89 7.68-4.74 13.19-4.81a6.62 6.62 0 0 1 7 5.7a6.35 6.35 0 0 1-4.89 7.03z" })
      ] })
    })
  );
}

// src/components/PackageManagerTabs/icons/Pnpm.tsx
import { jsx as jsx46, jsxs as jsxs29 } from "react/jsx-runtime";
function Pnpm(props) {
  return /* @__PURE__ */ jsxs29(
    "svg",
    __spreadProps(__spreadValues({
      xmlns: "http://www.w3.org/2000/svg",
      width: "1em",
      height: "1em",
      viewBox: "0 0 128 128"
    }, props), {
      children: [
        /* @__PURE__ */ jsx46(
          "path",
          {
            fill: "#f8ab00",
            d: "M0 .004V40h39.996V.004Zm43.996 0V40h40V.004Zm44.008 0V40H128V.004Zm0 43.996v39.996H128V44Z"
          }
        ),
        /* @__PURE__ */ jsx46(
          "path",
          {
            fill: "#4c4c4c",
            d: "M43.996 44v39.996h40V44ZM0 87.996v40h39.996v-40Zm43.996 0v40h40v-40Zm44.008 0v40H128v-40Z"
          }
        )
      ]
    })
  );
}

// src/components/PackageManagerTabs/icons/Bun.tsx
import { jsx as jsx47, jsxs as jsxs30 } from "react/jsx-runtime";
function Bun(props) {
  return /* @__PURE__ */ jsxs30("svg", __spreadProps(__spreadValues({ id: "Bun", width: "1.2em", height: "1.2em", viewBox: "0 0 80 70" }, props), { children: [
    /* @__PURE__ */ jsx47(
      "path",
      {
        id: "Shadow",
        d: "M71.09,20.74c-.16-.17-.33-.34-.5-.5s-.33-.34-.5-.5-.33-.34-.5-.5-.33-.34-.5-.5-.33-.34-.5-.5-.33-.34-.5-.5-.33-.34-.5-.5A26.46,26.46,0,0,1,75.5,35.7c0,16.57-16.82,30.05-37.5,30.05-11.58,0-21.94-4.23-28.83-10.86l.5.5.5.5.5.5.5.5.5.5.5.5.5.5C19.55,65.3,30.14,69.75,42,69.75c20.68,0,37.5-13.48,37.5-30C79.5,32.69,76.46,26,71.09,20.74Z"
      }
    ),
    /* @__PURE__ */ jsxs30("g", { id: "Body", children: [
      /* @__PURE__ */ jsx47(
        "path",
        {
          id: "Background",
          d: "M73,35.7c0,15.21-15.67,27.54-35,27.54S3,50.91,3,35.7C3,26.27,9,17.94,18.22,13S33.18,3,38,3s8.94,4.13,19.78,10C67,17.94,73,26.27,73,35.7Z",
          style: { fill: "#fbf0df" }
        }
      ),
      /* @__PURE__ */ jsx47(
        "path",
        {
          id: "Bottom_Shadow",
          "data-name": "Bottom Shadow",
          d: "M73,35.7a21.67,21.67,0,0,0-.8-5.78c-2.73,33.3-43.35,34.9-59.32,24.94A40,40,0,0,0,38,63.24C57.3,63.24,73,50.89,73,35.7Z",
          style: { fill: "#f6dece" }
        }
      ),
      /* @__PURE__ */ jsx47(
        "path",
        {
          id: "Light_Shine",
          "data-name": "Light Shine",
          d: "M24.53,11.17C29,8.49,34.94,3.46,40.78,3.45A9.29,9.29,0,0,0,38,3c-2.42,0-5,1.25-8.25,3.13-1.13.66-2.3,1.39-3.54,2.15-2.33,1.44-5,3.07-8,4.7C8.69,18.13,3,26.62,3,35.7c0,.4,0,.8,0,1.19C9.06,15.48,20.07,13.85,24.53,11.17Z",
          style: { fill: "#fffefc" }
        }
      ),
      /* @__PURE__ */ jsx47(
        "path",
        {
          id: "Top",
          d: "M35.12,5.53A16.41,16.41,0,0,1,29.49,18c-.28.25-.06.73.3.59,3.37-1.31,7.92-5.23,6-13.14C35.71,5,35.12,5.12,35.12,5.53Zm2.27,0A16.24,16.24,0,0,1,39,19c-.12.35.31.65.55.36C41.74,16.56,43.65,11,37.93,5,37.64,4.74,37.19,5.14,37.39,5.49Zm2.76-.17A16.42,16.42,0,0,1,47,17.12a.33.33,0,0,0,.65.11c.92-3.49.4-9.44-7.17-12.53C40.08,4.54,39.82,5.08,40.15,5.32ZM21.69,15.76a16.94,16.94,0,0,0,10.47-9c.18-.36.75-.22.66.18-1.73,8-7.52,9.67-11.12,9.45C21.32,16.4,21.33,15.87,21.69,15.76Z",
          style: { fill: "#ccbea7", fillRule: "evenodd" }
        }
      ),
      /* @__PURE__ */ jsx47(
        "path",
        {
          id: "Outline",
          d: "M38,65.75C17.32,65.75.5,52.27.5,35.7c0-10,6.18-19.33,16.53-24.92,3-1.6,5.57-3.21,7.86-4.62,1.26-.78,2.45-1.51,3.6-2.19C32,1.89,35,.5,38,.5s5.62,1.2,8.9,3.14c1,.57,2,1.19,3.07,1.87,2.49,1.54,5.3,3.28,9,5.27C69.32,16.37,75.5,25.69,75.5,35.7,75.5,52.27,58.68,65.75,38,65.75ZM38,3c-2.42,0-5,1.25-8.25,3.13-1.13.66-2.3,1.39-3.54,2.15-2.33,1.44-5,3.07-8,4.7C8.69,18.13,3,26.62,3,35.7,3,50.89,18.7,63.25,38,63.25S73,50.89,73,35.7C73,26.62,67.31,18.13,57.78,13,54,11,51.05,9.12,48.66,7.64c-1.09-.67-2.09-1.29-3-1.84C42.63,4,40.42,3,38,3Z"
        }
      )
    ] }),
    /* @__PURE__ */ jsxs30("g", { id: "Mouth", children: [
      /* @__PURE__ */ jsx47("g", { id: "Background-2", "data-name": "Background", children: /* @__PURE__ */ jsx47(
        "path",
        {
          d: "M45.05,43a8.93,8.93,0,0,1-2.92,4.71,6.81,6.81,0,0,1-4,1.88A6.84,6.84,0,0,1,34,47.71,8.93,8.93,0,0,1,31.12,43a.72.72,0,0,1,.8-.81H44.26A.72.72,0,0,1,45.05,43Z",
          style: { fill: "#b71422" }
        }
      ) }),
      /* @__PURE__ */ jsxs30("g", { id: "Tongue", children: [
        /* @__PURE__ */ jsx47(
          "path",
          {
            id: "Background-3",
            "data-name": "Background",
            d: "M34,47.79a6.91,6.91,0,0,0,4.12,1.9,6.91,6.91,0,0,0,4.11-1.9,10.63,10.63,0,0,0,1-1.07,6.83,6.83,0,0,0-4.9-2.31,6.15,6.15,0,0,0-5,2.78C33.56,47.4,33.76,47.6,34,47.79Z",
            style: { fill: "#ff6164" }
          }
        ),
        /* @__PURE__ */ jsx47(
          "path",
          {
            id: "Outline-2",
            "data-name": "Outline",
            d: "M34.16,47a5.36,5.36,0,0,1,4.19-2.08,6,6,0,0,1,4,1.69c.23-.25.45-.51.66-.77a7,7,0,0,0-4.71-1.93,6.36,6.36,0,0,0-4.89,2.36A9.53,9.53,0,0,0,34.16,47Z"
          }
        )
      ] }),
      /* @__PURE__ */ jsx47(
        "path",
        {
          id: "Outline-3",
          "data-name": "Outline",
          d: "M38.09,50.19a7.42,7.42,0,0,1-4.45-2,9.52,9.52,0,0,1-3.11-5.05,1.2,1.2,0,0,1,.26-1,1.41,1.41,0,0,1,1.13-.51H44.26a1.44,1.44,0,0,1,1.13.51,1.19,1.19,0,0,1,.25,1h0a9.52,9.52,0,0,1-3.11,5.05A7.42,7.42,0,0,1,38.09,50.19Zm-6.17-7.4c-.16,0-.2.07-.21.09a8.29,8.29,0,0,0,2.73,4.37A6.23,6.23,0,0,0,38.09,49a6.28,6.28,0,0,0,3.65-1.73,8.3,8.3,0,0,0,2.72-4.37.21.21,0,0,0-.2-.09Z"
        }
      )
    ] }),
    /* @__PURE__ */ jsxs30("g", { id: "Face", children: [
      /* @__PURE__ */ jsx47(
        "ellipse",
        {
          id: "Right_Blush",
          "data-name": "Right Blush",
          cx: "53.22",
          cy: "40.18",
          rx: "5.85",
          ry: "3.44",
          style: {
            fill: "#febbd0"
          }
        }
      ),
      /* @__PURE__ */ jsx47(
        "ellipse",
        {
          id: "Left_Bluch",
          "data-name": "Left Bluch",
          cx: "22.95",
          cy: "40.18",
          rx: "5.85",
          ry: "3.44",
          style: { fill: "#febbd0" }
        }
      ),
      /* @__PURE__ */ jsx47(
        "path",
        {
          id: "Eyes",
          d: "M25.7,38.8a5.51,5.51,0,1,0-5.5-5.51A5.51,5.51,0,0,0,25.7,38.8Zm24.77,0A5.51,5.51,0,1,0,45,33.29,5.5,5.5,0,0,0,50.47,38.8Z",
          style: { fillRule: "evenodd" }
        }
      ),
      /* @__PURE__ */ jsx47(
        "path",
        {
          id: "Iris",
          d: "M24,33.64a2.07,2.07,0,1,0-2.06-2.07A2.07,2.07,0,0,0,24,33.64Zm24.77,0a2.07,2.07,0,1,0-2.06-2.07A2.07,2.07,0,0,0,48.75,33.64Z",
          style: {
            fill: "#fff",
            fillRule: "evenodd"
          }
        }
      )
    ] })
  ] }));
}

// src/components/PackageManagerTabs/index.tsx
import { Tab as Tab2 } from "@theme";
import { jsx as jsx48, jsxs as jsxs31 } from "react/jsx-runtime";
function normalizeCommand(command) {
  if (!(command == null ? void 0 : command.includes("install"))) {
    return command;
  }
  const pureCommand = command.split(" ").filter((item) => !item.startsWith("-") && !item.startsWith("--")).join(" ");
  if (pureCommand === "yarn install" || pureCommand === "bun install") {
    return command;
  }
  return command.replace("install", "add");
}
function PackageManagerTabs({
  command,
  additionalTabs = []
}) {
  let commandInfo;
  const packageMangerToIcon = {
    npm: /* @__PURE__ */ jsx48(Npm, {}),
    yarn: /* @__PURE__ */ jsx48(Yarn, {}),
    pnpm: /* @__PURE__ */ jsx48(Pnpm, {}),
    bun: /* @__PURE__ */ jsx48(Bun, {})
  };
  additionalTabs.forEach((tab) => {
    packageMangerToIcon[tab.tool] = tab.icon;
  });
  if (typeof command === "string") {
    commandInfo = {
      npm: `npm ${command}`,
      yarn: `yarn ${command}`,
      pnpm: `pnpm ${command}`,
      bun: `bun ${command}`
    };
    additionalTabs.forEach((tab) => {
      commandInfo[tab.tool] = `${tab.tool} ${command}`;
    });
  } else {
    commandInfo = command;
  }
  commandInfo.yarn && (commandInfo.yarn = normalizeCommand(commandInfo.yarn));
  commandInfo.bun && (commandInfo.bun = normalizeCommand(commandInfo.bun));
  return /* @__PURE__ */ jsx48(
    Tabs,
    {
      groupId: "package.manager",
      values: Object.entries(commandInfo).map(([key]) => /* @__PURE__ */ jsxs31(
        "div",
        {
          style: {
            display: "flex",
            alignItems: "center",
            fontSize: 15
          },
          children: [
            packageMangerToIcon[key],
            /* @__PURE__ */ jsx48("span", { style: { marginLeft: 6, marginBottom: 2 }, children: key })
          ]
        },
        key
      )),
      children: Object.entries(commandInfo).map(([key, value]) => /* @__PURE__ */ jsx48(Tab, { children: /* @__PURE__ */ jsx48(Pre, { children: /* @__PURE__ */ jsx48(Code, { className: "language-js", codeHighlighter: "prism", children: value }) }) }, key))
    }
  );
}

// src/components/PrevNextPage/index.tsx
import { Link as Link8 } from "@theme";

// src/components/PrevNextPage/index.module.scss
var index_module_default16 = { "pager-link": "pager-link_9b9a7", "pagerLink": "pager-link_9b9a7", "title": "title_9b9a7", "next": "next_9b9a7", "desc": "desc_9b9a7" };

// src/components/PrevNextPage/index.tsx
import { jsx as jsx49, jsxs as jsxs32 } from "react/jsx-runtime";
function PrevNextPage2(props) {
  const { type, text, href } = props;
  const { prevPageText = "Previous Page", nextPageText = "Next page" } = useLocaleSiteData();
  const pageText = type === "prev" ? prevPageText : nextPageText;
  const linkClassName = type === "prev" ? index_module_default16.pagerLink : `${index_module_default16.pagerLink} ${index_module_default16.next}`;
  return /* @__PURE__ */ jsxs32(Link8, { href, className: linkClassName, children: [
    /* @__PURE__ */ jsx49("span", { className: index_module_default16.desc, children: pageText }),
    /* @__PURE__ */ jsx49("span", { className: index_module_default16.title, children: text })
  ] });
}

// src/components/ScrollToTop/index.tsx
import { useState as useState17, useEffect as useEffect14 } from "react";

// src/components/ScrollToTop/index.module.scss
var index_module_default17 = { "scroll-to-top": "scroll-to-top_1a167", "scrollToTop": "scroll-to-top_1a167", "entered": "entered_1a167" };

// src/components/ScrollToTop/index.tsx
import { jsx as jsx50 } from "react/jsx-runtime";
function ScrollToTop2() {
  const [isVisible, setIsVisible] = useState17(false);
  const handleScroll = () => {
    const scrollTop = window.scrollY || document.documentElement.scrollTop;
    setIsVisible(scrollTop > 0);
  };
  const scrollToTop = () => {
    window.scrollTo({
      top: 0,
      behavior: "smooth"
    });
  };
  useEffect14(() => {
    window.addEventListener("scroll", handleScroll);
  }, []);
  return /* @__PURE__ */ jsx50(
    "button",
    {
      className: `${index_module_default17.scrollToTop} ${isVisible ? index_module_default17.entered : ""}`,
      onClick: scrollToTop,
      children: /* @__PURE__ */ jsx50(
        "svg",
        {
          xmlns: "http://www.w3.org/2000/svg",
          viewBox: "0 0 24 24",
          fill: "currentColor",
          className: "w-6 h-6",
          children: /* @__PURE__ */ jsx50(
            "path",
            {
              fillRule: "evenodd",
              d: "M11.47 2.47a.75.75 0 0 1 1.06 0l7.5 7.5a.75.75 0 1 1-1.06 1.06l-6.22-6.22V21a.75.75 0 0 1-1.5 0V4.81l-6.22 6.22a.75.75 0 1 1-1.06-1.06l7.5-7.5Z",
              clipRule: "evenodd"
            }
          )
        }
      )
    }
  );
}

// src/components/Search/index.tsx
import { useEffect as useEffect17, useState as useState20 } from "react";
import SearchSvg2 from "@theme-assets/search";

// src/components/Search/index.module.scss
var index_module_default18 = { "mask": "mask_6e282", "modal": "modal_6e282", "inputForm": "inputForm_6e282", "input": "input_6e282", "close": "close_6e282", "searchHits": "searchHits_6e282", "groupTitle": "groupTitle_6e282", "navSearchButton": "navSearchButton_6e282", "searchWord": "searchWord_6e282", "suggestItem": "suggestItem_6e282", "suggestItemContainer": "suggestItemContainer_6e282", "contentWrapper": "contentWrapper_6e282", "mark": "mark_6e282", "titleForContent": "titleForContent_6e282", "actionIcon": "actionIcon_6e282", "current": "current_6e282", "tabClassName": "tabClassName_6e282", "mobileNavSearchButton": "mobileNavSearchButton_6e282" };

// src/components/Search/SearchPanel.tsx
import { usePageData as usePageData21 } from "@rspress/runtime";
import { isProduction as isProduction2 } from "@rspress/shared";
import { debounce, groupBy } from "lodash-es";
import { useEffect as useEffect16, useMemo as useMemo4, useRef as useRef9, useState as useState19 } from "react";
import { createPortal } from "react-dom";
import * as userSearchHooks from "virtual-search-hooks";
import CloseSvg from "@theme-assets/close";
import LoadingSvg from "@theme-assets/loading";
import SearchSvg from "@theme-assets/search";

// src/components/Tabs/index.tsx
import {
  Children,
  useMemo as useMemo3,
  useState as useState18,
  useEffect as useEffect15,
  useContext as useContext2,
  forwardRef,
  isValidElement
} from "react";

// src/components/Tabs/index.module.scss
var index_module_default19 = { "container": "container_fa768", "tab-list": "tab-list_fa768", "tabList": "tab-list_fa768", "tab": "tab_fa768", "not-selected": "not-selected_fa768", "notSelected": "not-selected_fa768", "selected": "selected_fa768", "no-scrollbar": "no-scrollbar_fa768", "noScrollbar": "no-scrollbar_fa768" };

// src/components/Tabs/index.tsx
import { jsx as jsx51, jsxs as jsxs33 } from "react/jsx-runtime";
function isTabItem(item) {
  if (item && typeof item === "object" && "label" in item) {
    return true;
  }
  return false;
}
var renderTab = (item) => {
  if (isTabItem(item)) {
    return item.label || item.value;
  }
  return item;
};
var groupIdPrefix = "rspress.tabs.";
var Tabs2 = forwardRef(
  (props, ref) => {
    const {
      values,
      defaultValue,
      onChange,
      children: rawChildren,
      groupId,
      tabPosition = "left",
      tabContainerClassName
    } = props;
    const children = Children.toArray(rawChildren).filter(
      (child) => !(typeof child === "string" && child.trim() === "")
    );
    let tabValues = values || [];
    if (tabValues.length === 0) {
      tabValues = Children.map(children, (child) => {
        var _a, _b, _c;
        if (isValidElement(child)) {
          return {
            label: (_a = child.props) == null ? void 0 : _a.label,
            value: ((_b = child.props) == null ? void 0 : _b.value) || ((_c = child.props) == null ? void 0 : _c.label)
          };
        }
        return {
          label: void 0,
          value: void 0
        };
      });
    }
    const { tabData, setTabData } = useContext2(TabDataContext);
    const [activeIndex, setActiveIndex] = useState18(() => {
      if (defaultValue === void 0) {
        return 0;
      }
      return tabValues.findIndex((item) => {
        if (typeof item === "string") {
          return item === defaultValue;
        }
        if (item && typeof item === "object" && "value" in item) {
          return item.value === defaultValue;
        }
        return false;
      });
    });
    const [storageIndex, setStorageIndex] = useStorageValue(
      `${groupIdPrefix}${groupId}`,
      activeIndex
    );
    const syncIndex = useMemo3(() => {
      if (groupId) {
        if (tabData[groupId] !== void 0) {
          return tabData[groupId];
        }
        return parseInt(storageIndex);
      }
      return activeIndex;
    }, [tabData[groupId]]);
    useEffect15(() => {
      if (groupId) {
        const correctIndex = parseInt(storageIndex);
        if (syncIndex !== correctIndex) {
          setTabData(__spreadProps(__spreadValues({}, tabData), { [groupId]: correctIndex }));
        }
      }
    }, [storageIndex]);
    const currentIndex = groupId ? syncIndex : activeIndex;
    return /* @__PURE__ */ jsxs33("div", { className: index_module_default19.container, ref, children: [
      /* @__PURE__ */ jsx51("div", { className: tabContainerClassName, children: tabValues.length ? /* @__PURE__ */ jsx51(
        "div",
        {
          className: `${index_module_default19.tabList} ${index_module_default19.noScrollbar}`,
          style: {
            justifyContent: tabPosition === "center" ? "center" : "flex-start"
          },
          children: tabValues.map((item, index) => {
            return /* @__PURE__ */ jsx51(
              "div",
              {
                className: `${index_module_default19.tab} ${currentIndex === index ? index_module_default19.selected : index_module_default19.notSelected}`,
                onClick: () => {
                  onChange == null ? void 0 : onChange(index);
                  if (groupId) {
                    setTabData(__spreadProps(__spreadValues({}, tabData), { [groupId]: index }));
                    setStorageIndex(index);
                  } else {
                    setActiveIndex(index);
                  }
                },
                children: renderTab(item)
              },
              index
            );
          })
        }
      ) : null }),
      /* @__PURE__ */ jsx51("div", { children: Children.toArray(children)[currentIndex] })
    ] });
  }
);
function Tab3(_a) {
  var _b = _a, {
    children
  } = _b, props = __objRest(_b, [
    "children"
  ]);
  return /* @__PURE__ */ jsx51("div", __spreadProps(__spreadValues({}, props), { className: "rounded px-2", children }));
}

// src/components/Search/NoSearchResult.tsx
import Empty from "@theme-assets/empty";
import { jsx as jsx52, jsxs as jsxs34 } from "react/jsx-runtime";
function NoSearchResult({ query }) {
  return /* @__PURE__ */ jsxs34("div", { className: "flex flex-col items-center pt-8 pb-2", children: [
    /* @__PURE__ */ jsx52(SvgWrapper, { icon: Empty, className: "mb-4 opacity-80" }),
    /* @__PURE__ */ jsxs34("p", { className: "mb-2", children: [
      "No results for ",
      /* @__PURE__ */ jsxs34("b", { children: [
        '"',
        query,
        '"'
      ] }),
      "."
    ] }),
    /* @__PURE__ */ jsx52("p", { children: "Please try again with a different keyword." })
  ] });
}

// src/components/Search/SuggestItem.tsx
import { isProduction } from "@rspress/runtime";
import FileSvg from "@theme-assets/file";
import JumpSvg from "@theme-assets/jump";
import HeaderSvg from "@theme-assets/header";
import TitleSvg from "@theme-assets/title";
import { useRef as useRef8 } from "react";
import { Fragment as Fragment10, jsx as jsx53, jsxs as jsxs35 } from "react/jsx-runtime";
var ICON_MAP = {
  title: TitleSvg,
  header: HeaderSvg,
  content: FileSvg
};
function SuggestItem({
  suggestion,
  closeSearch,
  isCurrent,
  setCurrentSuggestionIndex,
  inCurrentDocIndex,
  scrollTo
}) {
  var _a, _b;
  const HitIcon = ICON_MAP[suggestion.type];
  const link = inCurrentDocIndex && !isProduction() ? removeDomain(suggestion.link) : suggestion.link;
  const selfRef = useRef8(null);
  if (isCurrent) {
    scrollTo((_a = selfRef == null ? void 0 : selfRef.current) == null ? void 0 : _a.offsetTop, (_b = selfRef == null ? void 0 : selfRef.current) == null ? void 0 : _b.offsetHeight);
  }
  const getHighlightedFragments = (rawText, highlights) => {
    const fragmentList = [];
    let lastIndex = 0;
    for (const highlightInfo of highlights) {
      const { start, length } = highlightInfo;
      const prefix = rawText.slice(lastIndex, start);
      const queryStr = getSlicedStrByByteLength(rawText, start, length);
      fragmentList.push(prefix);
      fragmentList.push(
        /* @__PURE__ */ jsx53("span", { className: index_module_default18.mark, children: queryStr }, start)
      );
      lastIndex = start + queryStr.length;
    }
    if (lastIndex < rawText.length) {
      fragmentList.push(rawText.slice(lastIndex));
    }
    return fragmentList;
  };
  const renderHeaderMatch = () => {
    if (suggestion.type === "header" || suggestion.type === "title") {
      const { header, highlightInfoList } = suggestion;
      return /* @__PURE__ */ jsx53("div", { className: "font-medium", children: getHighlightedFragments(header, highlightInfoList) });
    }
    return /* @__PURE__ */ jsx53("div", { className: "font-medium", children: suggestion.header });
  };
  const renderStatementMatch = () => {
    if (suggestion.type !== "content") {
      return /* @__PURE__ */ jsx53("div", {});
    }
    const { statement, highlightInfoList } = suggestion;
    return /* @__PURE__ */ jsx53("div", { className: "text-sm text-gray-light w-full", children: getHighlightedFragments(statement, highlightInfoList) });
  };
  let hitContent = null;
  switch (suggestion.type) {
    case "title":
    case "header":
      hitContent = renderHeaderMatch();
      break;
    case "content":
      hitContent = /* @__PURE__ */ jsxs35(Fragment10, { children: [
        renderStatementMatch(),
        /* @__PURE__ */ jsx53("p", { className: index_module_default18.titleForContent, children: suggestion.title })
      ] });
      break;
    default:
      break;
  }
  return /* @__PURE__ */ jsx53(
    "li",
    {
      className: `${index_module_default18.suggestItem} ${isCurrent ? index_module_default18.current : ""}`,
      onMouseEnter: setCurrentSuggestionIndex,
      ref: selfRef,
      children: /* @__PURE__ */ jsx53(
        "a",
        {
          href: link,
          onClick: (e) => {
            closeSearch();
            e.stopPropagation();
          },
          target: inCurrentDocIndex ? "_self" : "_blank",
          children: /* @__PURE__ */ jsxs35("div", { className: index_module_default18.suggestItemContainer, children: [
            /* @__PURE__ */ jsx53("div", { className: index_module_default18.hitIcon, children: /* @__PURE__ */ jsx53(SvgWrapper, { icon: HitIcon }) }),
            /* @__PURE__ */ jsx53("div", { className: index_module_default18.contentWrapper, children: /* @__PURE__ */ jsx53("span", { children: hitContent }) }),
            /* @__PURE__ */ jsx53("div", { className: index_module_default18.actionIcon, children: /* @__PURE__ */ jsx53(SvgWrapper, { icon: JumpSvg }) })
          ] })
        }
      )
    },
    suggestion.link
  );
}

// src/components/Search/SearchPanel.tsx
import { Fragment as Fragment11, jsx as jsx54, jsxs as jsxs36 } from "react/jsx-runtime";
var KEY_CODE = {
  ARROW_UP: "ArrowUp",
  ARROW_DOWN: "ArrowDown",
  ENTER: "Enter",
  SEARCH: "KeyK",
  ESC: "Escape"
};
function SearchPanel({ focused, setFocused }) {
  const [query, setQuery] = useState19("");
  const [searchResult, setSearchResult] = useState19([]);
  const searchInputRef = useRef9(null);
  const [initing, setIniting] = useState19(true);
  const [isSearching, setIsSearching] = useState19(false);
  const [currentSuggestionIndex, setCurrentSuggestionIndex] = useState19(0);
  const pageSearcherRef = useRef9(null);
  const pageSearcherConfigRef = useRef9(null);
  const searchResultRef = useRef9(null);
  const searchResultTabRef = useRef9(null);
  const [canScroll, setCanScroll] = useState19(false);
  const scrollTo = (offsetTop, offsetHeight) => {
    var _a, _b, _c, _d, _e;
    if (canScroll) {
      const scrollDown = offsetTop + offsetHeight - ((_a = searchResultRef == null ? void 0 : searchResultRef.current) == null ? void 0 : _a.offsetHeight) - (searchResult.length === 1 ? 50 : -10);
      if (scrollDown > ((_b = searchResultRef == null ? void 0 : searchResultRef.current) == null ? void 0 : _b.scrollTop)) {
        (_c = searchResultRef == null ? void 0 : searchResultRef.current) == null ? void 0 : _c.scrollTo({
          top: scrollDown
        });
      }
      const scrollUp = searchResult.length === 1 ? offsetTop - 70 : offsetTop - 10;
      if (scrollUp < ((_d = searchResultRef == null ? void 0 : searchResultRef.current) == null ? void 0 : _d.scrollTop)) {
        (_e = searchResultRef == null ? void 0 : searchResultRef.current) == null ? void 0 : _e.scrollTo({
          top: scrollUp
        });
      }
    }
  };
  const {
    siteData: siteData2,
    page: { lang, version }
  } = usePageData21();
  const { sidebar, searchPlaceholderText = "Search Docs" } = useLocaleSiteData();
  const { search, title: siteTitle } = siteData2;
  const versionedSearch = search && search.mode !== "remote" && search.versioned;
  const DEFAULT_RESULT = [
    { group: siteTitle, result: [], renderType: "default" /* Default */ }
  ];
  const [currentSuggestions, setCurrentSuggestions] = useState19([]);
  const [currentRenderType, setCurrentRenderType] = useState19(
    "default" /* Default */
  );
  const extractGroupName = (link) => getSidebarGroupData(sidebar, link).group;
  function initPageSearcher() {
    return __async(this, null, function* () {
      var _a, _b;
      if (search === false) {
        return;
      }
      const pageSearcherConfig = {
        currentLang: lang,
        currentVersion: version,
        extractGroupName
      };
      const pageSearcher = new PageSearcher(__spreadValues(__spreadValues({
        indexName: siteTitle
      }, search), pageSearcherConfig));
      pageSearcherRef.current = pageSearcher;
      pageSearcherConfigRef.current = pageSearcherConfig;
      yield pageSearcherRef.current.init();
      setIniting(false);
      const query2 = (_a = searchInputRef.current) == null ? void 0 : _a.value;
      if (query2) {
        const matched = yield (_b = pageSearcherRef.current) == null ? void 0 : _b.match(query2);
        setSearchResult(matched || DEFAULT_RESULT);
        setIsSearching(false);
      }
    });
  }
  useEffect16(() => {
    const onKeyDown = (e) => {
      switch (e.code) {
        case KEY_CODE.SEARCH:
          if (e.ctrlKey || e.metaKey) {
            e.preventDefault();
            setFocused(!focused);
          }
          break;
        case KEY_CODE.ARROW_DOWN:
          if (focused) {
            e.preventDefault();
            if (currentSuggestions && currentRenderType === "default" /* Default */) {
              setCanScroll(true);
              setCurrentSuggestionIndex(
                (currentSuggestionIndex + 1) % currentSuggestions.length
              );
            }
          }
          break;
        case KEY_CODE.ARROW_UP:
          if (focused) {
            e.preventDefault();
            if (currentRenderType === "default" /* Default */) {
              const currentSuggestionsLength = currentSuggestions.length;
              setCanScroll(true);
              setCurrentSuggestionIndex(
                (currentSuggestionIndex - 1 + currentSuggestionsLength) % currentSuggestionsLength
              );
            }
          }
          break;
        case KEY_CODE.ENTER:
          if (currentSuggestionIndex >= 0 && currentRenderType === "default" /* Default */) {
            const flatSuggestions = [].concat(
              ...Object.values(normalizeSuggestions(currentSuggestions))
            );
            const suggestion = flatSuggestions[currentSuggestionIndex];
            const isCurrent = currentSuggestions === searchResult[0].result;
            if (isCurrent) {
              window.location.href = isProduction2() ? suggestion.link : removeDomain(suggestion.link);
              setFocused(false);
            } else {
              window.open(suggestion.link);
            }
          }
          break;
        case KEY_CODE.ESC:
          setFocused(false);
          break;
        default:
          break;
      }
    };
    document.addEventListener("keydown", onKeyDown);
    return () => {
      document.removeEventListener("keydown", onKeyDown);
    };
  }, [
    setCurrentSuggestionIndex,
    setFocused,
    currentSuggestions,
    currentSuggestionIndex
  ]);
  useEffect16(() => {
    if (focused) {
      setSearchResult(DEFAULT_RESULT);
      if (!pageSearcherRef.current) {
        initPageSearcher();
      }
    } else {
      setQuery("");
    }
  }, [focused]);
  useEffect16(() => {
    var _a;
    const { currentLang, currentVersion } = (_a = pageSearcherConfigRef.current) != null ? _a : {};
    const isLangChanged = lang !== currentLang;
    const isVersionChanged = versionedSearch && version !== currentVersion;
    if (!initing && (isLangChanged || isVersionChanged)) {
      initPageSearcher();
    }
  }, [lang, version, versionedSearch]);
  const handleQueryChangedImpl = (value) => __async(this, null, function* () {
    var _a;
    let newQuery = value;
    setQuery(newQuery);
    if (search && search.mode === "remote" && search.searchLoading) {
      setIsSearching(true);
    }
    if (newQuery) {
      const searchResult2 = [];
      if (userSearchHooks.beforeSearch) {
        const transformedQuery = yield userSearchHooks.beforeSearch(newQuery);
        if (transformedQuery) {
          newQuery = transformedQuery;
        }
      }
      const defaultSearchResult = yield (_a = pageSearcherRef.current) == null ? void 0 : _a.match(newQuery);
      if (defaultSearchResult) {
        searchResult2.push(...defaultSearchResult);
      }
      if (userSearchHooks.onSearch) {
        const customSearchResult = yield userSearchHooks.onSearch(
          newQuery,
          searchResult2
        );
        if (customSearchResult) {
          searchResult2.push(
            ...customSearchResult.map(
              (item) => __spreadValues({
                renderType: "custom" /* Custom */
              }, item)
            )
          );
        }
      }
      setSearchResult(searchResult2 || DEFAULT_RESULT);
      setIsSearching(false);
      if (userSearchHooks.afterSearch) {
        yield userSearchHooks.afterSearch(newQuery, searchResult2);
      }
      if (searchResult2.length > 0) {
        setCurrentSuggestions(
          searchResult2[0].result
        );
      }
    }
  });
  const handleQueryChange = useMemo4(
    () => debounce(handleQueryChangedImpl, 150),
    []
  );
  const normalizeSuggestions = (suggestions) => groupBy(suggestions, "group");
  let accumulateIndex = -1;
  const renderSearchResult = (result, searchOptions, isSearching2) => {
    if (result.length === 1) {
      const currentSearchResult = result[0].result;
      if (currentSearchResult.length === 0 && !isSearching2) {
        return /* @__PURE__ */ jsx54(NoSearchResult, { query });
      }
      return /* @__PURE__ */ jsx54("div", { ref: searchResultTabRef, children: renderSearchResultItem(currentSearchResult, query, isSearching2) });
    }
    const tabValues = result.map((item) => {
      if (!searchOptions || searchOptions.mode !== "remote") {
        return item.group;
      }
      const indexItem = normalizeSearchIndexes(
        searchOptions.searchIndexes || []
      ).find((indexInfo) => indexInfo.value === item.group);
      return indexItem.label;
    });
    return /* @__PURE__ */ jsx54(
      Tabs2,
      {
        values: tabValues,
        tabContainerClassName: index_module_default18.tabClassName,
        onChange: (index) => {
          setCurrentSuggestions(
            result[index].result
          );
          setCurrentSuggestionIndex(0);
          setCurrentRenderType(result[index].renderType);
        },
        ref: searchResultTabRef,
        children: result.map((item) => /* @__PURE__ */ jsxs36(Tab3, { children: [
          item.renderType === "default" /* Default */ && renderSearchResultItem(item.result, query, isSearching2),
          item.renderType === "custom" /* Custom */ && userSearchHooks.render(item.result)
        ] }, item.group))
      }
    );
  };
  const renderSearchResultItem = (suggestionList, query2, isSearching2) => {
    if (isSearching2) {
      return /* @__PURE__ */ jsx54("div", { className: "flex flex-col items-center", children: /* @__PURE__ */ jsx54(SvgWrapper, { icon: LoadingSvg, className: "m-8 opacity-80" }) });
    }
    if (suggestionList.length === 0 && !initing) {
      return /* @__PURE__ */ jsx54(NoSearchResult, { query: query2 });
    }
    const normalizedSuggestions = normalizeSuggestions(suggestionList);
    return /* @__PURE__ */ jsx54("ul", { className: index_module_default18.suggestList, children: Object.keys(normalizedSuggestions).map((group) => {
      const groupSuggestions = normalizedSuggestions[group] || [];
      return /* @__PURE__ */ jsx54("li", { children: /* @__PURE__ */ jsx54("ul", { className: "pb-2", children: groupSuggestions.map((suggestion) => {
        accumulateIndex++;
        const suggestionIndex = accumulateIndex;
        return /* @__PURE__ */ jsx54(
          SuggestItem,
          {
            suggestion,
            isCurrent: suggestionIndex === currentSuggestionIndex,
            setCurrentSuggestionIndex: () => {
              setCanScroll(false);
              setCurrentSuggestionIndex(suggestionIndex);
            },
            closeSearch: () => setFocused(false),
            inCurrentDocIndex: currentSuggestions === searchResult[0].result,
            scrollTo
          },
          `${suggestion.title}-${suggestionIndex}`
        );
      }) }) }, group);
    }) });
  };
  return /* @__PURE__ */ jsx54(Fragment11, { children: focused && createPortal(
    /* @__PURE__ */ jsx54("div", { className: index_module_default18.mask, onClick: () => setFocused(false), children: /* @__PURE__ */ jsxs36(
      "div",
      {
        className: `${index_module_default18.modal}`,
        onClick: (e) => {
          setFocused(true);
          e.stopPropagation();
        },
        children: [
          /* @__PURE__ */ jsxs36("div", { className: "flex items-center", children: [
            /* @__PURE__ */ jsxs36("div", { className: index_module_default18.inputForm, children: [
              /* @__PURE__ */ jsx54("label", { children: /* @__PURE__ */ jsx54(SvgWrapper, { icon: SearchSvg }) }),
              /* @__PURE__ */ jsx54(
                "input",
                {
                  className: index_module_default18.input,
                  ref: searchInputRef,
                  placeholder: searchPlaceholderText,
                  "aria-label": "Search",
                  autoComplete: "off",
                  autoFocus: true,
                  onChange: (e) => handleQueryChange(e.target.value)
                }
              ),
              /* @__PURE__ */ jsx54("label", { children: /* @__PURE__ */ jsx54(
                SvgWrapper,
                {
                  icon: CloseSvg,
                  className: index_module_default18.close,
                  onClick: (e) => {
                    if (searchInputRef.current) {
                      e.stopPropagation();
                      if (!query) {
                        setFocused(false);
                      } else {
                        searchInputRef.current.value = "";
                        setQuery("");
                      }
                    }
                  }
                }
              ) })
            ] }),
            /* @__PURE__ */ jsx54(
              "h2",
              {
                className: "text-brand ml-2 sm:hidden cursor-pointer",
                onClick: (e) => {
                  e.stopPropagation();
                  setFocused(false);
                },
                children: "Cancel"
              }
            )
          ] }),
          query && !initing ? /* @__PURE__ */ jsx54(
            "div",
            {
              className: `${index_module_default18.searchHits}  rspress-scrollbar`,
              ref: searchResultRef,
              children: renderSearchResult(searchResult, search, isSearching)
            }
          ) : null
        ]
      }
    ) }),
    document.getElementById("search-container")
  ) });
}

// src/components/Search/index.tsx
import { Fragment as Fragment12, jsx as jsx55, jsxs as jsxs37 } from "react/jsx-runtime";
function Search2() {
  const [focused, setFocused] = useState20(false);
  const [metaKey, setMetaKey] = useState20(null);
  const { searchPlaceholderText = "Search Docs" } = useLocaleSiteData();
  useEffect17(() => {
    setMetaKey(
      /(Mac|iPhone|iPod|iPad)/i.test(navigator.platform) ? "⌘" : "Ctrl"
    );
  }, []);
  return /* @__PURE__ */ jsxs37(Fragment12, { children: [
    /* @__PURE__ */ jsx55(
      "div",
      {
        className: `rspress-nav-search-button ${index_module_default18.navSearchButton}`,
        onClick: () => setFocused(true),
        children: /* @__PURE__ */ jsxs37("button", { children: [
          /* @__PURE__ */ jsx55(SvgWrapper, { icon: SearchSvg2, width: "18", height: "18" }),
          /* @__PURE__ */ jsx55("p", { className: index_module_default18.searchWord, children: searchPlaceholderText }),
          /* @__PURE__ */ jsxs37("div", { style: { opacity: metaKey ? 1 : 0 }, children: [
            /* @__PURE__ */ jsx55("span", { children: metaKey }),
            /* @__PURE__ */ jsx55("span", { children: "K" })
          ] })
        ] })
      }
    ),
    /* @__PURE__ */ jsx55(
      "div",
      {
        className: index_module_default18.mobileNavSearchButton,
        onClick: () => setFocused(true),
        children: /* @__PURE__ */ jsx55(SvgWrapper, { icon: SearchSvg2 })
      }
    ),
    /* @__PURE__ */ jsx55(SearchPanel, { focused, setFocused })
  ] });
}

// src/components/Sidebar/index.tsx
import { useEffect as useEffect20, useState as useState23 } from "react";
import {
  normalizeSlash
} from "@rspress/shared";
import { routes as routes2 } from "virtual-routes";
import { matchRoutes as matchRoutes2, useLocation as useLocation10, removeBase as removeBase3 } from "@rspress/runtime";

// src/components/Sidebar/index.module.scss
var index_module_default20 = { "navTitleMask": "navTitleMask_71eca", "sidebar": "sidebar_71eca", "sidebarContainer": "sidebarContainer_71eca", "sidebarContent": "sidebarContent_71eca", "open": "open_71eca", "menuLink": "menuLink_71eca", "menuItem": "menuItem_71eca", "collapseContainer": "collapseContainer_71eca", "menuItemActive": "menuItemActive_71eca", "menuGroupActive": "menuGroupActive_71eca" };

// src/components/Sidebar/SidebarItem.tsx
import { useEffect as useEffect19, useRef as useRef11 } from "react";
import {
  isProduction as isProduction3,
  normalizeHrefInRuntime as normalizeHref9,
  usePageData as usePageData22
} from "@rspress/runtime";
import { Link as Link9, Tag as Tag4 } from "@theme";

// src/components/Sidebar/SidebarGroup.tsx
import { useEffect as useEffect18, useRef as useRef10 } from "react";
import {
  useNavigate as useNavigate2,
  normalizeHrefInRuntime as normalizeHref8,
  withBase as withBase9
} from "@rspress/runtime";
import ArrowRight2 from "@theme-assets/arrow-right";
import { Tag as Tag3 } from "@theme";

// src/components/Sidebar/SidebarDivider.tsx
import { jsx as jsx56 } from "react/jsx-runtime";
function SidebarDivider2(props) {
  const { depth, dividerType } = props;
  const borderTypeStyle = dividerType === "dashed" ? "border-dashed" : "border-solid";
  return /* @__PURE__ */ jsx56(
    "div",
    {
      className: `${borderTypeStyle} border-t border-divider-light my-3`,
      style: { marginLeft: depth === 0 ? 0 : "18px" }
    }
  );
}

// src/components/Sidebar/SidebarGroup.tsx
import { jsx as jsx57, jsxs as jsxs38 } from "react/jsx-runtime";
function SidebarGroup(props) {
  var _a;
  const { item, depth = 0, activeMatcher, id, setSidebarData } = props;
  const navigate = useNavigate2();
  const containerRef = useRef10(null);
  const transitionRef = useRef10(null);
  const innerRef = useRef10(null);
  const initialRender = useRef10(true);
  const initialState = useRef10(item.collapsed);
  const active = item.link && activeMatcher(item.link);
  const { collapsed, collapsible = true } = item;
  const collapsibleIcon = /* @__PURE__ */ jsx57(
    "div",
    {
      style: {
        cursor: "pointer",
        transition: "transform 0.2s ease-out",
        transform: collapsed ? "rotate(0deg)" : "rotate(90deg)"
      },
      children: /* @__PURE__ */ jsx57(SvgWrapper, { icon: ArrowRight2 })
    }
  );
  useEffect18(() => {
    if (initialRender.current) {
      return;
    }
    if (!containerRef.current || !innerRef.current) {
      return;
    }
    if (transitionRef.current) {
      clearTimeout(transitionRef.current);
    }
    const container = containerRef.current;
    const inner = innerRef.current;
    const contentHeight = inner.clientHeight + 4;
    if (collapsed) {
      container.style.maxHeight = `${contentHeight}px`;
      container.style.transitionDuration = "0.5s";
      inner.style.opacity = "0";
      transitionRef.current = setTimeout(() => {
        if (containerRef.current) {
          containerRef.current.style.maxHeight = "0px";
        }
      }, 0);
    } else {
      container.style.maxHeight = `${contentHeight}px`;
      container.style.transitionDuration = "0.3s";
      inner.style.opacity = "1";
      transitionRef.current = setTimeout(() => {
        if (containerRef.current) {
          containerRef.current.style.removeProperty("max-height");
        }
      }, 300);
    }
  }, [collapsed]);
  useEffect18(() => {
    initialRender.current = false;
  }, []);
  const toggleCollapse = (e) => {
    e.stopPropagation();
    setSidebarData((sidebarData) => {
      const newSidebarData = [...sidebarData];
      const indexes = id.split("-").map(Number);
      const initialIndex = indexes.shift();
      const root = newSidebarData[initialIndex];
      let current = root;
      for (const index of indexes) {
        current = current.items[index];
      }
      if ("items" in current) {
        current.collapsed = !current.collapsed;
      }
      return newSidebarData;
    });
  };
  return /* @__PURE__ */ jsxs38(
    "section",
    {
      className: "mt-0.5 block",
      style: {
        marginLeft: depth === 0 ? 0 : "18px"
      },
      children: [
        /* @__PURE__ */ jsxs38(
          "div",
          {
            className: `flex justify-between items-center ${active ? index_module_default20.menuItemActive : index_module_default20.menuItem}`,
            onMouseEnter: () => item.link && props.preloadLink(item.link),
            onClick: (e) => {
              if (item.link) {
                navigate(withBase9(normalizeHref8(item.link)));
              }
              collapsible && toggleCollapse(e);
            },
            style: {
              borderRadius: depth === 0 ? "0 var(--rp-radius) var(--rp-radius) 0" : void 0,
              cursor: collapsible || item.link ? "pointer" : "normal"
            },
            children: [
              /* @__PURE__ */ jsxs38(
                "h2",
                {
                  className: "py-2 px-3 text-sm font-medium flex",
                  style: __spreadValues({}, depth === 0 ? highlightTitleStyle : {}),
                  children: [
                    /* @__PURE__ */ jsx57(Tag3, { tag: item.tag }),
                    /* @__PURE__ */ jsx57("span", { className: "flex-center", children: renderInlineMarkdown(item.text) })
                  ]
                }
              ),
              collapsible && /* @__PURE__ */ jsx57(
                "div",
                {
                  className: `${index_module_default20.collapseContainer} p-2 rounded-xl`,
                  onClick: toggleCollapse,
                  children: collapsibleIcon
                }
              )
            ]
          }
        ),
        /* @__PURE__ */ jsx57(
          "div",
          {
            ref: containerRef,
            className: "transition-all duration-300 ease-in-out",
            style: {
              overflow: "hidden",
              maxHeight: initialState.current ? 0 : void 0
            },
            children: /* @__PURE__ */ jsx57(
              "div",
              {
                ref: innerRef,
                className: "rspress-sidebar-group transition-opacity duration-500 ease-in-out",
                style: {
                  opacity: initialState.current ? 0 : 1,
                  marginLeft: depth === 0 ? "12px" : 0
                },
                children: (_a = item == null ? void 0 : item.items) == null ? void 0 : _a.map(
                  (item2, index) => "dividerType" in item2 ? /* @__PURE__ */ jsx57(
                    SidebarDivider2,
                    {
                      depth: depth + 1,
                      dividerType: item2.dividerType
                    },
                    index
                  ) : (
                    // eslint-disable-next-line react/no-array-index-key
                    /* @__PURE__ */ jsx57("div", { children: /* @__PURE__ */ jsx57(
                      SidebarItem2,
                      __spreadProps(__spreadValues({}, props), {
                        item: item2,
                        depth: depth + 1,
                        id: `${id}-${index}`,
                        preloadLink: props.preloadLink
                      })
                    ) }, index)
                  )
                )
              }
            )
          }
        )
      ]
    },
    id
  );
}

// src/logic/useRerender.ts
import { useState as useState21 } from "react";
function useRenderer() {
  const [, setState] = useState21(0);
  return () => {
    setState((prevState) => prevState + 1);
  };
}

// src/components/Sidebar/SidebarItem.tsx
import { jsx as jsx58, jsxs as jsxs39 } from "react/jsx-runtime";
var removeExtension = (path) => {
  return path.replace(/\.(mdx?)$/, "");
};
function SidebarItem2(props) {
  const { item, depth = 0, activeMatcher, id, setSidebarData } = props;
  const active = "link" in item && item.link && activeMatcher(item.link);
  const { page } = usePageData22();
  const ref = useRef11(null);
  const textRef = useRef11(item.text);
  const rerender = useRenderer();
  useEffect19(() => {
    var _a;
    if (active) {
      (_a = ref.current) == null ? void 0 : _a.scrollIntoView({
        block: "center"
      });
    }
  }, []);
  if (!isProduction3() && item._fileKey === removeExtension(page.pagePath) && page.title) {
    textRef.current = page.title;
  }
  useEffect19(() => {
    if (item.text === textRef.current) {
      return;
    }
    textRef.current = item.text;
    rerender();
  }, [item.text]);
  if ("items" in item) {
    return /* @__PURE__ */ jsx58(
      SidebarGroup,
      {
        id,
        item,
        depth,
        activeMatcher,
        collapsed: item.collapsed,
        setSidebarData,
        preloadLink: props.preloadLink
      },
      `${item.text}-${id}`
    );
  }
  return /* @__PURE__ */ jsx58(Link9, { href: normalizeHref9(item.link), className: index_module_default20.menuLink, children: /* @__PURE__ */ jsxs39(
    "div",
    {
      ref,
      onMouseEnter: () => props.preloadLink(item.link),
      className: `${active ? index_module_default20.menuItemActive : index_module_default20.menuItem} mt-0.5 py-2 px-3 font-medium flex`,
      style: __spreadValues({
        // The first level menu item will have the same font size as the sidebar group
        fontSize: depth === 0 ? "14px" : "13px",
        marginLeft: depth === 0 ? 0 : "18px",
        borderRadius: "0 var(--rp-radius) var(--rp-radius) 0"
      }, depth === 0 ? highlightTitleStyle : {}),
      children: [
        /* @__PURE__ */ jsx58(Tag4, { tag: item.tag }),
        /* @__PURE__ */ jsx58("span", { children: renderInlineMarkdown(textRef.current) })
      ]
    }
  ) });
}

// src/components/Sidebar/SidebarSectionHeader.tsx
import { Tag as Tag5 } from "@theme";
import { jsx as jsx59, jsxs as jsxs40 } from "react/jsx-runtime";
function SidebarSectionHeader({
  sectionHeaderText,
  tag
}) {
  return /* @__PURE__ */ jsxs40("div", { className: "rspress-sidebar-section-header", children: [
    /* @__PURE__ */ jsx59(Tag5, { tag }),
    /* @__PURE__ */ jsx59("span", { children: renderInlineMarkdown(sectionHeaderText) })
  ] });
}

// src/components/Sidebar/index.tsx
import { jsx as jsx60, jsxs as jsxs41 } from "react/jsx-runtime";
var isSidebarDivider = (item) => {
  return "dividerType" in item;
};
var isSidebarSectionHeader = (item) => {
  return "sectionHeaderText" in item;
};
var highlightTitleStyle = {
  fontSize: "14px",
  paddingLeft: "24px",
  fontWeight: "bold"
};
var matchCache = /* @__PURE__ */ new WeakMap();
function Sidebar2(props) {
  const { isSidebarOpen, beforeSidebar, afterSidebar, uiSwitch } = props;
  const { items: rawSidebarData } = useSidebarData();
  const localesData = useLocaleSiteData();
  const { pathname: rawPathname } = useLocation10();
  const langRoutePrefix = normalizeSlash(localesData.langRoutePrefix || "");
  const [sidebarData, setSidebarData] = useState23(rawSidebarData.filter(Boolean).flat());
  const pathname = decodeURIComponent(rawPathname);
  useEffect20(() => {
    if (rawSidebarData === sidebarData) {
      return;
    }
    matchCache = /* @__PURE__ */ new WeakMap();
    const match = (item) => {
      if (matchCache.has(item)) {
        return matchCache.get(item);
      }
      if ("link" in item && item.link && activeMatcher(item.link)) {
        matchCache.set(item, true);
        return true;
      }
      if ("items" in item) {
        const result = item.items.some((child) => match(child));
        if (result) {
          matchCache.set(item, true);
          return true;
        }
      }
      matchCache.set(item, false);
      return false;
    };
    const traverse = (item) => {
      if ("items" in item) {
        item.items.forEach(traverse);
        if (match(item)) {
          item.collapsed = false;
        }
      }
    };
    const newSidebarData = rawSidebarData.filter(Boolean).flat();
    newSidebarData.forEach(traverse);
    setSidebarData(newSidebarData);
  }, [rawSidebarData, pathname]);
  const removeLangPrefix = (path) => {
    return path.replace(langRoutePrefix, "");
  };
  const activeMatcher = (path) => isActive(
    removeBase3(removeLangPrefix(pathname)),
    removeLangPrefix(path),
    true
  );
  const preloadLink = (link) => {
    const match = matchRoutes2(routes2, link);
    if (match == null ? void 0 : match.length) {
      const { route } = match[0];
      route.preload();
    }
  };
  const renderItem = (item, index) => {
    var _a;
    if (isSidebarDivider(item)) {
      return /* @__PURE__ */ jsx60(SidebarDivider2, { depth: 0, dividerType: item.dividerType }, index);
    }
    if (isSidebarSectionHeader(item)) {
      return /* @__PURE__ */ jsx60(
        SidebarSectionHeader,
        {
          sectionHeaderText: item.sectionHeaderText,
          tag: item.tag
        },
        index
      );
    }
    return /* @__PURE__ */ jsx60(
      SidebarItem2,
      {
        id: String(index),
        item,
        depth: 0,
        activeMatcher,
        collapsed: (_a = item.collapsed) != null ? _a : true,
        setSidebarData,
        preloadLink
      },
      index
    );
  };
  return /* @__PURE__ */ jsx60(
    "aside",
    {
      className: `${index_module_default20.sidebar} rspress-sidebar ${isSidebarOpen ? index_module_default20.open : ""}`,
      children: /* @__PURE__ */ jsxs41("div", { className: `${index_module_default20.sidebarContainer}`, children: [
        !uiSwitch.showNavbar ? null : /* @__PURE__ */ jsx60("div", { className: index_module_default20.navTitleMask, children: /* @__PURE__ */ jsx60(NavBarTitle, {}) }),
        /* @__PURE__ */ jsx60("div", { className: `mt-1 ${index_module_default20.sidebarContent}`, children: /* @__PURE__ */ jsx60(
          "div",
          {
            className: "rspress-scrollbar",
            style: {
              maxHeight: "calc(100vh - var(--rp-nav-height) - 8px)",
              overflow: "auto"
            },
            children: /* @__PURE__ */ jsxs41("nav", { className: "pb-2", children: [
              beforeSidebar,
              sidebarData.map(renderItem),
              afterSidebar
            ] })
          }
        ) })
      ] })
    }
  );
}

// src/components/SourceCode/index.tsx
import Github from "@theme-assets/github";
import Gitlab from "@theme-assets/gitlab";

// src/components/SourceCode/index.module.scss
var index_module_default21 = { "sourceCode": "sourceCode_bf1b0" };

// src/components/SourceCode/index.tsx
import { jsx as jsx61, jsxs as jsxs42 } from "react/jsx-runtime";
function SourceCode(props) {
  const { href, platform = "github" } = props;
  const { sourceCodeText = "Source" } = useLocaleSiteData();
  return /* @__PURE__ */ jsx61(
    "div",
    {
      className: `inline-block rounded border border-solid border-gray-light-3 dark:border-divider text-gray-400 ${index_module_default21.sourceCode}`,
      children: /* @__PURE__ */ jsxs42(
        "a",
        {
          href,
          target: "_blank",
          className: "flex items-center content-center transition-all duration-300 text-xs block px-2 py-1 ",
          children: [
            /* @__PURE__ */ jsx61("span", { className: "mr-2 inline-flex w-4 h-4", children: /* @__PURE__ */ jsx61(SvgWrapper, { icon: platform === "gitlab" ? Gitlab : Github }) }),
            /* @__PURE__ */ jsx61("span", { children: sourceCodeText })
          ]
        }
      )
    }
  );
}

// src/components/Steps/index.module.scss
var index_module_default22 = { "rspressSteps": "rspressSteps_38f64" };

// src/components/Steps/index.tsx
import { jsx as jsx62 } from "react/jsx-runtime";
function Steps({ children }) {
  return /* @__PURE__ */ jsx62(
    "div",
    {
      className: `ml-4 mb-11 border-l pl-6 ${index_module_default22.rspressSteps} [counter-reset:step]`,
      children
    }
  );
}

// src/components/Tag/index.tsx
import { jsx as jsx63 } from "react/jsx-runtime";
var Tag6 = ({ tag }) => {
  if (!tag) {
    return null;
  }
  const isSvgTagString = tag.trim().startsWith("<svg");
  if (isSvgTagString) {
    return /* @__PURE__ */ jsx63(
      "div",
      {
        dangerouslySetInnerHTML: { __html: tag },
        style: { width: 20, marginRight: 4 }
      }
    );
  }
  return /* @__PURE__ */ jsx63("img", { src: tag });
};

// src/components/Toc/index.tsx
import { usePageData as usePageData23 } from "@rspress/runtime";
import { jsx as jsx64 } from "react/jsx-runtime";
var TocItem = ({
  header,
  onItemClick
}) => {
  return /* @__PURE__ */ jsx64("li", { children: /* @__PURE__ */ jsx64(
    "a",
    {
      href: `#${header.id}`,
      className: "rspress-toc-link sm:text-normal text-sm",
      style: {
        marginLeft: (header.depth - 2) * 12
      },
      onClick: (e) => {
        e.preventDefault();
        window.location.hash = header.id;
        const target = document.getElementById(header.id);
        if (target) {
          scrollToTarget(target, false);
        }
        onItemClick == null ? void 0 : onItemClick(header);
      },
      children: /* @__PURE__ */ jsx64("span", { className: "rspress-toc-link-text block", children: renderInlineMarkdown(header.text) })
    }
  ) }, header.id);
};
function Toc2({
  onItemClick
}) {
  const { page } = usePageData23();
  return /* @__PURE__ */ jsx64("ul", { children: page.toc.map((item) => /* @__PURE__ */ jsx64(TocItem, { header: item, onItemClick }, item.id)) });
}

// src/index.ts
var src_default = {
  Layout,
  NotFoundLayout,
  HomeLayout,
  setup
};
export {
  Aside,
  Badge,
  Button,
  DocFooter,
  DocLayout,
  EditLink2 as EditLink,
  HomeFeature2 as HomeFeature,
  HomeFooter2 as HomeFooter,
  HomeHero2 as HomeHero,
  HomeLayout,
  LastUpdated2 as LastUpdated,
  Layout,
  Link3 as Link,
  Nav2 as Nav,
  NotFoundLayout,
  Overview2 as Overview,
  PackageManagerTabs,
  PrevNextPage2 as PrevNextPage,
  RenderType,
  ScrollToTop2 as ScrollToTop,
  Search2 as Search,
  SearchPanel,
  Sidebar2 as Sidebar,
  SocialLinks,
  SourceCode,
  Steps,
  SwitchAppearance,
  Tab3 as Tab,
  Tabs2 as Tabs,
  Tag6 as Tag,
  Toc2 as Toc,
  bindingAsideScroll,
  src_default as default,
  getCustomMDXComponent2 as getCustomMDXComponent,
  isActive,
  isMobileDevice,
  parseInlineMarkdownText,
  renderHtmlOrText,
  renderInlineMarkdown,
  scrollToTarget,
  setup,
  useEditLink,
  useEnableNav,
  useFullTextSearch,
  useHiddenNav,
  useLocaleSiteData,
  usePathUtils,
  usePrevNextPage,
  useRedirect4FirstVisit,
  useSidebarData,
  useThemeState
};

//# sourceMappingURL=bundle.js.map